commit 40446f09daf90257a37545e44af2f6cc0c1acd77
Author: Richard Hughes <richard@hughsie.com>
Date:   2013-06-11

    Release colord 1.0.1

M	NEWS
M	RELEASE

commit c2d74e86068a368766bba8359434fd7f2fede37c
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-06-03

    session-helper: Record the gamma table in the error message

    Record the gamma table in the error message if the calibration was
    non-monotonic.
    This should help debugging some sensors.

M	contrib/session-helper/cd-main.c

commit 4a0cf6c97d2fd5de5f74d2beaa485a550b805d5d
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-06-07

    trivial: Remove the website source

    This is only to be modified in master to avoid confusion.

D	doc/website/bugs.html
D	doc/website/download.html
D	doc/website/faq.html
D	doc/website/favicon.ico
D	doc/website/help.html
D	doc/website/img/architecture-plan.png
D	doc/website/img/cups-detailed-plan.png
D	doc/website/img/cups-plan.png
D	doc/website/img/dialog-information.png
D	doc/website/img/large-accessories-text-editor.png
D	doc/website/img/large-application-certificate.png
D	doc/website/img/large-applications-development.png
D	doc/website/img/large-authors.png
D	doc/website/img/large-dialog-information.png
D	doc/website/img/large-emblem-favorite.png
D	doc/website/img/large-emblem-photos.png
D	doc/website/img/large-help-browser.png
D	doc/website/img/large-preferences-system.png
D	doc/website/img/large-system-users.png
D	doc/website/img/profile-bevan.png
D	doc/website/img/profile-graham.png
D	doc/website/img/profile-suzan.png
D	doc/website/index.html
D	doc/website/intro.html
D	doc/website/profiles.html
D	doc/website/screenshots.html
D	doc/website/specifics.html
D	doc/website/style.css
D	doc/website/upload.sh
D	doc/website/using.html

commit ac8fe2d92c95a1c39eebedabf85743ffbf551410
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-06-07

    Add 0.1.34 to 1.0.0 deprecated methods to preserve ABI

    These methods were never used (as they didn't yet work) but Debian is
    threatening to bump the soname in their packages.

M	lib/colord/cd-deprecated.c
M	lib/colord/cd-deprecated.h

commit 0b9a8395c1a0625a992af193f28e7b5d857d5ded
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-13

    Do not unconditionally enable BPC on the color transform

M	lib/colord/cd-transform.c

commit 7eaf33101c9cbbbc080e91ee31470855c836efaf
Author: Christopher James Halse Rogers <raof@ubuntu.com>
Date:	2013-05-13

    Fix ‘created’ time for non-UTC timezones again.

    The tests now all pass. Woo!

M	lib/colord/cd-icc.c
M	src/cd-profile.c

commit 2e0698166845dd8562f78153c9d697b8467755f2
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-13

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit f052e56acec739705e78421c2e75419481074673
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-13

    Release colord 1.0.0

M	NEWS
M	doc/website/download.html
M	doc/website/faq.html

commit 61b93bdd5d6243e39523a5ea755060b02ebe8d18
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-13

    trivial: Fix two double-unrefs in the self test suite

M	lib/colord/cd-self-test.c

commit 9711913a1d1de7d2a0e65d9ac5513ddd54ce7bdb
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-13

    trivial: Fix a signed warning on ARM

M	lib/colord/cd-icc.c
M	po/it.po

commit 3e133d378cc21803914b1bb82dbf2d1882c77768
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-27

    libcolord: Show all the translations when dumping an ICC profile

    Note: You need a new version of lcms2 for this to work.

M	configure.ac
M	lib/colord/cd-icc.c
M	lib/colord/cd-self-test.c

commit ea2cef35fb8126f221f39dc9c221aa4c1564625a
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-11

    Fix crash in cd-iccdump by working around an lcms2 bug

    cmsReadRawTag(hProfile, sig, buffer, sizeof(buffer)) actually writes
    past the
    end of the buffer, rather than respecting the BufferSize argument.

M	lib/colord/cd-icc.c

commit fef9feecdff273d9d0ac99a76710dfb26afb2329
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-10

    trivial: Allow non-RGB profiles now we accept CD_PIXEL_FORMAT_CMYK32
    as a pixel format

M	lib/colord/cd-transform.c

commit a556da5fd42aa8fe4409b65bc48cb46c40b99a2e
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-10

    Add a simple BGRA32 (default cairo-surface) pixel format

M	lib/colord/cd-enum.h

commit bf0670ada0e0b73f0814273077f2951b10711b0f
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-10

    trivial: Correctly log the qualifier strings when calling
    GetProfileForQualifiers()

M	src/cd-device.c

commit 7b5019d40842e7971f48a6ccd06a4ae6ffba6098
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-10

    Do not show a warning when using 'colormgr
    device-get-profile-for-qualifier'

    Additionally, do not use the object path as an extra qualifier
    [typo?].

M	client/cd-util.c

commit 2e243b33b8dfcbe95e48e9e5d44ed96e7255a65a
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-10

    trivial: Correct the method names for getting and setting the
    CdTransform profiles

M	lib/colord/cd-self-test.c
M	lib/colord/cd-transform.c
M	lib/colord/cd-transform.h

commit 7d0e5d6c7a58d03b075ea395c708ae123a6e17cc
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-10

    Allow a different input and output format in CdTransform

M	lib/colord/cd-self-test.c
M	lib/colord/cd-transform.c
M	lib/colord/cd-transform.h

commit db8cc054aeb3d2bb5a8b98c74f5d084993bfd1bf
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-10

    trivial: Correct the method naming on
    cd_transform_[g|s]et_rendering_intent()

M	lib/colord/cd-self-test.c
M	lib/colord/cd-transform.c
M	lib/colord/cd-transform.h

commit 8fd786e1cb7901c3eef31419085c84e91938f0a4
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-10

    Add a simple CMYK32 pixel format

M	lib/colord/cd-enum.c
M	lib/colord/cd-enum.h
M	lib/colord/cd-transform.c

commit d93ff0ed48b928309431011548745ea8f0b675c6
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-10

    Add API to control the use of BPC in CdTransform

M	lib/colord/cd-transform.c
M	lib/colord/cd-transform.h

commit 46a2b9cead5491a7420ca6c30ffb8ed0331251af
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-10

    trivial: Turn on the print profiles in the Fedora spec file

M	contrib/colord.spec.in

commit 4eaaad2d1f14e0b50ca7b1ddbf4fb18fc8b436ae
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-10

    Use the same pixel format names as Cairo and the same in-memory
    value as lcms2

    There's no point us re-inventing the wheel here.

M	lib/colord/cd-enum.c
M	lib/colord/cd-enum.h
M	lib/colord/cd-self-test.c
M	lib/colord/cd-transform.c

commit d4841b6f4878624355bd7255a2ea9916ebe1dd18
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-10

    Set the STANDARD_space metadata for the print profiles

M	data/profiles/FOGRA27L_coated.xml.in
M	data/profiles/FOGRA28L_webcoated.xml.in
M	data/profiles/FOGRA29L_uncoated.xml.in
M	data/profiles/FOGRA30L_uncoated_yellowish.xml.in
M	data/profiles/FOGRA39L_coated.xml.in
M	data/profiles/FOGRA40L_SC_paper.xml.in
M	data/profiles/FOGRA45L_lwc.xml.in
M	data/profiles/FOGRA47L_uncoated.xml.in
M	data/profiles/GRACoL_TR006_coated.xml.in
M	data/profiles/IFRA26S_2004_newsprint.xml.in
M	data/profiles/SNAP_TR002_newsprint.xml.in
M	data/profiles/SWOP_TR003_coated_3.xml.in
M	data/profiles/SWOP_TR005_coated_5.xml.in

commit 468a28da08bf3354d9a84709f824a684cabc6fc5
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-10

    trivial: Avoid a format warning when building the self tests on ARM

M	lib/colorhug/ch-self-test.c

commit c3c84b7f725aeb35b9409e1cb0e218640b4878b2
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-10

    trivial: Avoid cast-align warning when building the self tests on ARM

M	lib/colord/cd-self-test.c

commit f86a0864bb2dc836cb1990aae6fadca18c9a3e39
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-10

    Fix using the ColorHug color sensor on ARM hardware

    Convert libcolorhug to use the fixed cd_buffer_* functions and memcpy
    to get
    rid of all the -Wcast-align warnings.

M	lib/colorhug/ch-device-queue.c

commit 11c313c9b15a61a895fe15ead4911a0093b94033
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-09

    Fix using the Huey color sensor on ARM hardware

    We were not byte-swapping correctly, so use a memcpy and the Glib
    helpers, which
    will be optimised to a NOP on most systems by the compiler.

M	lib/colord/cd-buffer.c

commit 5e6e3e54953cc39386b9fd2a8f233c00f9014d4c
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-09

    trivial: Post branch version bump

M	RELEASE
M	configure.ac

commit 2f3ec7e5dbbc895a6c8ce3915cf3d4a5075b2d99
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-09

    Use G_GNUC_WARN_UNUSED_RESULT in public and private headers

M	lib/colord/cd-client-sync.h
M	lib/colord/cd-client.h
M	lib/colord/cd-color.c
M	lib/colord/cd-color.h
M	lib/colord/cd-deprecated.h
M	lib/colord/cd-device-sync.h
M	lib/colord/cd-device.h
M	lib/colord/cd-dom.h
M	lib/colord/cd-icc.h
M	lib/colord/cd-interp.h
M	lib/colord/cd-it8-utils.h
M	lib/colord/cd-it8.h
M	lib/colord/cd-math.h
M	lib/colord/cd-profile-sync.h
M	lib/colord/cd-profile.h
M	lib/colord/cd-quirk.h
M	lib/colord/cd-sensor-sync.h
M	lib/colord/cd-sensor.h
M	lib/colord/cd-transform.h
M	lib/colorhug/ch-device-queue.h
M	lib/colorhug/ch-device.h
M	lib/colorhug/ch-inhx32.h
M	lib/dtp94/dtp94-device.h
M	lib/huey/huey-ctx.h
M	lib/huey/huey-device.h
M	src/cd-common.h
M	src/cd-device-db.h
M	src/cd-device.h
M	src/cd-inhibit.h
M	src/cd-mapping-db.h
M	src/cd-profile.h

commit 7e4eac459d0703a24b4a91f1c8509111e81a1be4
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-09

    trivial: Add a FAQ entry about the new version numbers

M	doc/website/faq.html

commit 39dd8a19b0ab88ded1f0b030b37bf53c59da2b9e
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-09

    trivial: Include a couple of missing config.h includes

M	client/cd-find-broken.c
M	src/sensors/cd-parse-beagle.c

commit f4bb2a339448368985d100dd27e97f382d74cc4f
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-09

    trivial: Remove trailing comma from enum

    Some compilers barf at this.

M	lib/colord/cd-enum.h

commit 31e3992391107dd9fa504fa9b8b553600111d9aa
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-09

    trivial: Add a C++ example

A	examples/cd-libcolord++.cpp

commit f46815917e54b84326fbed5c309953ad1f9d762f
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-09

    Add some missing G_BEGIN_DECLS/G_END_DECLS in header files

    This ensures libcolord can be used in C++ applications.

M	lib/colord/cd-buffer.h
M	lib/colord/cd-color.h
M	lib/colord/cd-deprecated.h
M	lib/colord/cd-it8-utils.h
M	lib/colorhug/ch-common.h
M	lib/colorhug/ch-device.h

commit 58c8f223ff61b508ad50f460db4446f84a14da61
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-09

    trivial: NULL != FALSE for some compilers

M	lib/colord/cd-client.c
M	lib/colord/cd-device.c
M	lib/colord/cd-icc.c
M	lib/colorhug/ch-self-test.c
M	src/cd-device-db.c
M	src/cd-mapping-db.c

commit 2b7739fe03e7cdb743c64d047fa1f45b5f0caf6b
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-09

    trivial: Use g_error_matches() to avoid another clang warning

M	lib/colord/cd-client.c

commit 254a947f0b02415e5c0e1ed71d055301b7e3c436
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-09

    trivial: Fix up a clang false-positive that can't happen in reality

M	lib/colord/cd-interp.c

commit 64c3f838e52cf5c29c7957c89fe09819e40dcfff
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-09

    Always return an error if cd_main_device_add() failed

M	src/cd-main.c

commit 941e49547fe23a3ad366992da82233dfe63cd167
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-09

    trivial: Add a 'make clang' target

M	Makefile.am

commit 2377884d8a97d968e5600be95fcb2dc7576752c9
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-07

    Build the colord binary with full RELRO

    Force the linker to resolve all library symbols at startup, instead
    of on-demand.
    This allows it to then make the global offset table (GOT) read-only,
    which makes
    some security attacks harder.

M	configure.ac
M	contrib/colord.spec.in
M	src/Makefile.am

commit 8020696cd5ddcb9a07c419356d96d2aabd9dd3ba
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-07

    Build all installed binaries with PIE

    Position Independent Executable adds security to executables by
    composing them
    entirely of position-independent code. This for allows Exec Shield
    to use
    ASLR to prevent attackers from knowing where existing executable
    code is.

M	client/Makefile.am
M	configure.ac
M	contrib/colord-sane/Makefile.am
M	contrib/session-helper/Makefile.am
A	m4/ax_check_compile_flag.m4
A	m4/ax_check_link_flag.m4
M	src/Makefile.am

commit 3014efdf15edb6dde422e22878fef3cc3e3cd397
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-07

    Fix example spec file: argyllcms is not available on RHEL

M	contrib/colord.spec.in

commit 7fe71d19c9b4a2711dc9ca22d1cdde50f6dec251
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-07

    Fix example spec file: bash-completion is not available on RHEL

M	contrib/colord.spec.in

commit 5374f5ec3f94da5982f3afb41017bee086243d7b
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-03

    Build the distro package with full RELRO support

M	contrib/colord.spec.in

commit b22e960c1d35b06c6361193611841874bdf310a3
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-03

    Add a simple colord.conf manpage

M	man/Makefile.am
A	man/colord.conf.sgml

commit 2db6c8d13ef2729e667562be4cf8e7c6e91f79a7
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-03

    Add a config option to allow multiple monitors with identical EDID
    values to be used

    Using the XRandR name allows us to treat the monitors as seporate
    pieces of
    hardware, but means we're mapping the profile to the output port,
    not to the
    monitor itself.

M	etc/colord.conf.in
M	src/cd-main.c

commit 884dc6a1a5b41f73fee5bb76667dbd7321a13cdc
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-03

    trivial: Remove some debugging left in of cd-find-broken

M	client/cd-find-broken.c

commit 0e5765e6b4609ba437d305a1e4a0df14f54ff548
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-02

    Ensure the parent directories exist when calling cd_icc_save_file()

M	lib/colord/cd-icc.c

commit 96d5e9c3eba12c4c92ff09bfcf9f7fe0da22cc3e
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-01

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit df50a9a94ae489a6aaf259e0c05c417c22b3bf3f
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-01

    Release colord 0.1.34

M	NEWS
M	configure.ac
M	data/tests/Makefile.am
M	doc/website/download.html
M	po/cs.po
M	po/de.po
M	po/en_GB.po
M	po/eo.po
M	po/es.po
M	po/eu.po
M	po/fi.po
M	po/fr.po
M	po/gl.po
M	po/he.po
M	po/hu.po
M	po/id.po
M	po/it.po
M	po/ja.po
M	po/kk.po
M	po/ko.po
M	po/lv.po
M	po/nl.po
M	po/pl.po
M	po/pt_BR.po
M	po/ro.po
M	po/ru.po
M	po/sk.po
M	po/sl.po
M	po/sr.po
M	po/sv.po
M	po/tr.po
M	po/uk.po
M	po/zh_CN.po
M	po/zh_TW.po

commit fa3db572f33ab753e5a5659d7a45f0aa8312994f
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-05-01

    trivial: Fix a typo in the QtDBus annotations

M	contrib/session-helper/org.freedesktop.ColorHelper.xml

commit b376c91be7422a658be5d55de5889e1c114bc454
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-30

    trivial: Add 'Since:' line to the new cd_icc_get_response()

M	lib/colord/cd-icc.c

commit 77657fba2d926285135e583106a5a1062c420f89
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-30

    Add functionality to return the response of the CdIcc profile object

    This is useful for the graphs in gnome-color-manager.

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h

commit 1997510e80417c2e83b3f883c15009553b4205b4
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-30

    Allow getting and setting the VCGT table in CdIcc

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h
M	lib/colord/cd-self-test.c

commit 84acd2d9278e56bf02c09518fe9a300c245c39e5
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-30

    session-helper: Increase the delay between patches for hardware that
    is slow

    200ms just isn't enough on some hardware. Also, make this a GSettings
    key in
    case we need to change it in the future.

    Hopefully resolves: https://bugzilla.gnome.org/show_bug.cgi?id=699250

M	contrib/session-helper/cd-main.c
M	contrib/session-helper/org.freedesktop.ColorHelper.gschema.xml.in

commit 19fcdc6543746bdafdbe0397482d4fb26bdde51c
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-29

    Move the vendor quirk table to libcolordprivate so it can be used
    with cd-find-broken

    This way we don't list the same vendor multiple times.

M	client/cd-find-broken.c
M	lib/colord/Makefile.am
A	lib/colord/cd-quirk.c
C051	lib/colord/colord-private.h	lib/colord/cd-quirk.h
M	lib/colord/colord-private.h
M	lib/colord/colord.h
M	src/cd-common.c
M	src/cd-common.h
M	src/cd-device.c
M	src/cd-self-test.c

commit e48fbfdf13290eeca76f4241d2dc4477ec92d480
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-29

    trivial: Add cd-transform to colord.h

M	lib/colord/colord-private.h
M	lib/colord/colord.h

commit 79fc8b47a511929e1f63e48984a1145529bbb3f8
Author: Stefan Sperling <freedesktop-bugs@stsp.name>
Date:	2013-04-29

    Fix building RGB working space profiles when using OpenBSD/sparc64

    sizeof(size_t) is 8 on OpenBSD/sparc64, so it cannot be written via
    a pointer
    to an unsigned 32 bit integer.

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	lib/colord/cd-icc.c

commit a32aeb957f3fd8b04ed4d15a01d031738aa9e5ca
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-29

    trivial: Fix cd-find-broken when only scanning one profile

M	client/cd-find-broken.c

commit 5bb8584add221cb8b2400f7a751d2c59279876fe
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-29

    trivial: Adjust the docs now CdTransform exists

M	doc/website/faq.html

commit 934517d2c2954adc209ea546126c8d84e1dc2988
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-29

    Add a ICC transform object for simple RGB conversions

    We don't want to suggest to applications to link to lcms2 and learn
    a whole new
    library just to convert small images and icons.

    Larger or more complex applications will want to use lcms2 for
    the additional
    control over the input and output buffer formats.

M	doc/api/colord-docs.xml
M	lib/colord/Makefile.am
M	lib/colord/cd-enum.c
M	lib/colord/cd-enum.h
M	lib/colord/cd-self-test.c
A	lib/colord/cd-transform.c
A	lib/colord/cd-transform.h

commit 3d1bd6837cacc1372d83721d7deed273d574963f
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-29

    trivial: Add better gtk-doc descriptions for the rendering intents

M	lib/colord/cd-enum.h

commit dabf9c2a88135b39ab14a1eb2c4acbf18c2de9a8
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-29

    trivial: Fix the gtk-doc description for CdIcc

M	lib/colord/cd-icc.c

commit 174c1f8ec25413bad32c2cc1c9a76d4d5fbd612d
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-26

    trivial: Add more functionality to cd-find-broken

M	client/cd-find-broken.c

commit e9dcf846db5e00f77f6c0c7083236bc13a0787b8
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-26

    Correct a lot more company names when creating devices

    Also detect and fix vendors like 'To Be Filled By O.E.M.'

M	src/cd-common.c

commit 7b2c49953cf5baa7ad56135cd87774b5619ac731
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-26

    Add device metadata OutputEdidMd5 so we can build a UCMM shim layer

M	doc/metadata-spec.txt
M	lib/colord/cd-enum.h

commit 55eafd1c1601d99da2f18585ff0c0fc86b36a3d3
Author: Daniel Nicoletti <dantti12@gmail.com>
Date:	2013-04-25

    Add Qt DBus annotations

M	contrib/session-helper/org.freedesktop.ColorHelper.xml
M	src/org.freedesktop.ColorManager.Device.xml
M	src/org.freedesktop.ColorManager.Profile.xml
M	src/org.freedesktop.ColorManager.Sensor.xml
M	src/org.freedesktop.ColorManager.xml

commit b68c7042a1f3439b05588cbdb9aa3a609b2831c2
Author: Daniel Nicoletti <dantti12@gmail.com>
Date:	2013-04-25

    Fix standard-space property name into a compilable variable name:
    standard_space

M	src/org.freedesktop.ColorManager.xml

commit 30801439dd1ad6f4ff926b00e7244de68ad4046d
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-25

    trivial: Remove some debugging that crept into cd-find-broken

M	client/cd-find-broken.c

commit 51fdec99491e8680503bd12386829271d3841b59
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-25

    Add an internal program to scan a directory of ICC profiles for
    warnings

M	client/Makefile.am
A	client/cd-find-broken.c

commit 2ef49f445055c50ccfac6ba07fb2d6bc678fa764
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-25

    Add a warning for RGB profiles with unlikely whitepoint values

M	lib/colord/cd-enum.c
M	lib/colord/cd-enum.h
M	lib/colord/cd-icc.c

commit 92b1a129bbec757cd76863567d5e62e78ddd8b58
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-25

    trivial: Add some missing markup for CdProfileWarning

M	lib/colord/cd-enum.h

commit 87be4ed4411ca90b00509a42e64db3aa7d6dba5c
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-24

    Do not automatically add EDID profiles with warnings to devices

M	src/cd-main.c

commit 08f489d5c56130fcfb0c2f39738261b6f856f4df
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-24

    trivial: Get the formatted warnings for the profile in the daemon

M	src/cd-profile.c
M	src/cd-profile.h

commit 748b727b19c2fedb832e416b5d88b3e5b89a3e2c
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-24

    trivial: Fix the introspection docs for cd_icc_get_warnings()

M	lib/colord/cd-icc.c

commit c9607e452074d67a8b2ffede317b469609411c34
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-24

    Move the warning check code from the daemon to libcolord for code
    reuse

    This allows us to write a helper tool to identify lots of broken
    profiles.

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h
M	lib/colord/cd-self-test.c
M	src/cd-profile.c

commit d3c84958d237fd335832e40e0e04bc6c5d3f524f
Author: Václav Pavlín <vpavlin@redhat.com>
Date:	2013-04-24

    Add new systemd macros to the example spec file

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	contrib/colord.spec.in

commit 92503adb54f645509159722ef993d9d402879478
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-24

    Install the bash completion support into /usr

    Also make it possible to disable installation (for make distcheck)
    as it now
    gets the correct system install path from pkg-config.

    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=923002

M	Makefile.am
M	client/Makefile.am
M	configure.ac
M	contrib/colord.spec.in
M	data/Makefile.am
R100	client/colormgr-completion.bash data/colormgr

commit 61ab2f7728a86cd3dc568feade691c69ef4f87ea
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-24

    Allow clients to call org.freedesktop.DBus.Peer

    This fixes Ping() and GetMachineId() which is needed by systemd.

M	data/org.freedesktop.ColorManager.conf.in

commit 11dcaba034edff3955ceff53795df82c57c34adc
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-19

    trivial: Update the website to reflect reality

M	doc/website/bugs.html
M	doc/website/download.html
M	doc/website/faq.html
M	doc/website/help.html
M	doc/website/index.html
M	doc/website/intro.html
M	doc/website/profiles.html
M	doc/website/screenshots.html
M	doc/website/specifics.html
M	doc/website/using.html

commit f43b0242810d8154b42b36d41b376caf03b7dd49
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-18

    Add a webservice URI example that can upload a profile to the Internet

    The script must accept (and validate) a single ICC profile as the
    form input,
    and return the full URL of the new profile in 'Location'.

M	contrib/session-helper/org.freedesktop.ColorHelper.gschema.xml.in

commit 9e43ae57d5d8d0c5be688615d9004875767cf03d
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-18

    trivial: Add a python version of the CdIcc example

A	examples/cd-icc.py

commit 980a54c9430acb95a211e18db8ae538d54af6819
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-18

    trivial: Include a call to setlocale() in the example applicaton

M	examples/cd-libcolord-icc.c

commit 1d43d71c6a4ccc060183a76965016dcbbb97d769
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-18

    Add an example for using CdIcc in applications

A	examples/cd-libcolord-icc.c

commit 61c802498fe6decc7729d5a1f8ed7ad9a231d8f2
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-16

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit 05e2b40a40e9752e66a19a90ca853ad45e36c162
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-16

    Release colord 0.1.33

M	NEWS
M	RELEASE
M	doc/website/download.html
M	po/cs.po
M	po/de.po
M	po/en_GB.po
M	po/eo.po
M	po/es.po
M	po/eu.po
M	po/fi.po
M	po/fr.po
M	po/gl.po
M	po/he.po
M	po/hu.po
M	po/id.po
M	po/it.po
M	po/ja.po
M	po/kk.po
M	po/ko.po
M	po/lv.po
M	po/nl.po
M	po/pl.po
M	po/pt_BR.po
M	po/ro.po
M	po/ru.po
M	po/sk.po
M	po/sl.po
M	po/sr.po
M	po/sv.po
M	po/tr.po
M	po/uk.po
M	po/zh_CN.po
M	po/zh_TW.po

commit 3abc2645a60a92a000fff9718fa309a1e62b6da3
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-15

    trivial: Fix the default translation in some applications

    Always write the en_US default translation to the mlu object first.

M	lib/colord/cd-icc.c

commit 714396bdf5fb81323d40f358c729f4854faaed1d
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-12

    libcolord: Always write C-locale floating point values in IT8 files

    LCMS uses 'sprintf(.10%g)' to convert floating point values to
    strings.
    If LC_NUMERIC is set to something like 'nl_BE' then values such as
    1.234 are
    printed as '1,234'. This is against the CGATS standard and Argyll
    correctly
    refuses to parse the file.

    Wrap each call to get and set the floating point values with the
    safe GLib
    functions of g_ascii_strtod() and g_ascii_dtostr().

M	lib/colord/cd-it8.c
M	lib/colord/cd-self-test.c

commit 650d78c1387bec59e2e13d82d260058faf0c498f
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-12

    libcolord: Add cd_it8_set_enable_created()

    This allows us to supress the date and time in the IT8 file which
    allows us to
    string compare it to a known reference in the self test program.

M	lib/colord/cd-it8.c
M	lib/colord/cd-it8.h

commit 07891289c09bbc1d203fdb2ae96530adcaab1306
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-10

    Add some profile descriptions for the CMYK profiles

    Many thanks to Christ Murphy for all the information and help.

M	data/profiles/FOGRA27L_coated.xml.in
M	data/profiles/FOGRA28L_webcoated.xml.in
M	data/profiles/FOGRA29L_uncoated.xml.in
M	data/profiles/FOGRA30L_uncoated_yellowish.xml.in
M	data/profiles/FOGRA39L_coated.xml.in
M	data/profiles/FOGRA40L_SC_paper.xml.in
M	data/profiles/FOGRA45L_lwc.xml.in
M	data/profiles/FOGRA47L_uncoated.xml.in
M	data/profiles/GRACoL_TR006_coated.xml.in
M	data/profiles/IFRA26S_2004_newsprint.xml.in
M	data/profiles/SNAP_TR002_newsprint.xml.in
M	data/profiles/SWOP_TR003_coated_3.xml.in
M	data/profiles/SWOP_TR005_coated_5.xml.in

commit e3b88689068e8810d2e1663fc5262cd1147c70ab
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-10

    Rename ISOnewspaper26 to IFRA26S_2004_newsprint

    It never was an official ISO profile...

M	contrib/colord.spec.in
R099	data/profiles/ISOnewspaper26.xml.in
data/profiles/IFRA26S_2004_newsprint.xml.in
M	data/profiles/Makefile.am
M	po/POTFILES.in

commit 840d99c1e031e0ec87d068ec33f5c5c0166c1ef7
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-09

    libcolord: Initialize the value of the CCMX matrix to avoid undefined
    values

    If we don't call cd_it8_set_matrix() before cd_it8_save_to_file()
    on a CdIt8
    object of type @CD_IT8_KIND_CCMX then we could be writing undefined
    values.

M	lib/colord/cd-it8.c

commit 52dc626250d2dfd7fc1a9b290efd4e8d3c420724
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-09

    trivial: small whitespace fix

M	lib/colord/cd-math.c

commit fdaec65eb14a81bdd54907a1205899b53ec8d653
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-09

    libcolord: Return the correct result from cd_mat33_matrix_multiply()

    If @mat_dest was allocated on the stack then it was never cleared
    and relied on
    the undefined behaviour of the default floating point values in
    the structure.

M	lib/colord/cd-math.c

commit e62d431d512f6eedd3b2ecda5dfcf493e1239cb3
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-09

    trivial: Add a self test for cd_it8_utils_calculate_ccmx()

A	data/tests/measured.ti3
A	data/tests/reference.ti3
M	lib/colord/cd-it8.c
M	lib/colord/cd-self-test.c

commit 5d19bc568d1b6eb45842f3dfe4d034b2f805ec02
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-09

    Check the generated CCMX matrix for invalid data

    We never want to write a CCMX with -nan or +inf values.

M	lib/colord/cd-it8-utils.c

commit 84804cfa08ddbda4be6998eea7d0c8921163bd1b
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-09

    trivial: Use g_ascii_strtod() rather than the locale-specific atof()

M	lib/colord/cd-it8.c

commit 2a38d31e08e8054746e4418f0824b75401a24b0d
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-08

    trivial: Fix up the FOGRA47L description

M	data/profiles/FOGRA47L_uncoated.xml.in

commit fa54a4f4e97585068dc45e55093e16702a27e1e1
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-05

    Add the FOGRA45L and FOGRA47L CMYK profiles

M	contrib/colord.spec.in
A	data/profiles/FOGRA45L_lwc.xml.in
A	data/profiles/FOGRA47L_uncoated.xml.in
M	data/profiles/Makefile.am
M	po/POTFILES.in

commit 26f284a012759c1d5bcccd520415a2bc591c7918
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-05

    trivial: Be easier to debug if colprof fails to run

M	client/cd-create-profile.c

commit 7e3637c40038383d6beb88a3185044dd34a512d9
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-02

    trivial: Fix a fallthrough typo spotted by coverity

M	lib/colord/cd-icc.c

commit 0341098a62f9862e0959b77b7567533aa634e696
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-01

    trivial: Build the print profile when building RPMs

M	contrib/colord.spec.in

commit d66c311b22d73dce26942c291d2329a52864d818
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-01

    trivial: Work around an lcms2 bug by only using cmsMLUsetASCII on
    v2 profiles

    Else we try writing multibyte text to a 'text' type and that doesn't
    go well.

M	lib/colord/cd-icc.c

commit 01a0a1abf9f0e37032d02aa0df0591e54febbf6a
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-01

    trivial: do not use high quality B2A tables, building takes too long

    3 hours to build all the profiles does seem somewhat excessive...

M	client/cd-create-profile.c

commit 95a86182c8e05a650cdd31d4a778782aabc55a7c
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-01

    Do not print a critical warning if the requested property does
    not exist

M	src/cd-device.c
M	src/cd-main.c
M	src/cd-profile.c
M	src/cd-sensor.c

commit 50369d096886189c588cf4e2a3e3140bd739fa3d
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-04-01

    build: Add ifdef for cmsGetToneCurveEstimatedTableEntries as it was
    added in lcms 2.4

M	configure.ac
M	lib/colord/cd-icc.c

commit 6e6c0e45e4293f0c3f899440966815492f45401b
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-31

    trivial: fix the build when --disable-print-profiles is used

M	client/cd-create-profile.c

commit 998217e2a8ecd51f8ecba3f51684ddd28a4c34e0
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-31

    trivial: Prettyify the build output when building the DBus docs

M	doc/api/dbus/Makefile.am

commit 3f0a9a2488b31632677e0b21f8992a76cca02573
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-31

    trivial: Prettyify the build output when building the man files

M	man/Makefile.am

commit 41f9d5e3128190375d08bcff1b9ef4228aef8e57
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-31

    Build the print profiles from XML descriptions

M	client/cd-create-profile.c
M	configure.ac
R099	data/profiles/FOGRA27L.ti3
data/profiles/FOGRA27L_coated.xml.in
R099	data/profiles/FOGRA28L.ti3
data/profiles/FOGRA28L_webcoated.xml.in
R099	data/profiles/FOGRA29L.ti3
data/profiles/FOGRA29L_uncoated.xml.in
R099	data/profiles/FOGRA30L.ti3
data/profiles/FOGRA30L_uncoated_yellowish.xml.in
R099	data/profiles/FOGRA39L.ti3
data/profiles/FOGRA39L_coated.xml.in
R099	data/profiles/FOGRA40L.ti3
data/profiles/FOGRA40L_SC_paper.xml.in
R099	data/profiles/TR006.ti3 data/profiles/GRACoL_TR006_coated.xml.in
D	data/profiles/IFRA30S.ti3
R098	data/profiles/IFRA26S.ti3
data/profiles/ISOnewspaper26.xml.in
M	data/profiles/Makefile.am
R098	data/profiles/TR002.ti3 data/profiles/SNAP_TR002_newsprint.xml.in
R099	data/profiles/TR003.ti3 data/profiles/SWOP_TR003_coated_3.xml.in
R099	data/profiles/TR005.ti3 data/profiles/SWOP_TR005_coated_5.xml.in
M	lib/colord/cd-icc.c
M	po/POTFILES.in

commit 01577fcde58d7ff8e71edb5d484b7eff1b0fd173
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-31

    trivial: Fix build warning on OpenBSD

    Rename gamma as this is helpfully defined by /usr/include/math.h

M	client/cd-create-profile.c

commit 427b3ee97eda40e27a0174f47db65adb4d59071a
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-31

    Never promote localized v2 ICC profiles to v4 when writing locale data

    Doing this isn't a good idea, and we can achieve the same result
    using an Apple
    extension that LCMS2 and colord now understand.

M	lib/colord/cd-icc.c

commit f5afa37c3999cf90f078c518923bddf9b6d615ad
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-31

    libcolord: Load the profile rather than just setting the internal
    instance

    We need to parse the profile to identify it as a V4 profile.

M	client/cd-create-profile.c
M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h

commit b0511b87569946f17a0451233ccc6e9281faf3b4
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-31

    trivial: Rebuild the sRGB profile if the XML changes

M	data/profiles/Makefile.am

commit 3a77dcd5fd458d84e0fc8fa9ff458d1b772523e1
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-31

    libcolord: Add helpers for getting int and double values from the
    DOM tree

M	client/cd-create-profile.c
M	lib/colord/cd-dom.c
M	lib/colord/cd-dom.h

commit 1b5eee925308515de90924e1e0ae4d7638001ab2
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-29

    trivial: fix up another translation from feedback

M	data/profiles/sRGB.xml.in

commit b3bbf978222614904a0981c0c4ee70c40ca534f9
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-29

    Include the eciRGBv1 gamma 1.8 profile

M	contrib/colord.spec.in
C050	data/profiles/ECI-RGBv2.xml.in	data/profiles/ECI-RGBv1.xml.in
M	data/profiles/ECI-RGBv2.xml.in
M	data/profiles/Makefile.am
M	po/POTFILES.in

commit 8e6f06847cd6dc0cb9208f34d00cfb55a5f02519
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-28

    trivial: Hide the test-driver files when using 'git status'

M	Makefile.am
M	lib/colord/Makefile.am
M	lib/colorhug/Makefile.am
M	src/Makefile.am

commit 72d10cf7ca23496bbd1a6b974af30775d5289a6b
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-28

    trivial: Remove the unused 'make check-valgrind' from libcolord

M	lib/colord/Makefile.am

commit 085b32b6ca9802bbfce509fcb5bf8bf231afaa48
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-28

    Ensure mbstowcs() has an LC_CTYPE of 'en_US.UTF-8'

    This fixes building when the user does not have an explicit UTF-8
    locale set.

M	lib/colord/cd-icc.c

commit 653d0569dd960f607b58ec6b9ee91bf867fdb039
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-28

    trivial: Be more paranoid when writing ICC wchar_t values

M	lib/colord/cd-icc.c

commit 9f7ef87460b4b40103c59ea8a3839dc8706a7d53
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-28

    trivial: Sanity check the written profile size to be less than 16Mb

M	lib/colord/cd-icc.c

commit e13946311e57981d060225a3ec67a76e825d0248
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-28

    trivial: Add a gobject-introspection element-type

M	lib/colord/cd-icc.c

commit 1d9a5691028db2891b8c2f1e057f0f5eb52e4e7e
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-28

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit 30494e033039bbc780553dd957834ae01a2c0602
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-28

    Release colord 0.1.32

M	NEWS
M	configure.ac
M	data/profiles/BruceRGB.xml.in
M	doc/website/download.html
M	po/cs.po
M	po/de.po
M	po/en_GB.po
M	po/eo.po
M	po/es.po
M	po/eu.po
M	po/fi.po
M	po/gl.po
M	po/he.po
M	po/hu.po
M	po/id.po
M	po/it.po
M	po/ja.po
M	po/kk.po
M	po/ko.po
M	po/lv.po
M	po/nl.po
M	po/pl.po
M	po/pt_BR.po
M	po/ro.po
M	po/ru.po
M	po/sk.po
M	po/sl.po
M	po/sr.po
M	po/sv.po
M	po/tr.po
M	po/uk.po
M	po/zh_CN.po
M	po/zh_TW.po

commit ea0ffafba128f534a607daf8ead97a3b2a35c5f9
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-28

    trivial: Another description tweak requested by Chris

M	data/profiles/sRGB.xml.in

commit b58c93e094ff130953bc4a096af41175ad225257
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-27

    Profile description fixes from Chris Murphy

M	data/profiles/AdobeRGB1998.xml.in
M	data/profiles/BestRGB.xml.in
M	data/profiles/BetaRGB.xml.in
M	data/profiles/Bluish.xml.in
M	data/profiles/BruceRGB.xml.in
M	data/profiles/CIE-RGB.xml.in
M	data/profiles/ColorMatchRGB.xml.in
M	data/profiles/DonRGB4.xml.in
M	data/profiles/ECI-RGBv2.xml.in
M	data/profiles/NTSC-RGB.xml.in
M	data/profiles/PAL-RGB.xml.in
M	data/profiles/ProPhotoRGB.xml.in
M	data/profiles/WideGamutRGB.xml.in
M	data/profiles/sRGB.xml.in

commit e29a4a99da6bd039460bb4d3f154fabb50fd23c9
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-27

    trivial: Don't ship the lesser used profiles in the main package

M	contrib/colord.spec.in

commit da243cb62a40e7ab29b54e5f93eba2b63eb8d457
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-27

    libcolord: Add some helpers for dealing with CdColorLab objects

M	lib/colord/cd-color.c
M	lib/colord/cd-color.h

commit 2fc7e3c2ea45f917c58111f4c617d8c55e271d5f
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-27

    trivial: Support reading back long MLU entries

M	lib/colord/cd-icc.c

commit 8b5548b76a225a9356b405ba8eb658bf1f66c666
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-27

    libcolord: Read and write the locale as en_US when the default
    is requested

    Using cmsNoLanguage and cmsNoCountry mean the language matches for
    any locale
    request, which may return the wrong translation if the MLU was
    not constructed
    with en_US as the last entry.

M	data/tests/crayons.icc
M	lib/colord/cd-icc.c

commit 75657ab2099354228985561c50ab94382101fcd9
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-27

    libcolord: Add functionality to get the primaries and whitepoint
    from the profile

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h
M	lib/colord/cd-self-test.c

commit b6fb6cf82418353e9d52a2015a8ef9190fd9bae8
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-26

    trivial: Add a self test for cd_icc_create_from_edid()

M	lib/colord/cd-self-test.c

commit cc7fd913170abd2c0647be15633c74925eb3b1a3
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-26

    trivial: Fix the build by #define'ing the correct name

M	lib/colord/cd-icc.c

commit 17c5bbeb095216d3aca8fef72261bbce76becc49
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-26

    trivial: Marti Maria applied my lcms 'dscm' patch upstream to lcms2

M	lib/colord/cd-icc.c

commit 3fb30411e55f8ce095a23873546f19c3d84036e6
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-26

    libcolord: Add the profile creator to the ICC dump output

M	configure.ac
M	lib/colord/cd-icc.c

commit f45f3345314e12582e1ca54acca5d945344e58bb
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-26

    Add translated descriptions to the ICC profiles

M	data/profiles/AdobeRGB1998.xml.in
M	data/profiles/AppleRGB.xml.in
M	data/profiles/BestRGB.xml.in
M	data/profiles/BetaRGB.xml.in
M	data/profiles/Bluish.xml.in
M	data/profiles/BruceRGB.xml.in
M	data/profiles/CIE-RGB.xml.in
M	data/profiles/ColorMatchRGB.xml.in
M	data/profiles/Crayons.xml.in
M	data/profiles/DonRGB4.xml.in
M	data/profiles/ECI-RGBv2.xml.in
M	data/profiles/EktaSpacePS5.xml.in
M	data/profiles/NTSC-RGB.xml.in
M	data/profiles/PAL-RGB.xml.in
M	data/profiles/ProPhotoRGB.xml.in
M	data/profiles/SMPTE-C-RGB.xml.in
M	data/profiles/SwappedRedAndGreen.xml.in
M	data/profiles/WideGamutRGB.xml.in
M	data/profiles/sRGB.xml.in
M	data/profiles/x11-colors.xml.in

commit 5c824e758b12d6ab4e0667926c5aedd0f34f3733
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-26

    libcolord: Add information about the header attributes when dumping
    an ICC profile

M	lib/colord/cd-icc.c

commit a26642f5a9911345dddfc20e4f8387a1cf5c4d43
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-25

    trivial: Fix up a compiler warning

M	src/cd-profile.c

commit 0d8bc48863711974379f362a948313c26985f68f
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-25

    libcolord: Add the ability to get a CdIcc instance from a CdProfile
    abstract object

M	lib/colord/cd-profile.c
M	lib/colord/cd-profile.h

commit 3b3cf5401aa428e6a2e9ba4a561192390b4bf3b6
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-25

    libcolord: Add the ability to create an ICC profile from EDID data

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h

commit f41e3c2890cef38d6d6026047b30a076d5c13b46
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-25

    libcolord: Add the ability to get the file embedded profile ID

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h
M	lib/colord/cd-self-test.c
M	src/cd-profile.c

commit e697851132eb122d1b969248f5f4b43b737d76be
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-25

    trivial: Use a shipped test profile rather than using a generated
    profile

    We want to be sure we're identifying one bug, not two.

M	data/tests/Makefile.am
A	data/tests/crayons.icc
M	lib/colord/Makefile.am
M	lib/colord/cd-self-test.c

commit ffa9dfa580667fd05c3a2328c6d32318a87e7696
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-25

    Do not attempt to use cmsReadRawTag() on a linked tag

M	lib/colord/cd-icc.c

commit 003c3ea474dc94e6c5814ef6a3e4395305a160fc
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-25

    Convert cd-create-profile to using CdIcc

M	client/Makefile.am
M	client/cd-create-profile.c
M	client/cd-fix-profile.c
D	client/cd-lcms-helpers.c
D	client/cd-lcms-helpers.h
M	contrib/session-helper/Makefile.am
M	contrib/session-helper/cd-main.c
M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h

commit 119c5c41a3e48e4e766b014ac0af9e410791bb8f
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-25

    libcolord: Add the ability to set multiple localized values in one
    method call

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h

commit d7072beeab5e972811dfe61171c8ae847d515f1b
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-24

    trivial: Use CdIcc in the session helper

M	contrib/session-helper/cd-main.c

commit 369a8410450d399d9d8e2b6fd86bfc97970800d5
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-24

    Use the new CdIcc object in cd-fix-profile

M	client/Makefile.am
D	client/cd-common.c
D	client/cd-common.h
M	client/cd-create-profile.c
M	client/cd-fix-profile.c

commit e4c5234efb01d84ea7abe32cfcd8ccb07fecf70c
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-24

    libcolord: Remove the metadata dictionary if there are no entries
    to write

M	lib/colord/cd-icc.c

commit 8102a05d6c4da34e408bbd824decf19b6bad0af8
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-24

    libcolord: Add the ability to set the profile version number

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h
M	lib/colord/cd-self-test.c

commit dd478cd556ee7f19cc298a6bc7c4d5dc9127a356
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-24

    Remove the dump option from cd-fix-profile now that cd-iccdump exists

M	client/cd-fix-profile.c
M	lib/colord/cd-icc.h

commit ace1e8b319fdb86a033fe2503f5668b609904f3a
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-24

    trivial: Always write the profile-id when saving a profile

M	lib/colord/cd-icc.c

commit 75333af079c9459e21116e89ee2b8838a6d1b64f
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-24

    libcolord: Add the ability to remove metadata from profiles

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h
M	lib/colord/cd-self-test.c

commit c4bb730a467b8f7b41a29c5df66cb88d46b00e4a
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-24

    libcolord: Write the new translations when saving the profile

M	lib/colord/cd-icc.c
M	lib/colord/cd-self-test.c

commit 5a6e3cf839e5bbc493e532a2eb204376078e4438
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-24

    trivial: Use the locale _key_ in the localized dictionaries, not
    the locale itself

M	lib/colord/cd-icc.c

commit 2b0b3650e5370e5973deb72ab4f92a86d075bfc1
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-24

    libcolord: Write the new metadata when saving the profile

M	lib/colord/cd-icc.c
M	lib/colord/cd-self-test.c

commit 9543891052724e7331c711927c691c42fa913143
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-24

    trivial: abstract out converting a uint32 to raw text

M	lib/colord/cd-icc.c

commit 234bab74d5d79e6191a3e316a362311bd93e56fd
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-24

    libcolord: Make loading the metadata optional

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h
M	lib/colord/cd-self-test.c
M	src/cd-profile.c

commit 404e21b90dbc4e89ca8168beedceb75cd33398fb
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-23

    libcolord: Write the new profile kind and colorspace when saving
    the profile

M	lib/colord/cd-icc.c
M	lib/colord/cd-self-test.c

commit baf611e1319fb5df7205fe3b236c1d1b4593829a
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-23

    libcolord: Support changing the profile kind and colorspace

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h
M	lib/colord/cd-self-test.c

commit d37129196a9c85c433678a3607c48aaa8e448d55
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-23

    libcolord: Optionally load all the translations at parse time

    We really need an extension for LCMS to do this properly, and
    fingers crossed
    that comes soon. :)

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h

commit 134ec2d615b984fba83ae07cd4736d339d2e6e83
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-23

    libcolord: Load the named color profiles when the profile is parsed

    To allow the client to opt-out, add a CdIccLoadFlags value to
    control this.

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h
M	lib/colord/cd-self-test.c

commit ee704dfd7f3a6272829e969cd8a4b558bb938239
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-23

    libcolord: Add cd_icc_set_description() to add translations to the
    ICC profile

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h
M	lib/colord/cd-self-test.c

commit 76a0e14811837ae4d13e9e24f22d8b544f2676ab
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-23

    libcolord: Add some flags to the CdIcc load and save functions for
    future use

M	client/cd-iccdump.c
M	contrib/session-helper/cd-main.c
M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h
M	lib/colord/cd-self-test.c
M	src/cd-profile.c

commit e373a980e180dba0f4d664de209710931fd1d758
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-22

    libcolord: Add a GCancellable to cd_icc_load_file() and
    cd_icc_save_file()

M	client/cd-iccdump.c
M	contrib/session-helper/cd-main.c
M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h
M	lib/colord/cd-self-test.c
M	src/cd-profile.c

commit 064563d6c61ca361a63821d984f3ab6e599d2716
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-22

    libcolord: Add cd_icc_save_file() to be able to save the modified
    ICC profile to disk

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h

commit 21f5d7123a62ce4c324074f8e4f2f1c00f827670
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-22

    libcolord: Add cd_icc_add_metadata() for adding extra keys to the
    metadata store

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h

commit 22bf613885701f0414e1033112db82eb6975c3a8
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-22

    libcolord: Add methods to get localized text values from the profile

M	lib/colord/Makefile.am
M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h
M	lib/colord/cd-self-test.c
M	src/cd-profile.c

commit f8e99f3e753896cd92e188fbc77bf24f4ccdc9d6
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-22

    trivial: Update one translation to test the localization stuff

M	po/en_GB.po

commit 6d5970dd47e80e0b80ce75f6e053920c789607e6
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-22

    trivial: Include CdDom in the libcolordprivate documentation

M	doc/api/colord-docs.xml

commit 5c435ba8bdce141ea71a342008e5ac63238268b1
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-22

    trivial: Print the header ID values when dumping a profile

M	lib/colord/cd-icc.c

commit a97e71aa7bcbd6309fcfee17cfd7c202adacf5b5
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-22

    trivial: Print the header rendering intent when dumping a profile

M	lib/colord/cd-icc.c

commit b65b45ee4dea894816aa5fc133ea87c69f3c81be
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-22

    trivial: Print the header 'Use' flags when dumping a profile

M	lib/colord/cd-icc.c

commit 8a1910f05c4ef4c471df30ca65d4bd1733bfb1a7
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-22

    trivial: Print the connection space when dumping a profile

M	lib/colord/cd-icc.c

commit 5bc8ca07a0072a70f8b28120527fc7882429d5a2
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-22

    libcolord: Add cd_icc_get_created() to get the creation time and
    date of the profile

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h
M	lib/colord/cd-self-test.c

commit 94bd00236a8b374cefd74832a631b211f770abeb
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-22

    libcolord: Add cd_icc_get_can_delete() for applications wishing to
    remove profiles

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h

commit f48be38de678f50e3114cd813dbfb8028661d1ca
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-22

    libcolord: Add cd_icc_get_named_colors() to return the profile
    named colors

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h
M	lib/colord/cd-self-test.c

commit 605b6143f7439eb88ad10bf04183814edb5f3dc5
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-22

    libcolord: Add cd_icc_get_metadata() to return the profile metadata
    dictionary

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h
M	lib/colord/cd-self-test.c
M	src/cd-profile.c

commit ffa3f60e774a8bad77646c673ee998c371c09287
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-21

    libcolord: Add cd_icc_get_colorspace() to return the profile
    colorspace

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h
M	lib/colord/cd-self-test.c
M	src/cd-profile.c

commit 23b1aebabcafee3884228dbcc1c470881f09bf4e
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-21

    libcolord: Add cd_icc_get_kind() to return the profile kind

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h
M	lib/colord/cd-self-test.c
M	src/cd-profile.c

commit 1b2f69826f920d62f564d7f391496cd3abd5fe38
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-21

    libcolord: Add cd_icc_get_version() to return the profile version

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h
M	lib/colord/cd-self-test.c

commit c67bb43fab4b6b87c5de1f1b31d43159436f2897
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-21

    libcolord: Add cd_icc_get_filename() to return the profile filename
    if known

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h
M	lib/colord/cd-self-test.c

commit 648527cb7adc6926ac34bc17408e36b30b2a805b
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-21

    libcolord: Add cd_icc_get_size() to return the profile size in bytes
    if known

M	lib/colord/cd-icc.c
M	lib/colord/cd-icc.h
M	lib/colord/cd-self-test.c

commit 4c669ed15bbc41eefd4645fcfd48838bac279770
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-21

    Add a new command line tool 'cd-iccdump' that can dump V4 and
    V2 profiles

M	client/Makefile.am
A	client/cd-iccdump.c
M	lib/colord/cd-icc.c
M	po/POTFILES.in

commit 1fd8f8e7dc4b5f20fe429ed54fd75138e5b80eaf
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-21

    Use CdIcc in the daemon when loading ICC profiles

M	src/cd-profile.c

commit 3e739dc34cea35e20eea118a4fb37f4b6441e9ae
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-21

    Use CdIcc in the session helper when loading ICC profiles

M	contrib/session-helper/cd-main.c

commit 93b3456a3a454fde1167cfb497ef1861e9f85cc2
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-21

    libcolord: Add a CdIcc object to factor out the low level profile
    loading

    We sometimes have to load the profile in the client, and we have to
    load and
    save profiles in the daemon and various tools we ship. This object
    will grow
    as different functions are moved around in the source tree.

M	doc/api/colord-docs.xml
M	lib/colord/Makefile.am
A	lib/colord/cd-icc.c
A	lib/colord/cd-icc.h
M	lib/colord/cd-self-test.c
M	lib/colord/colord-private.h
M	lib/colord/colord.h

commit 085dbbf201fbaba179557a7fb080cae828ec0645
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-21

    trivial: Fix warning when compiling the self tests

M	lib/colord/cd-self-test.c

commit c67bd22e06d05e20672f560da24ba36a374f2f70
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-21

    colord: Add a CdColorSwatch which is a named colord swatch

M	lib/colord/cd-color.c
M	lib/colord/cd-color.h

commit f4f28d08f45cdd5a6b221586ed82b7d28da5dec6
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-21

    colord: Add cd_color_lab_copy()

M	lib/colord/cd-color.c
M	lib/colord/cd-color.h

commit 4f28d65ed3124a5ca95be9c47de668ee5e9cc2cb
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-21

    colord: Correctly copy CdColorYxy objects when used as properties

M	lib/colord/cd-color.c

commit 6da75b24135b07a29e18bc3a4ba955ee91d0c434
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-20

    trivial: Fix build on ostree by not including the pre-generated .xml
    files in the tarball

M	data/profiles/Makefile.am

commit 2fa8f858a29b9badfec308b2f05c9bc29bfbf37e
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-20

    trivial: Don't use a '&' in the profile titles

    There's too much chance of this blowing up in applications, and it
    makes the translations more fragile.

M	data/profiles/SwappedRedAndGreen.xml.in

commit 168af48bfb7c98da731e61e080b68c642f5372a0
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-20

    Set the default profile locale to be en_US, not EN_us

M	client/cd-lcms-helpers.c

commit 030b0abd96952349577ef930e9f5a7c5b52190f2
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-20

    Write translated descriptions to ICC profiles if they exist

M	client/cd-create-profile.c

commit 14fb7d42905f21d676c230b3e11f41a67008421e
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-20

    libcolord: Add the ability to get localized keys from the DOM

M	lib/colord/cd-dom.c
M	lib/colord/cd-dom.h
M	lib/colord/cd-self-test.c

commit df4b745164f3852d3a063c3cf7a33d1ff0f940af
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-20

    Build the generated profiles from the XML descriptions

    This also makes cd-create-profile much less complicated.
    NOTE: We're not including the translations in the profiles just yet.

M	client/cd-create-profile.c
M	contrib/colord.spec.in
M	data/profiles/Makefile.am
D	data/profiles/crayons.csv
D	data/profiles/x11-colors.csv
M	src/colord.gresource.xml

commit 214479430d0b2aa1c6b7c7622ff329ef480811dd
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-20

    Translate some of the profile source XML file descriptions and
    licences

    Some profiles don't make sense to translate, e.g. 'sRGB' so have
    been omitted.

M	data/profiles/Makefile.am
M	po/POTFILES.in

commit 882fae57d3af8c0ac342197282486e4a1c00490c
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-20

    Use an XML source format for the generated profiles

    Using cd-create-profile with ~12 arguments per call means we're not
    sure if the
    data is in Yxy or xyY format, and also doesn't allow us to translate
    the
    descriptions and copyright text information.

    Also, using an XML format allows us to expand the amount of metadata
    we're using
    in the future.

A	data/profiles/AdobeRGB1998.xml.in
A	data/profiles/AppleRGB.xml.in
A	data/profiles/BestRGB.xml.in
A	data/profiles/BetaRGB.xml.in
A	data/profiles/Bluish.xml.in
A	data/profiles/BruceRGB.xml.in
A	data/profiles/CIE-RGB.xml.in
A	data/profiles/ColorMatchRGB.xml.in
A	data/profiles/Crayons.xml.in
A	data/profiles/DonRGB4.xml.in
A	data/profiles/ECI-RGBv2.xml.in
A	data/profiles/EktaSpacePS5.xml.in
A	data/profiles/Gamma5000K.xml.in
A	data/profiles/Gamma5500K.xml.in
A	data/profiles/Gamma6500K.xml.in
A	data/profiles/NTSC-RGB.xml.in
A	data/profiles/PAL-RGB.xml.in
A	data/profiles/ProPhotoRGB.xml.in
A	data/profiles/SMPTE-C-RGB.xml.in
A	data/profiles/SwappedRedAndGreen.xml.in
A	data/profiles/WideGamutRGB.xml.in
A	data/profiles/sRGB.xml.in
A	data/profiles/x11-colors.xml.in

commit 583a4c986631e93097171359e9679a9ca504c6bf
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-20

    trivial: Use AM_V_GEN to prettify the build output a little

M	data/profiles/Makefile.am
M	src/Makefile.am

commit 77fea278f80c77bb4792a71f2bd65fcf384b9a6b
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-19

    libcolord: Add a really simple XML DOM extractor for parsing simple
    config files

M	lib/colord/Makefile.am
A	lib/colord/cd-dom.c
A	lib/colord/cd-dom.h
M	lib/colord/cd-self-test.c
M	lib/colord/colord-private.h
M	lib/colord/colord.h

commit ef3376b43f714d72ef5f1f3ce54f740b3dd7a7dd
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-19

    lib: Fix the licence boilerplate in the sensor libs

M	lib/dtp94/dtp94.h
M	lib/huey/huey.h
M	lib/munki/munki.h

commit 5a59a8471515b63c79926d63d0506ff520bc5b57
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-19

    trivial: Update TODO

M	TODO

commit 01c42616d56dc6733875effcc26214c6af00dc16
Author: Christopher James Halse Rogers <raof@ubuntu.com>
Date:	2013-03-19

    Use gtkdocize --copy in autogen.sh

    This is what gnome-autogen.sh does, and it makes it easier for
    packages
    to regenerate autofoo without having files change to symlinks.

M	autogen.sh

commit 8d06331d088b8c1c0a714377da4512935c3caa3c
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-18

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit 850fe720a4804df6506479d2ec452ad8eab1ca62
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-18

    Release colord 0.1.31

M	NEWS
M	doc/website/download.html
M	po/cs.po
M	po/de.po
M	po/en_GB.po
M	po/eo.po
M	po/es.po
M	po/eu.po
M	po/fi.po
M	po/gl.po
M	po/he.po
M	po/hu.po
M	po/id.po
M	po/it.po
M	po/ja.po
M	po/kk.po
M	po/ko.po
M	po/lv.po
M	po/nl.po
M	po/pl.po
M	po/pt_BR.po
M	po/ro.po
M	po/ru.po
M	po/sk.po
M	po/sl.po
M	po/sr.po
M	po/sv.po
M	po/tr.po
M	po/uk.po
M	po/zh_CN.po
M	po/zh_TW.po

commit eed5e21654eaea210837b8b041c34453b105d129
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-14

    trivial: Document the embedded Huey unlock code

M	lib/huey/huey-device.c
M	lib/huey/huey-enum.h

commit 904418e8fdccd80896f1005eb5ff4a6359dafa0b
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-14

    trivial: Add a couple more G_DEPRECATED_FOR() entries

M	lib/colord/cd-deprecated.h

commit 0dcef3ee685524518e8769f4114319c36ea09e41
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-14

    trivial: It is customary to use _full when exposing a 'more complete'
    version of an API call

M	lib/colorhug/ch-device-queue.c
M	lib/colorhug/ch-device-queue.h

commit b00ef34c0e6496aa3882187c6e4465044ae4d683
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-14

    trivial: CdMath is supposed to be LGPLv2+ like the rest of the library

M	lib/colord/cd-math.c
M	lib/colord/cd-math.h

commit ea9bcf7dfad885cdb070ed8eb3ab35791d45acdb
Author: Emanuele Aina <emanuele.aina@collabora.com>
Date:	2013-03-13

    build: Link to libm for fpclassify()

    Linking with the gold linker failed with an undefined reference to
    __fpclassify since it uses '--no-copy-dt-needed-entries' by default.

    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=62264
    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	configure.ac
M	lib/colord/Makefile.am
M	src/Makefile.am

commit fee09e70746f1cfdc8bb65d27f2786af33630b1c
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-12

    Add more sensor capabilities to support the latest ArgyllCMS release

    This allows us to support the ColorMunki Smile

M	client/cd-util.c
M	lib/colord/cd-enum.c
M	lib/colord/cd-enum.h
M	rules/69-cd-sensors.rules.in
M	src/sensors/cd-sensor-argyll.c

commit 3e6d34401b71408ae71e04c6ff6eb05e26dd40b0
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-09

    libcolord: Use static tables to match enumerated values

    We've had too many bugs where one _from_string() or _to_string()
    was missing.

M	lib/colord/cd-enum.c
M	lib/colord/cd-enum.h
M	lib/colord/cd-self-test.c

commit 888f45071a5df55ea4c340253fc87a81fb9c1baa
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-09

    Setup the device permissions for another embedded Huey colorimeter

M	rules/69-cd-sensors.rules.in

commit 7728af6bb95c4be39b455e1f0971a3e9c724c294
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-09

    Setup the device permissions for the original Spyder colorimeter

M	rules/69-cd-sensors.rules.in

commit 1c4211758fb524c13c3fbcf44898f7fbb3f8170f
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-09

    Fix the argyll sensor driver when using the ColorMunki Smile

M	src/sensors/cd-sensor-argyll.c

commit 80c7535f2b6c3b70c736f1018b6195d7b6ac70c6
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-09

    Do not show a critical warning if an unmatched sensor is connected

    This can happen if Argyllcms supports a sensor that colord does
    not recognise,
    for instance, the ColorMunki Smile.

M	src/sensors/cd-sensor-argyll.c

commit bbbb7f315a904432f04c319292c237d278ba9545
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-07

    trivial: CdBuffer is supposed to be LGPLv2+ like the rest of the
    library

M	lib/colord/cd-buffer.c
M	lib/colord/cd-buffer.h

commit 3a95e46c54f66342553aa1015a4d32647f56ef60
Author: Dominique Leuenberger <dominique-freedesktop.org@leuenberger.net>
Date:	2013-03-05

    build: Move the private sensor libraries out of the pure lib space

    From what I understand, those are not 'really' shared libraries,
    but rather
    modules that are loaded by a specific version of the library.

    Move the sensors' libs to libdir/colord-sensors, without module
    versions.

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	lib/dtp94/Makefile.am
M	lib/huey/Makefile.am
M	lib/munki/Makefile.am

commit 885936bb38bc5950bc323cb15592c25c2510aaa0
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-05

    Add a warning if compiling with --with-daemon-user=root

    Resolves: https://bugs.freedesktop.org/show_bug.cgi?id=53436

M	configure.ac

commit e17d3f90a12e6ac002a3b0adb819fe0a88ff86f3
Author: Antoine Jacoutot <ajacoutot@openbsd.org>
Date:	2013-03-05

    Fix build on OpenBSD

    Resolves: https://bugs.freedesktop.org/show_bug.cgi?id=61842
    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	contrib/session-helper/cd-main.c

commit 571358b8f54951c858bf2685b266a8ff72294180
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-04

    trivial: Print the enable-GUsb status in the configure summary

M	configure.ac

commit 764e62d3446850eb96a5c8f9af55af743d30dd30
Author: Colin Walters <walters@verbum.org>
Date:	2013-03-04

    build: Add missing backslash

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	lib/Makefile.am

commit 417b4c95c6161090927e61b534d4cc4b924ea5e5
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-04

    Fix compile with --disable-gusb

    Resolves: https://bugs.freedesktop.org/show_bug.cgi?id=61657

M	lib/Makefile.am
M	src/cd-sensor.c
M	src/cd-sensor.h

commit c9a2831fb42bf92cbbcca288c6a0db79dfc35a36
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-04

    Fix the gamut warning to check primaries wider than CIERGB and
    ProPhoto

    Anything bigger than this is going to be a broken profile.

M	src/cd-profile.c

commit 5e6d5e207836e6a234661629fce09ae12174211c
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-04

    Add some more display vendor names to the display table

    Also, move this to cd-common.c, and add some self tests.

M	src/cd-common.c
M	src/cd-common.h
M	src/cd-device.c
M	src/cd-self-test.c

commit 677afdcb24a31b27d2c5fb9defbcc19df779cbc3
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-04

    trivial: Only use the new GSlice allocator when building with
    CD_DISABLE_DEPRECATED

    It's not technically an API or ABI break moving from #define to a
    symbol, but to
    avoid crashes where GCM and colord are out of sync in projects like
    ostree and
    jhbuild only use the GSlice allocator when building with
    CD_DISABLE_DEPRECATED.

M	lib/colord/cd-color.c
M	lib/colord/colord-private.h
M	lib/colord/colord.h

commit 6919d5a7e6cc4fd476a617ceea9960714c5545a6
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-01

    trivial: Fix up some gtk-doc documentation

M	doc/api/colord-docs.xml
M	lib/colord/cd-interp-akima.c
M	lib/colord/cd-interp-linear.c

commit 4e42ac07167d78df48be4d1584986b18d0b253ff
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-01

    libcolord: Re-instate the cd_color_rgb_array_interpolate()
    functionality

    This uses the new Akima and linear interpolation functionality I
    spent all night
    working on. In other news, I hate splines, and maths in general.

M	lib/colord/cd-color.c
M	lib/colord/cd-self-test.c

commit 4312fdc43763a3cc556b5fe0f615d2c5b3a542a7
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-03-01

    libcolord: Add an implementation of the linear interpolation method

M	lib/colord/Makefile.am
A	lib/colord/cd-interp-linear.c
A	lib/colord/cd-interp-linear.h
M	lib/colord/cd-interp.c
M	lib/colord/cd-interp.h
M	lib/colord/cd-self-test.c
M	lib/colord/colord-private.h
M	lib/colord/colord.h

commit aa649907a98a8cbb056c9082e5dad93f3a916aa7
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-28

    libcolord: Add an implementation of the Akima interpolation method

M	lib/colord/Makefile.am
A	lib/colord/cd-interp-akima.c
A	lib/colord/cd-interp-akima.h
M	lib/colord/cd-interp.c
M	lib/colord/cd-interp.h
M	lib/colord/cd-self-test.c
M	lib/colord/colord-private.h
M	lib/colord/colord.h

commit 6a04cc860132e9a5bed1a07800b02514b88b6592
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-28

    libcolord: Add an CdInterp class to handle 2D interpolation

    The idea is to add different implementations for client code to use
    such as
    Akima, cubic spline and linear.

M	lib/colord/Makefile.am
A	lib/colord/cd-interp.c
A	lib/colord/cd-interp.h
M	lib/colord/cd-self-test.c
M	lib/colord/colord-private.h
M	lib/colord/colord.h

commit ec700a384c3f72964eb77b177c1939c056eb94e3
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-28

    trivial: Disable the cd_color_rgb_array_interpolate() self tests
    until the interpolation works

M	lib/colord/cd-self-test.c

commit 572e6470a93bb3c9a27b635d5dd172c177caca17
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-28

    Do not use GSL to interpolate arrays

    GSL is GPLv3+ (wtf!), and libcolord is LGPLv2+ which makes them
    incompatible.

M	configure.ac
M	contrib/colord.spec.in
M	lib/colord/Makefile.am
M	lib/colord/cd-color.c
M	lib/colord/colord.pc.in

commit 5b1c880fdef3f1c7490b5ffc0fcc2544d3e0dbe0
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-28

    session-helper: Interpolate the gamma data to the VCGT size using
    Akima

M	contrib/session-helper/cd-main.c

commit 9037032c93ef6c7686c80a6212f092a5335ada86
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-28

    session-helper: Always make sure local symbols are used in preference
    to the system versions

M	contrib/session-helper/Makefile.am

commit 44e0829f9831f2e08ab0c41067d405e633843077
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-28

    libcolord: Setup the dummy sensor with a color before taking a
    virtual reading

    This fixes 'make check' when CreateDummySensor=true is set in
    colord.conf.

M	lib/colord/cd-self-test.c

commit 286e544baa4571f5d853409b998691421a577f5e
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-28

    libcolord: Fix two small memory leaks when getting details about
    a sensor

M	lib/colord/cd-sensor.c

commit 3b0d6dd540fc0ff548b2a3f0c1831b9b034eee87
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-28

    libcolord: Create a helper for creating a CdColorRGB array

M	lib/colord/cd-color.c
M	lib/colord/cd-color.h
M	lib/colord/cd-self-test.c

commit 073870b4031fd3482fa80041b39bfe067fffd1c0
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-28

    libcolord: Add functionality to interpolate arrays of CdColorRGB

    This is required in a few different projects now, so abstract it
    out and do it
    properly using Akima and falling back to cubic spline and then linear.

    This also adds a hard dep on gsl, which is present on all distros,
    and is
    already required by projects such as inkscape.

    If anyone has a problem with this, let me know and I'll add a fallback
    to a
    linear interpolation if the library is not available.

M	configure.ac
M	contrib/colord.spec.in
M	lib/colord/Makefile.am
M	lib/colord/cd-color.c
M	lib/colord/cd-color.h
M	lib/colord/cd-self-test.c
M	lib/colord/colord.pc.in

commit 8c5c26b08f6d83089489e83ac6e3fc7568732006
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-28

    libcolord: Switch CdColor to using the GSlice allocator for a
    modest speedup

    GSlice is designed for allocating a large number of small chunks of
    memory that
    are the same size. By switching away from g_new0 (which is pretty
    much, but
    slower than malloc) we can increase the speed of any program that
    allocates a
    large number of color objects without breaking API or ABI.

    Some broken users of the free functions that assumed the free-function
    was an
    explicit GDestroyNotify have to be manually casted, but in the worst
    case this
    is an easily detected compile warning that is easily fixed.

    This commit also has the benefit that the _new() and _free() functions
    can be
    used in languages that use the Colord-1.0 GIR, e.g. JavaScript
    and Python.

M	lib/colord/cd-color.c
M	lib/colord/cd-color.h
M	lib/colord/cd-it8.c
M	src/sensors/cd-sensor-argyll.c
M	src/sensors/cd-sensor-colorhug.c
M	src/sensors/cd-sensor-dtp94.c
M	src/sensors/cd-sensor-dummy.c
M	src/sensors/cd-sensor-huey.c
M	src/sensors/cd-sensor-munki.c

commit 511f085b95cc6bf9ad3764a48cbe458766ea4730
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-27

    session-helper: Calculate the best display calibration based on the
    Lab *and* target display gamma

    To do this, there's also a gamma scale factor, to weight the error
    algorithm.

M	contrib/session-helper/cd-main.c

commit 028cd1f3e38af3dd613619ff7378d45a0f10f78b
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-27

    session-helper: Add an index factor so each patch knows its position
    in the data table

    This allows us to check the gamma for each patch in the future.

M	contrib/session-helper/cd-main.c

commit 47d3274c339aaf53ca0cba340b0c2d6fbf6da15e
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-27

    session-helper: Save the absolute XYZ value of the white sample

M	contrib/session-helper/cd-main.c

commit a579108442984831b08c0057573cb5a69c6c2836
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-27

    Set the target gamma when using the session-helper

    This doesn't do much yet, but will be hooked up soon.

M	contrib/session-helper/cd-example.c
M	contrib/session-helper/cd-main.c

commit f4ad100048eb971114883b3500c9e0af169c7fd6
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-27

    trivial: Fix a critical warning when using the dummy sensor

    The GVariants need to be manually sink'd.

M	contrib/session-helper/cd-main.c

commit 945648e125da7fcf060294c67655d5ba67373cfa
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-26

    session-helper: Set the sample color as a sensor option when
    displaying patches

    This allows us to return a valid XYZ value, which allows us to write
    self tests.

M	contrib/session-helper/cd-main.c

commit 38be3e026a55c6478554ded92daf31eb51fce452
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-26

    dummy: Emulate a perfect sRGB screen when returning XYZ values

M	src/sensors/cd-sensor-dummy.c

commit a160085a0e94de2d3af623acad3da03b07b58a86
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-26

    Guess the option type when using 'colormgr sensor-set-options'

    This allows us to send double precision floats rather than just
    strings.

M	client/cd-util.c

commit 1fa9cf912c7aa047ad23bb0ff682419ff723095d
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-24

    libcolorhug: Add extensions to the take_reading_x() commands to set
    the sensor type

M	lib/colorhug/ch-common.h
M	lib/colorhug/ch-device-queue.c
M	lib/colorhug/ch-device-queue.h

commit fe85e482e4162b5830ac71afc3f660a69c943c20
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-24

    libcolorhug: Add 'Since:' lines

M	lib/colorhug/ch-common.c
M	lib/colorhug/ch-common.h
M	lib/colorhug/ch-device-queue.c
M	lib/colorhug/ch-device.c
M	lib/colorhug/ch-hash.c
M	lib/colorhug/ch-inhx32.c
M	lib/colorhug/ch-math.c

commit 52a7e8b869c4f7c3f2e5130bf5f5027296899cc1
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-23

    trivial: Split out the device and profile-file tests from the
    general section

M	lib/colord/cd-self-test.c

commit 2b8d69e8356c58d997e97d9b69716c5887aa3148
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-23

    trivial: Split out the qualifier tests from the general section

M	lib/colord/cd-self-test.c

commit 51f890670af9e01963be687764320a569e293132
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-23

    Return an error if the client tries to change the profile filename
    after creation

M	lib/colord/cd-enum.c
M	lib/colord/cd-enum.h
M	src/cd-profile.c

commit 2197097e27cbf6f98b8f915a6d0edf82c3b48e6d
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-23

    Do not use deprecated functionality in the self test programs

    This has the happy side-effect of fixing 'make check' when the system
    daemon is
    running under a different user.

M	lib/colord/cd-self-test.c

commit 084134a35f76b33083ae2c83fbc6f64b9354778e
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-23

    Deprecate both the cd_profile_set_$foo_sync() functions

    Profile helpers were never a good idea as there are too many possible
    properties
    that could need setting.

    Also, allowing setting the filename after creating the profle means
    we don't
    send the FD at creation time which breaks when the daemon doesn't
    have read
    access to the profile.

M	lib/colord/cd-deprecated.h
M	lib/colord/cd-profile-sync.c
M	lib/colord/cd-profile-sync.h

commit 8e04bc343c7306f95400f64a17f9c8e4c422e38a
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-23

    Rename the colormgr 'profile-set-$foo' commands to
    'profile-set-property'

    We only cover two properties using this abstraction, and even
    setting the
    profile after creation doesn't really work anymore.

M	client/cd-util.c
M	client/colormgr-completion.bash

commit 84b294f229cd24b95d7f4483313c68394483ad97
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-23

    trivial: Fix the sorting in the bash completion file

M	client/colormgr-completion.bash

commit 63e85a77505176b5bcf57eeeead26e3c22c260f8
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-23

    Run the programs in 'make check' under valgrind to detect memory leaks

M	lib/colord/Makefile.am
M	lib/colorhug/Makefile.am
M	src/Makefile.am

commit fe2b6369090e4647e7dfdedb3c142c72ba602bad
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-23

    libcolord: Do not check if the running daemon matches the project
    version

    We just want to check for *something* and being anal breaks make
    check for some people.

M	lib/colord/cd-self-test.c

commit 7f4a59324c5a786e9816a6ec15ea4f4185e5eb06
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-23

    libcolord: ArgyllCMS uses 'YES' for IT8 options so do the same for
    compatibility

M	lib/colord/cd-it8.c

commit 076d61167b33a6a27dfe45822080e19e6a5cece3
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-21

    libcolorhug: Add the ability to get a spectral reading from the device

M	lib/colorhug/ch-common.h
M	lib/colorhug/ch-device-queue.c
M	lib/colorhug/ch-device-queue.h

commit dbf4a145ea39d034221f9a54633c459bd64bc5f6
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-21

    libcolorhug: Add the ability to get and set the CCD calibration values

M	lib/colorhug/ch-common.h
M	lib/colorhug/ch-device-queue.c
M	lib/colorhug/ch-device-queue.h

commit e5aca143a33390e1411680f824e015c02286b796
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-21

    libcolorhug: Document the hardware availability of more commands

M	lib/colorhug/ch-common.h
M	lib/colorhug/ch-device-queue.c

commit 9cfa6c4728fbced8bf69b5a67639efcd1dcc2c9a
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-21

    libcolorhug: Add constant CH_CALIBRATION_INDEX_MAX

M	lib/colorhug/ch-common.h
M	lib/colorhug/ch-device-queue.c

commit 694790a32811564aa8bdf9ac71cd0ee360978b4b
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-21

    Fix some trivial whitespace issues in libcolorhug

M	lib/colorhug/ch-common.h
M	lib/colorhug/ch-device-queue.h

commit fc5fb60ded69b4f1a2b16111dc9f0282c657cf28
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-21

    trivial: Constify some arguments in libcolorhug

M	lib/colorhug/ch-device-queue.c
M	lib/colorhug/ch-device-queue.h

commit a40623ced1c4a175c076efe1facb8c5f89d3066a
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-20

    colorhug: Add commands to get the ADC Vref+ and Vref-

M	lib/colorhug/ch-common.h
M	lib/colorhug/ch-device-queue.c
M	lib/colorhug/ch-device-queue.h

commit 1824da9a0c66c4f60e01ec12df7706d98fefb8e1
Author: Christopher James Halse Rogers <raof@ubuntu.com>
Date:	2013-02-18

    Fix unusual crash in cd_main_get_cmdline_for_pid

    The error handling code would use the GError when g_file_get_contents
    succeeded but returned len == 0, which is obviously wrong but
    not clear
    how it could be hit.

    I seem to be able to hit it on boot, so fix it.

M	src/cd-main.c

commit 1c785840051c0ca32db00a4c65b9aac04eadad42
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-18

    trivial: Use G_SOURCE_CONTINUE and G_SOURCE_REMOVE

M	client/cd-util.c
M	configure.ac
M	contrib/session-helper/cd-main.c
M	lib/colord/cd-client.c
M	lib/colord/cd-self-test.c
M	lib/colorhug/ch-device.c
M	src/cd-main.c
M	src/sensors/cd-sensor-argyll.c
M	src/sensors/cd-sensor-dummy.c
M	src/sensors/cd-spawn.c

commit b4e92f6499602136d3056a8f350a84c5816df693
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-17

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit 4cd2e481d16c0cd1ea6c9f62dd06abc52fc1ab63
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-17

    Release colord 0.1.30

M	NEWS
M	configure.ac
M	doc/website/download.html
M	po/it.po
M	po/ja.po
M	po/kk.po
M	po/lv.po
M	po/pl.po
M	po/pt_BR.po
M	po/sl.po
M	po/sr.po
M	po/uk.po
M	src/Makefile.am

commit 470618c0ce413de79389c410a34e9382a9cc8878
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-17

    Do not remove the database files when upgrading the package

M	contrib/colord.spec.in

commit 02d67605abeb7586ab7587ea51ee8ff33354dd82
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-16

    libcolorhug: Support setting the blue LED in the ColorHug Spectro

M	lib/colorhug/ch-common.h
M	lib/colorhug/ch-device-queue.c
M	lib/colorhug/ch-self-test.c

commit fc85ee55ce23ca1129931e81ac48220534e8b027
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-15

    trivial: Use a path prefix for the ICC profiles

M	src/Makefile.am
M	src/cd-profile.c
M	src/colord.gresource.xml

commit 63dcc9cfe545de6f5d4f574bfb485ff1ffd9cb92
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-15

    Save the common ICC profiles as GResources in the colord binary to
    reduce I/O

    This reduces seek time a lot when colord is run with a cold
    cache. Each ICC
    profile is typically only one block in size (< 4kb) and so we can
    reduce the
    amount of seeking we do at startup for profiles we know will be
    installed.

    This reduces the startup time by 35ms on my fast machine with an
    SSD, although
    it'll make a *lot* more difference if you have a spinning disk
    hard drive.

    If you're profiling this, remember to use 'echo 3 >
    /proc/sys/vm/drop_caches'
    to ensure the hot file cache is flushed.

M	Makefile.am
M	src/Makefile.am
M	src/cd-profile.c
M	src/colord.gresource.xml

commit 3475791dd293d325eeaaf5aa89b790c1d5b92388
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-15

    trivial: Add --sourcedir to glib-compile-resources to fix ostree

M	src/Makefile.am

commit d44ac5382042df18a639a10be807fd37ee540a10
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-15

    Load the instrospection to the colord binary as a GResource

M	src/Makefile.am
M	src/cd-main.c
A	src/colord.gresource.xml

commit 35ceb2fdb804995ef3f90c51b9dfdd2f3df2bb37
Author: Evan Nemerson <evan@coeus-group.com>
Date:	2013-02-14

    colorhug: fix symbol-prefix passed to g-ir-scanner

    The symbol-prefix should not have a trailing underscore.  Leaving it
    as it currently is causes problems for Vala, which is currently the
    only software to actually use the symbol-prefix from the GIR.

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	lib/colorhug/Makefile.am

commit b4ab882ecf6ad2ae78c2922fb056ccc12eb6e014
Author: Martin Pitt <martinpitt@gnome.org>
Date:	2013-02-13

    ch-self-test: Fix linking

    ch-self-test uses cd_mat33_set_identity(), so link it to
    libcolordprivate.la.

M	lib/colorhug/Makefile.am

commit 945f1c9be7ac6e2d8f4bc74af87c3d98726a7951
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-12

    libcolord: Skip more self tests if the daemon could not be started

    This should fix 'make check' when run in jenkins.

M	lib/colord/cd-self-test.c

commit 08ba5189f52db0e301c4359f4e7e54cdeef0b054
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-12

    libcolord: Do not expect a system proxy when checking if the daemon
    exists

    This can never work, if the colord binary is not present or can not
    run for some reason.

M	lib/colord/cd-client.c

commit dfc89a6562194dadaa149d3931b05128efea2b3b
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-12

    trivial: Fix the CI warnings for realpath in the self check program

M	lib/colord/cd-self-test.c

commit 954eab2c74f621bc6e5d655ff12fe5ae701ff6a7
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-08

    Append -private to the driver libraries as they have no headers
    installed

    In any other project wants to use these libraries, let me know.

M	lib/dtp94/Makefile.am
M	lib/huey/Makefile.am
M	lib/munki/Makefile.am
M	src/sensors/Makefile.am

commit a03530961c61eb810101c6ef347d02da20f47de3
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-06

    Fix up the model name for the ColorMunki and address a tiny memory
    leak

M	src/cd-sensor.c

commit 016d850d9990b0c2e41b44ec66264bfeb8247dbb
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-06

    libcolord: cd_sensor_get_caps() returns a bitfield, so make it
    explicitly 64 bits wide

M	lib/colord/cd-sensor.c
M	lib/colord/cd-sensor.h

commit c240a425bbd7a5cfd081ee80831482a82e77c67c
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-06

    trivial: Fix up some trailing whitespace

M	src/cd-profile-store.c

commit 83bfccee2712489b816d1e44fd1d0e4457db2354
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-06

    Do not show duplicate profiles when icc-profiles-openicc is installed

    The basic issue is that icc-profiles-openicc is broken. For instance,
    the
    /usr/share/color/icc/lcms/XYZ.icc file has the same md5 sum as
    the file
    /usr/share/color/icc/lcms/LCMSXYZI.ICM -- which leads colord to
    get confused.

M	src/cd-profile-store.c

commit 32c1a08c03c6c488bdc9ada983fc1791f0900382
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-05

    trivial: Remove the huey reverse engineering tools

    We can use the GPLv2+ 'standalone instrument library' from Argyllcms
    for the
    magic values.

M	src/sensors/Makefile.am
D	src/sensors/cd-huey-calculate-fudge.c
D	src/sensors/cd-huey-dump-values.c
D	src/sensors/cd-huey-parse.c

commit 26667e664b12661917464737ad39b0dea324ac59
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-05

    huey: Document several unknown commands

    This was found reading spectro/huey.c, from the GPLv2+ 'standalone
    instrument
    library' available in the development ArgyllCMS snapshot found at
    http://www.argyllcms.com/Argyll_dev_src.zip

M	lib/huey/huey-ctx.c
M	lib/huey/huey-enum.c
M	lib/huey/huey-enum.h

commit 79014abc9feded3480945542c31ee60ec4450fd5
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-05

    dtp94: Document the unknown 0117CF command

    This was found reading spectro/dtp92.c, from the GPLv2+ 'standalone
    instrument
    library' available in the development ArgyllCMS snapshot found at
    http://www.argyllcms.com/Argyll_dev_src.zip

M	lib/dtp94/dtp94-device.c

commit 20b41c4454556c431e51da220c2b08c09859bdd8
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-05

    dtp94: Fix some trivial indentation issues

M	lib/dtp94/dtp94-device.c

commit 4e43d1f8be92640601047905b8d8f9b834184636
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-05

    trivial: Fix more --no-add-needed fallout

M	client/Makefile.am
M	contrib/colord-sane/Makefile.am
M	contrib/session-helper/Makefile.am
M	doc/api/Makefile.am

commit d2a818342507e18d1482288c0d8685dec8d3aafc
Author: Christopher James Halse Rogers <raof@ubuntu.com>
Date:	2013-02-05

    build: Fix Colord-1.0.gir build with --no-add-needed

M	lib/colord/Makefile.am

commit 3130f48dbde4a18a4643f68038f62ae2eff91246
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit bde402bebd26a8cfea76cc5d5ff0e3f04edc06a0
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    Release colord 0.1.29

M	NEWS
M	doc/website/download.html
M	po/bg.po
M	po/cs.po
M	po/de.po
M	po/el.po
M	po/en_GB.po
M	po/eo.po
M	po/es.po
M	po/eu.po
M	po/fa.po
M	po/fi.po
M	po/fr.po
M	po/ga.po
M	po/gl.po
M	po/he.po
M	po/hr.po
M	po/hu.po
M	po/ia.po
M	po/id.po
M	po/it.po
M	po/ja.po
M	po/ka.po
M	po/kk.po
M	po/ko.po
M	po/lt.po
M	po/lv.po
M	po/nl.po
M	po/pl.po
M	po/pt_BR.po
M	po/ro.po
M	po/ru.po
M	po/sk.po
M	po/sl.po
M	po/sq.po
M	po/sr.po
M	po/sv.po
M	po/te.po
M	po/tr.po
M	po/uk.po
M	po/zh_CN.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 2aee2757279fb893efd97ad8eca316f3330921dd
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    trivial: Remove cd_mapping_db_update_timestamp() as it's not required

M	src/cd-device.c
M	src/cd-mapping-db.c
M	src/cd-mapping-db.h
M	src/cd-self-test.c

commit 57a481945b96f635ad31511a040f20088d552496
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    Install libmunki for access to the ColorMunki Photo hardware

    Note, this hardware does not work yet, and driver support is WIP.

M	configure.ac
M	lib/Makefile.am
A	lib/munki/Makefile.am
R053	src/sensors/cd-sensor-munki-private.c	lib/munki/munki-enum.c
R059	src/sensors/cd-sensor-munki-private.h	lib/munki/munki-enum.h
A	lib/munki/munki.h
M	src/sensors/Makefile.am
M	src/sensors/cd-huey-parse.c
M	src/sensors/cd-parse-beagle.c
M	src/sensors/cd-sensor-munki.c

commit 14be1ba7ad2a052b07de074e842ed4a4e99e24c9
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    trivial: Fix up a few warnings from clang

M	client/cd-util.c
M	lib/colorhug/ch-device-queue.c
M	lib/colorhug/ch-device.c
M	lib/dtp94/dtp94-device.c
M	lib/huey/huey-ctx.c
M	lib/huey/huey-device.c

commit 64686e7576df6fd54e51c04a43fdeff8b5dd0ccc
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    trivial: Fix g-ir-scanner harder, hopefully fixing ostree

M	lib/colorhug/Makefile.am

commit 221919b409e4164aaa0a586521d2f39eaa1228c1
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    trivial: Fix up the coverity script now we have lib/

M	Makefile.am

commit 6e50abe65249f67b0245a0d53b31406f1def201c
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    trivial: fix 'make distcheck' by including the gschema in the
    tarball correctly

M	contrib/session-helper/Makefile.am

commit 38d948c4ff1c2e9e421704342620bf6eedd085ca
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    trivial: Fix GIR build when colord is not locally installed

M	lib/colorhug/Makefile.am

commit 88adefa5cb9e2586e47cd6e0a4867b3a35b36777
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    trivial: Show some debugging if loading the native sensor failed

M	src/cd-sensor.c

commit 75683f883ee12b7376b510bd6ec096e7608844bc
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    Move libcolorhug from colorhug-client for access to the ColorHug
    colorimeter

    It's crazy duplicating all the client code across three projects.

M	configure.ac
M	contrib/colord.spec.in
M	lib/Makefile.am
A	lib/colorhug/Makefile.am
A	lib/colorhug/ch-common.c
R090	src/sensors/cd-sensor-colorhug-private.h
lib/colorhug/ch-common.h
A	lib/colorhug/ch-device-queue.c
A	lib/colorhug/ch-device-queue.h
R056	src/sensors/cd-sensor-colorhug-private.c
lib/colorhug/ch-device.c
A	lib/colorhug/ch-device.h
A	lib/colorhug/ch-hash.c
A	lib/colorhug/ch-hash.h
A	lib/colorhug/ch-inhx32.c
A	lib/colorhug/ch-inhx32.h
A	lib/colorhug/ch-math.c
A	lib/colorhug/ch-math.h
A	lib/colorhug/ch-self-test.c
A	lib/colorhug/ch-version.h.in
A	lib/colorhug/colorhug.h
A	lib/colorhug/colorhug.pc.in
M	src/sensors/Makefile.am
M	src/sensors/cd-sensor-colorhug.c

commit 4d015f037682bc323169efd98f8a803e75fea0f4
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    Install libhuey for access to the Huey colorimeter

M	configure.ac
A	lib/huey/Makefile.am
A	lib/huey/huey-ctx.c
A	lib/huey/huey-ctx.h
A	lib/huey/huey-device.c
A	lib/huey/huey-device.h
A	lib/huey/huey-enum.c
R072	src/sensors/cd-sensor-huey-private.h	lib/huey/huey-enum.h
A	lib/huey/huey.h
M	src/sensors/Makefile.am
M	src/sensors/cd-huey-parse.c
M	src/sensors/cd-parse-beagle.c
D	src/sensors/cd-sensor-huey-private.c
M	src/sensors/cd-sensor-huey.c

commit 3191f1c86cb06e1d61478e4cf63fc2db6bbfd874
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    Install libdtp94 for access to the DTP94 colorimeter

M	configure.ac
M	lib/Makefile.am
A	lib/dtp94/Makefile.am
A	lib/dtp94/dtp94-device.c
A	lib/dtp94/dtp94-device.h
R057	src/sensors/cd-sensor-dtp94-private.c	lib/dtp94/dtp94-enum.c
A	lib/dtp94/dtp94-enum.h
A	lib/dtp94/dtp94.h
M	src/sensors/Makefile.am
D	src/sensors/cd-sensor-dtp94-private.h
M	src/sensors/cd-sensor-dtp94.c

commit 8510ed6e12ad21670e6b9b8253315f9c6a2dda4c
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    trivial: Don't include <colord/colord-private.h> as it's installed
    in the parent directory

M	client/Makefile.am
M	client/cd-common.c
M	client/cd-create-profile.c
M	contrib/session-helper/Makefile.am
M	contrib/session-helper/cd-example.c
M	src/Makefile.am
M	src/cd-common.h
M	src/cd-plugin.h
M	src/cd-sensor.c
M	src/cd-sensor.h
M	src/plugins/Makefile.am
M	src/sensors/Makefile.am
M	src/sensors/cd-huey-dump-values.c
M	src/sensors/cd-sensor-huey.c

commit 693da1d865863e6f6f68cbc229b62cbb75e8923d
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    trivial: Fix non-srcdir building, to hopefully fix the ostree build

M	client/Makefile.am
M	contrib/colord-sane/Makefile.am
M	contrib/session-helper/Makefile.am
M	src/Makefile.am
M	src/plugins/Makefile.am
M	src/sensors/Makefile.am

commit 5e3ab92c082d84d75e9299f8e9e6e288dcd5711e
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    Fix building with --enable-sane after the library move

M	contrib/colord-sane/cd-main.c

commit 2700bfe95b4a22340071f7bb2d2c27089a1b514b
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    Move libcolord into lib/colord in the project to avoid path crazyness

M	Makefile.am
M	client/Makefile.am
M	client/cd-common.c
M	client/cd-create-profile.c
M	client/cd-fix-profile.c
M	client/cd-util.c
M	configure.ac
M	contrib/colord-sane/Makefile.am
M	contrib/session-helper/Makefile.am
M	contrib/session-helper/cd-example.c
M	contrib/session-helper/cd-main.c
M	doc/api/Makefile.am
A	lib/Makefile.am
R100	libcolord/.valgrind-suppressions
lib/colord/.valgrind-suppressions
R099	libcolord/Makefile.am	lib/colord/Makefile.am
R100	libcolord/cd-buffer.c	lib/colord/cd-buffer.c
R100	libcolord/cd-buffer.h	lib/colord/cd-buffer.h
R100	libcolord/cd-client-sync.c	lib/colord/cd-client-sync.c
R100	libcolord/cd-client-sync.h	lib/colord/cd-client-sync.h
R100	libcolord/cd-client.c	lib/colord/cd-client.c
R100	libcolord/cd-client.h	lib/colord/cd-client.h
R100	libcolord/cd-color.c	lib/colord/cd-color.c
R100	libcolord/cd-color.h	lib/colord/cd-color.h
R100	libcolord/cd-deprecated.c	lib/colord/cd-deprecated.c
R100	libcolord/cd-deprecated.h	lib/colord/cd-deprecated.h
R100	libcolord/cd-device-sync.c	lib/colord/cd-device-sync.c
R100	libcolord/cd-device-sync.h	lib/colord/cd-device-sync.h
R100	libcolord/cd-device.c	lib/colord/cd-device.c
R100	libcolord/cd-device.h	lib/colord/cd-device.h
R100	libcolord/cd-enum.c	lib/colord/cd-enum.c
R100	libcolord/cd-enum.h	lib/colord/cd-enum.h
R100	libcolord/cd-it8-utils.c	lib/colord/cd-it8-utils.c
R100	libcolord/cd-it8-utils.h	lib/colord/cd-it8-utils.h
R100	libcolord/cd-it8.c	lib/colord/cd-it8.c
R100	libcolord/cd-it8.h	lib/colord/cd-it8.h
R100	libcolord/cd-math.c	lib/colord/cd-math.c
R100	libcolord/cd-math.h	lib/colord/cd-math.h
R100	libcolord/cd-profile-sync.c	lib/colord/cd-profile-sync.c
R100	libcolord/cd-profile-sync.h	lib/colord/cd-profile-sync.h
R100	libcolord/cd-profile.c	lib/colord/cd-profile.c
R100	libcolord/cd-profile.h	lib/colord/cd-profile.h
R100	libcolord/cd-self-test.c	lib/colord/cd-self-test.c
R100	libcolord/cd-sensor-sync.c	lib/colord/cd-sensor-sync.c
R100	libcolord/cd-sensor-sync.h	lib/colord/cd-sensor-sync.h
R100	libcolord/cd-sensor.c	lib/colord/cd-sensor.c
R100	libcolord/cd-sensor.h	lib/colord/cd-sensor.h
R100	libcolord/cd-version.h.in	lib/colord/cd-version.h.in
R097	libcolord/colord-private.h	lib/colord/colord-private.h
R100	libcolord/colord.h	lib/colord/colord.h
R100	libcolord/colord.pc.in	lib/colord/colord.pc.in
M	src/Makefile.am
M	src/cd-common.h
M	src/cd-plugin.h
M	src/cd-sensor.c
M	src/cd-sensor.h
M	src/plugins/Makefile.am
M	src/sensors/Makefile.am
M	src/sensors/cd-huey-dump-values.c
M	src/sensors/cd-sensor-huey.c

commit 695cfe06c06fe6785dc52f481871e71e77d0ec3d
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    Ensure we can set the timestamp to zero when clearing a mapping
    database entry

    This is the same bug we had with the device database. As we had
    no suitable
    primary key, any 'INSERT OR REPLACE' operation would create additional
    entries
    in the database, which would not be matched.

    To mitigate this, create a suitable mapping table, and migrate all
    the users
    data. Also include quite a few self tests, to ensure we do this
    correctly.

M	src/cd-mapping-db.c
M	src/cd-self-test.c

commit 53cb0b8b3a846676ff36dc81f879aa68a7774c4a
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    Do not auto-add profiles to devices where the mapping timestamp
    is zero

M	src/cd-main.c

commit 8e2d61d4b05229e094da382f78c346cf39401443
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    Detect standard spaces from adobe.com and color.org and add the
    required metadata

    Also, increase the score given to the profiles to ensure that they
    are selected
    before colord-generated versions.

M	src/cd-profile.c

commit 4052d9ae3b435b658caa85214aa3c911e4e69a8d
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    Allow profiles to have a 'score' which affects which get chosen as
    a specific standard space

    Like before, prefer system profiles over user profiles.

M	src/cd-main.c
M	src/cd-profile.c
M	src/cd-profile.h
M	src/cd-self-test.c

commit 8476dfd9cf6fa7212bacec67d161a6f47b6bfe9b
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    trivial: Allow profiles to easily create additional metadata

M	src/cd-profile.c

commit f600782c859ca2c56eb3a86a7d5ca29ed6a88b8f
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    trivial: fix make check

M	src/sensors/Makefile.am

commit 02dab74945ebef306d590e476b794397c1d24c1a
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-04

    trivial: Move CdIt8 to libcolordprivate.so so it can be used in
    the daemon

M	libcolord/Makefile.am

commit be00003057611ccecbfdae18fd16a878ad642347
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-03

    Change the Adobe RGB description to be 'Compatible with Adobe RGB
    (1998)' for any trademark concern

M	data/profiles/Makefile.am

commit 882da43d7a427b049e0f9f135c77edf0ab511720
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-03

    trivial: Add a command cd_buffer_debug for use in sensor drivers

M	libcolord/cd-buffer.c
M	libcolord/cd-buffer.h

commit 9fb83d3f244e2e53fc36264da587fc0e6424798d
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-03

    Include cd-buffer.c in libcolordprivate for future use

M	libcolord/Makefile.am
R086	src/sensors/cd-buffer.c libcolord/cd-buffer.c
R061	src/sensors/cd-buffer.h libcolord/cd-buffer.h
M	libcolord/cd-self-test.c
M	libcolord/colord.h
M	src/sensors/Makefile.am
D	src/sensors/cd-self-test.c

commit 02df111f67d4eb426583d1b69c251fc9138f1adf
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-03

    Include -lcolordprivate in the colord pkg-config file

    This prevents linking errors in projects that use libcolord.

M	configure.ac
M	libcolord/colord.pc.in

commit afc03a095bfd62f527b455f5170f90a15e94da12
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-02

    Split the libcolord.so into libcolordprivate.so so it can be used
    without a GObject dep

M	contrib/colord.spec.in
M	libcolord/Makefile.am
M	src/Makefile.am

commit 6ffe2f6aae4bdc8331cab1fd9379ed8aef759749
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-01

    trivial: Do proper error checking when using sd_pid_get_session()
    and sd_session_get_seat()

M	src/cd-main.c

commit c1d564a6714d8265712e60d07b5d84086537c195
Author: Christopher James Halse Rogers <raof@ubuntu.com>
Date:	2013-02-01

    Reintroduce SANE support

    SANE is unsuitable for applications which want to poll scanners,
    as it leaks
    resources on each poll.

    Work around this by reintroducing a colord-sane helper that querys
    SANE, updates
    the colord device db, then quits, and a plugin to spawn the helper
    at appropriate
    times.

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	Makefile.am
M	configure.ac
M	contrib/Makefile.am
A	contrib/colord-sane/Makefile.am
A	contrib/colord-sane/cd-main.c
M	contrib/colord.spec.in
M	etc/colord.conf.in
M	src/plugins/Makefile.am
A	src/plugins/cd-plugin-sane.c
M	src/plugins/cd-plugin-scanner.c

commit fb5946d3a0dd9641c63afd01908f347de90695e9
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-01

    Set the additional 'OwnerCmdline' metadata on each device

M	doc/metadata-spec.txt
M	libcolord/cd-enum.h
M	src/cd-main.c

commit 8266717ef2ad2e6ebd254bb3b9552d400374a64f
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-01

    Allow the user to specify the device type when using 'colormgr
    create-device'

M	client/cd-util.c
M	src/cd-main.c

commit 006884043965f569d5fc299a561d538c10a178f0
Author: Christopher James Halse Rogers <raof@ubuntu.com>
Date:	2013-02-01

    Add an interface for plugins to decline to load

    This allows plugins to determine whether they should be loaded based
    on the colord config.

    Re-introducing the SANE plugin wants this, as the scanner and
    sane plugins
    should be mutually exclusive.

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/cd-main.c
M	src/cd-plugin.h

commit 719fd600782696db931c4f7cadca873665e4df55
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-01

    Do not make the libsystemd-login dep automatic

M	configure.ac
M	libcolord/cd-self-test.c

commit 6f1e395b60cd3737754ca5d23f28eaeb533662b8
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-01

    trivial: Fix up compile warning introduced with
    9b0e28776d7b43202c7a83997a079142a56c26ae

M	libcolord/cd-self-test.c

commit c3e7b29c50d68b3370a482b928592cd101bc22cf
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-01

    Add convenience function cd_sensor_open_usb_device() for native
    sensors

    The sensors are all doing pretty much the same thing, so provide a
    helper for
    them to use.

M	src/Makefile.am
M	src/cd-sensor.c
M	src/cd-sensor.h
M	src/sensors/cd-sensor-colorhug.c
M	src/sensors/cd-sensor-dtp94.c
M	src/sensors/cd-sensor-huey.c
M	src/sensors/cd-sensor-munki.c

commit b1e015ee13b8abf3046a6d5fce6dcbe28ce2a2c1
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-01

    Add the ability to get the GUdevDevice of the sensor

M	src/cd-sensor.c
M	src/cd-sensor.h

commit 4b349257b7a3c087a716a7e1152960838bbc6215
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-31

    Add some DTP94 error constants

    These are taken from ArgyllCMS 0.60 which was downloaded from:
    http://www.sourcefiles.org/Utilities/Miscellaneous/argyllV0.60_src.zip

    This was done as newer versions of ArgyllCMS were re-licenced from
    GPLv2+ to
    AGPLv3 which is incompatible with colord.

M	src/sensors/Makefile.am
A	src/sensors/cd-sensor-dtp94-private.c
A	src/sensors/cd-sensor-dtp94-private.h
M	src/sensors/cd-sensor-dtp94.c
M	src/sensors/cd-sensor-dtp94.h

commit ccc20812cf24aa9b7a584734b4762c6816d153de
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-02-01

    Allow sensors to add capabilites after being locked

M	src/cd-sensor.c
M	src/cd-sensor.h

commit 59c7d02d22693863f0079c97f6c650fbfdfe7fc6
Author: Christopher James Halse Rogers <raof@ubuntu.com>
Date:	2013-02-01

    Make libcolord/device_async test pass everywhere

    Rather than only when run by a user with uid 1000 and username
    ‘hughsie’.
    ‘make check’ now runs on systems which aren't Hugsie's!

M	libcolord/cd-self-test.c

commit 9b0e28776d7b43202c7a83997a079142a56c26ae
Author: Christopher James Halse Rogers <raof@ubuntu.com>
Date:	2013-02-01

    Fix timezone problem in colord_client_random_func test

    colord interprets the “created time” metadata in a profile in
    the current
    timezone, which is entirely reasonable. This means that the created
    time
    in seconds-since-the-epoch-in-UTC will differ depending on the
    timezone
    though, so we need to calculate the calendar time to compare in
    the test
    rather than hardcoding it.

    Prevents ‘make check’ from failing when the timezone is not
    equal to UTC

M	libcolord/cd-self-test.c

commit ced8d7c569411abeb847a4e8043e8d793efa88ae
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-31

    Add the 'Plasma' sensor capability

M	client/cd-util.c
M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	src/sensors/cd-sensor-argyll.c
M	src/sensors/cd-sensor-colorhug.c
M	src/sensors/cd-sensor-dtp94.c
M	src/sensors/cd-sensor-dummy.c
M	src/sensors/cd-sensor-huey.c

commit 127a1c8e5d17ef13e5dd143547719d87aaad6849
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-31

    trivial: don't make the translators heads hurt

M	client/cd-util.c

commit f323925cc6bdd0488895e41d94150d4bef8c14b6
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-31

    Add some simple bitfield helpers

M	client/cd-util.c
M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	src/cd-sensor.c
M	src/sensors/cd-sensor-colorhug.c
M	src/sensors/cd-sensor-dtp94.c
M	src/sensors/cd-sensor-dummy.c
M	src/sensors/cd-sensor-huey.c

commit acf7b99f53a8814a065b4e217c22a9d318e2858b
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-31

    trivial: Do not use COLORD_SENSOR, it's faster to just check
    COLORD_SENSOR_KIND

M	rules/69-cd-sensors.rules.in
M	src/cd-sensor-client.c

commit 587ece804b5f7b9aa9129592773a746a2a240a78
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-31

    trivial: Do not overwrite the udev caps when using an argyllcms sensor

M	src/sensors/cd-sensor-argyll.c

commit 0322ea45205ed66babb0409df338d9a7f2ee1392
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-31

    Specify the sensor caps in the code for native sensors

M	rules/69-cd-sensors.rules.in
M	src/sensors/cd-sensor-argyll.c
M	src/sensors/cd-sensor-colorhug.c
M	src/sensors/cd-sensor-dtp94.c
M	src/sensors/cd-sensor-huey.c
M	src/sensors/cd-sensor-munki.c

commit b4ae95c65584052a6c27aaf6cbfde9ec185d1c8a
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-31

    Store the sensor capabilities internally as a bitfield

    This will allow us to add to them at runtime in the future.

M	src/cd-sensor.c
M	src/sensors/cd-sensor-argyll.c
M	src/sensors/cd-sensor-dummy.c

commit 9a869efa6930fb5148829ec96047aadf4df05ce6
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-31

    Show all the possible capabilities on one line when doing 'colormgr
    get-sensors'

    Also, make the caps translated and add quite long translator comments.

M	client/cd-util.c

commit 3d5158514b6736971db40b57ec303a93518a288e
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-30

    Use a common function between sensors for printing raw
    response/request data

M	src/cd-sensor.c
M	src/cd-sensor.h
M	src/sensors/cd-sensor-dtp94.c
M	src/sensors/cd-sensor-huey.c
M	src/sensors/cd-sensor-munki.c

commit 9cca250702bb3a16684f16cce858e522d76b468c
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-30

    Add DTP94 native sensor support

    The DTP94 is actually a really simple sensor. We don't know all
    the commands,
    but it's trivial to capture the output using USB capture hardware
    when the
    sensor is being used by ArgyllCMS. By replaying them we get back an
    XYZ reading.

    We don't know what most of the commands actually do, but at least
    it works.

A	doc/devices/dtp94/beagle-lcd-white-black.csv
A	doc/devices/dtp94/lsusb-vvv
A	doc/devices/dtp94/spotread-crt.txt
A	doc/devices/dtp94/spotread-lcd.txt
M	src/sensors/Makefile.am
M	src/sensors/cd-parse-beagle.c
A	src/sensors/cd-sensor-dtp94.c
A	src/sensors/cd-sensor-dtp94.h
M	src/sensors/cd-sensor-dump.c

commit 54db59e3a34a9c0806f3d59ec81805244a761f9f
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-30

    trivial: Allow the test programs to lock the correct sensor

    To have cd_sensor_lock_async() in scope, we had resorted to linking
    in a
    specific sensor driver. This doesn't work for anything other than
    the linked in
    sensor, so the correct thing to do is provide some hooks to call
    the vfuncs.

M	src/cd-sensor.c
M	src/cd-sensor.h
M	src/sensors/Makefile.am
M	src/sensors/cd-sensor-dump.c

commit a5f96a3cf350c6701ab3c5e9f0b62377ba6cab98
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-28

    Do not include the size of the NULL byte when writing data from
    CCMX files

M	libcolord/cd-it8.c
M	libcolord/cd-self-test.c

commit 8abb71fdf9acf1dc9db8ee95a0743f5a16420c9b
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-28

    Write the CdIt8 'CREATED' date string in all files

    Note, this is some crazy date format used by ArgyllCMS.

M	libcolord/cd-it8.c

commit 6bd6494c88ac6405e9f72872c9e7ecbc8edc448c
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-28

    trivial: Ensure all the sensor metadata is stored correctly

M	src/cd-sensor.c

commit a6e012dda976a2998e0831f1810df07288037686
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-27

    trivial: Include a better translation comment for 'Seat'

M	client/cd-util.c

commit 6a8690639aa70f9a9e493f69c7b0e2d459229e60
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-25

    Merge COLORD_SENSOR_CAP_* into COLORD_SENSOR_CAPS to make the udev
    rules shorter

    This also allows us to split the caps in the future if we decide
    this is a good idea.

M	rules/69-cd-sensors.rules.in
M	src/cd-sensor.c

commit 71f27529212f6db6cdc794edc8167caeab99d189
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-24

    trivial: Fix a *tiny* memory leak when saving ti1 and ti3 files

M	libcolord/cd-it8.c

commit 38af49b9c3d2aa387f14470cee83a690859e1b46
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-24

    Return an error if a client tries to create a device of an unknown
    type

    Also return an error if the client does not specify a type.
    This has a side effect of setting the device type _before_ the
    other metadata
    which allows us to fix the vendor and model strings based on the
    device kind.

M	libcolord/cd-self-test.c
M	src/cd-device-array.c
M	src/cd-device-array.h
M	src/cd-device.c
M	src/cd-device.h
M	src/cd-main.c

commit 4789d704e5abbfbd9793c1c3b289c6edfe059db9
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-24

    Add a --version argument to colormgr

M	client/cd-util.c

commit 3c19a60378e8bff959c783e7a95e239be34ddcd8
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-24

    Add a --verbose argument to colormgr

M	client/cd-util.c

commit d69d7cdd8e45fbc6ffa74f06c8787375cddacf9a
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-23

    Do not auto-add profiles due to device-id metadata if they have been
    manually removed by the user

    If the user has manually removed the profile from the device, we
    should not keep
    adding it at every fresh boot.

    So we know this, set the timestamp to zero in the mapping database
    when the
    profile is removed, and check for this value when soft-adding the
    profiles to a
    device.

    Also make a few more adjustments so that we ignore any mappings with
    a timestamp
    of zero and add a self test for this functionality.

M	libcolord/cd-self-test.c
M	src/cd-device.c
M	src/cd-main.c
M	src/cd-mapping-db.c
M	src/cd-mapping-db.h
M	src/cd-self-test.c
M	src/org.freedesktop.ColorManager.Device.xml

commit 91a28b321370cc7c252458506f175e2275d932f2
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-23

    trivial: Set an error if cd_mapping_db_get_timestamp() returned
    no value

M	src/cd-mapping-db.c

commit f25f3da1de3fc9eb7e52ba7725d51f605df2f4ba
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-23

    trivial: Use a random device-id when testing the mapping p->d
    functionality

M	libcolord/cd-self-test.c

commit 8289f3286e99c6b8169dfc8783c550b4ebc96e4d
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-23

    Do not log a critical warning if the daemon is replaced at runtime

M	src/cd-main.c

commit 21e59f0f2f6b95b5560c705013416909e46aee68
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-23

    session-helper: Return extra data from the calibration in the
    Finished signal

    This breaks D-Bus API for the client helper, although we're not API
    stable yet
    and the only consumer is gnome-control-center.

M	contrib/session-helper/cd-example.c
M	contrib/session-helper/cd-main.c
M	contrib/session-helper/org.freedesktop.ColorHelper.xml

commit 5f37916c67b1ae641b1b048ba5a4208e10d06702
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-23

    session-helper: Return the correct sensor images when calibrating

M	contrib/session-helper/cd-main.c

commit 01dd14eb1bd8d5ae0532b3050fc00195ff820fd6
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-23

    Don't emit a warning if the profile warnings or owner changes

M	libcolord/cd-profile.c

commit 33fac5dcce33e313bf5d79025971493dbc2bba90
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-23

    Do not return an error if a user manually adds a profile that has
    already been automatically added

    This can happen if a calibration program creates a profile with
    an embedded
    device-id which is then imported. The daemon automatically soft-adds
    the profile
    to the device, and the calibration program or the user may then
    choose to hard
    add the profile so that it is able to be set default.

M	src/cd-device.c
M	src/cd-self-test.c

commit 1b9b67eac8c37d4df2554bee501c3f453717f774
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-23

    trivial: Fix gtk-doc function comment

M	src/cd-device.c

commit e04af288c349a9e5df72e90292fbcb5861252a74
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-23

    trivial: Fix a documentation typo

M	contrib/session-helper/org.freedesktop.ColorHelper.xml

commit 81f0547b683791e267928ec79f1cd5116ad6975f
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-21

    trivial: Remove some dead code

M	src/org.freedesktop.ColorManager.xml

commit a1eea4ec506182e66ef560ef2d91a03982316e7b
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-18

    trivial: Add some 'Since:' tags to CdColor in libcolord

M	libcolord/cd-color.c

commit 7061352de37375e189d63057184b049cac39cc34
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-18

    trivial: Be more efficient when adding devices to only match the
    metadata once

    Also rename a few functions to have common suffixes and add another
    metadata
    test case.

M	libcolord/cd-self-test.c
M	src/cd-main.c

commit 842b9ebfd307d632aa1ff902940a4416c0200f0c
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-17

    Fix auto-profile assignment when file descriptors are used

    In the case of creating a profile by fd, wait until profiles have
    been parsed
    and the metadata set before trying to soft add to a device.

M	src/cd-main.c

commit f91ebd87772b8be221f86a28dd6390a859f040ee
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-17

    Ensure profiles with MAPPING_device_id get auto-added to devices

    This was only working when the device was added before the profile,
    and this
    is supposed to work both ways.

M	libcolord/cd-self-test.c
M	src/cd-main.c

commit a2a524f7033416a5fdbcf21b40fc559c0336d280
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-17

    trivial: Don't show a critical warning if the config file is missing

M	src/cd-main.c

commit 517c79612df490d5596730aa3773cb5c0d4f902f
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-16

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit 325cfec903f62e20c8f111ba5b733bb4f21ad3dc
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-16

    Release colord 0.1.28

M	NEWS
M	configure.ac
M	doc/website/download.html
M	po/bg.po
M	po/cs.po
M	po/de.po
M	po/el.po
M	po/en_GB.po
M	po/eo.po
M	po/es.po
M	po/eu.po
M	po/fa.po
M	po/fi.po
M	po/fr.po
M	po/ga.po
M	po/gl.po
M	po/he.po
M	po/hr.po
M	po/hu.po
M	po/ia.po
M	po/id.po
M	po/it.po
M	po/ja.po
M	po/ka.po
M	po/kk.po
M	po/ko.po
M	po/lt.po
M	po/lv.po
M	po/nl.po
M	po/pl.po
M	po/pt_BR.po
M	po/ro.po
M	po/ru.po
M	po/sk.po
M	po/sl.po
M	po/sq.po
M	po/sr.po
M	po/sv.po
M	po/te.po
M	po/tr.po
M	po/uk.po
M	po/zh_CN.po
C068	po/ka.po	po/zh_HK.po
M	po/zh_TW.po

commit 433f283ac6b768627fe76f8800d2db95ce8b3f09
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-16

    trivial: self-obsolete the main daemon package to fix the multilib
    upgrade path

M	contrib/colord.spec.in

commit 14c4bba9c515fbccac33400e0378bda628603cee
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-16

    trivial: Add a -libs subpackage to the distro package

    This allows us to keep a 72kb library on disk for embedded or server
    boxes to
    avoid having to build two versions of packages like GTK.

M	contrib/colord.spec.in

commit 50bdc8de88d948e441d668ac3c34fb395a4a7250
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-16

    trivial: Remove the %defattr lines from the distro packages

M	contrib/colord.spec.in

commit 356f05ec77e0660debbcb3568e77cf1789467674
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-15

    Add the sensor images as metadata on the D-Bus interface

    This allows us to remove the hardcoded list of figures for each
    sensor type and
    instead just check if the image with the correct name is present.

M	contrib/session-helper/cd-main.c
M	doc/metadata-spec.txt
M	libcolord/cd-enum.h
M	src/cd-sensor.c

commit 6d63f78e111e993ef9231b4ac57437ca7ea71633
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-15

    Add a Sensor.Metadata property

    This is for optional metadata on sensor objects.

M	client/cd-util.c
M	doc/metadata-spec.txt
M	libcolord/cd-enum.h
M	libcolord/cd-sensor.c
M	libcolord/cd-sensor.h
M	src/cd-sensor.c
M	src/org.freedesktop.ColorManager.Sensor.xml

commit 8c8adab74421b7ae259583a549ca26f8a830eebb
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-15

    Add some default GSetting schema values for the calibration helper

M	configure.ac
M	contrib/colord.spec.in
M	contrib/session-helper/Makefile.am
A	contrib/session-helper/org.freedesktop.ColorHelper.gschema.xml.in
M	po/POTFILES.in

commit 69b9395ef84741315721e61c5d9fe8d106b1b3e8
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-14

    Don't use the deprecated INCLUDES in Makefile.am

M	client/Makefile.am
M	contrib/session-helper/Makefile.am
M	doc/api/Makefile.am
M	examples/Makefile.am
M	libcolord/Makefile.am
M	src/Makefile.am
M	src/plugins/Makefile.am
M	src/sensors/Makefile.am

commit 041185e0fbf49aff1add8d39fb75c6b32a4abe84
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-11

    trivial: Set a 2 GiB limit when creating the distro packages

M	contrib/colord.spec.in

commit 96dc1e22f20772dfd1071dc0dd0f5cb2161f97ce
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-11

    trivial: Do not build print profiles when building packages for
    secondary architectures

M	contrib/colord.spec.in

commit 384a83ef6d6abe4a5f47a5b94c9a70a0613bc306
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-11

    Never build more than one print profile at a time

    Running multiple colprof processes does make the build quicker,
    but if each one
    allocates ~3.1 GiB then we're going to run out of memory pretty fast.

M	data/profiles/Makefile.am

commit cc93ae91a6aec71a4f4823046293d37cf90cd9ff
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-11

    Quit the session helper if the device or sensor was not found

M	contrib/session-helper/cd-main.c

commit 479d2dfa887b83bb241a83b19921b1d46281cc8b
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-11

    trivial: Use --disable-silent-rules when building packages

M	contrib/colord.spec.in

commit 881e7b8331066786763ca1be813fa093f395a47c
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-11

    trivial: Add color-filesystem BR to the example spec file

M	contrib/colord.spec.in

commit c014d8797723813980eaac46517daa5ad1114914
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-11

    trivial: Add systemd-devel BR to the example spec file

M	contrib/colord.spec.in

commit 86acd4dccb41f5421638719e8b3059120db838ea
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-11

    trivial: Fix up some whitespace problems

    No logic changes.

M	client/cd-common.c
M	client/cd-create-profile.c
M	client/cd-fix-profile.c
M	client/cd-util.c
M	contrib/session-helper/cd-state.c
M	examples/cd-dbus-use-qualifier.c
M	libcolord/cd-client.c
M	libcolord/cd-device.c
M	libcolord/cd-math.c
M	libcolord/cd-profile.c
M	libcolord/cd-sensor.c
M	src/cd-device.c
M	src/cd-main.c
M	src/sensors/cd-huey-calculate-fudge.c
M	src/sensors/cd-huey-dump-values.c
M	src/sensors/cd-huey-parse.c
M	src/sensors/cd-parse-beagle.c
M	src/sensors/cd-sensor-colorhug-private.c
M	src/sensors/cd-sensor-huey.c
M	src/sensors/cd-sensor-munki.c
M	src/sensors/cd-spawn.c

commit e5a1cd2af23f3f44a03a4e97f397be163b833d9e
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-08

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit f7f786e8ae59ade3c4756d2f67c857d6b1ca500d
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-08

    Release colord 0.1.27

M	NEWS
M	RELEASE
M	configure.ac
M	doc/website/download.html

commit bc110e622a1f5f144ee186bd45b0c874986d16fe
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-07

    Revert "Add ConnectionType to the Device.Metadata known keys"

    This reverts commit eac84bc6bbd4edb3e241a0937fff14f7fdcd25fc.
    We can do exactly the same thing with the 'Device.Embedded' property.

M	doc/metadata-spec.txt
M	libcolord/cd-enum.h

commit 5a3fe18131c04850f5ed84226865a7a9def0897d
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-07

    Allow passing no value as properties to CreateDevice

    This allows us to set boolean properties such as 'Device.Embedded'.

M	libcolord/cd-client.c
M	libcolord/cd-self-test.c

commit 729f7d4a102e46ea66ec151630fadd712332d362
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-07

    trivial: Ensure only one device property value is stored in the
    database

    The SQL statement 'INSERT OR REPLACE INTO' only works with a
    primary key.

M	src/cd-device-db.c

commit c2892dd768a33835b410145dc70645715986cebc
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-07

    Add defines and calibration attach image for the ColorMunki Smile

M	contrib/session-helper/cd-main.c
M	data/figures/Makefile.am
A	data/figures/color-munki-smile-attach.svg
M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	rules/69-cd-sensors.rules.in

commit 484a73b8971a37af2cd7eb41bb6bf02f96614a53
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-07

    trivial: rename the ColorMunki Photo define

    X-Rite have reused the Color Munki name for different types of
    products.
    This isn't exactly helpful. Provide a deprecated #define so we don't
    break API.

M	contrib/session-helper/cd-main.c
M	data/figures/Makefile.am
R100	data/figures/munki-ambient.svg
data/figures/color-munki-photo-ambient.svg
R100	data/figures/munki-attach.svg
data/figures/color-munki-photo-attach.svg
R100	data/figures/munki-calibrate.svg
data/figures/color-munki-photo-calibrate.svg
R100	data/figures/munki-projector.svg
data/figures/color-munki-photo-projector.svg
R100	data/figures/munki-screen.svg
data/figures/color-munki-photo-screen.svg
M	libcolord/cd-deprecated.h
M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	rules/69-cd-sensors.rules.in
M	src/sensors/cd-parse-beagle.c
M	src/sensors/cd-sensor-argyll.c
M	src/sensors/cd-sensor-munki.c

commit 5c40998ae5c409628dfccc447f1c83ed15c3e70e
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-07

    Remove 'Monitor' suffix from display devices model string

M	src/cd-device.c

commit e1953d0e30d11e3ec342e89332d06f2482f0d126
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-07

    Add Spyder4 calibration attach image

M	contrib/session-helper/cd-main.c
M	data/figures/Makefile.am
A	data/figures/spyder4-attach.svg

commit b5cab510d7be45f24ab742021293801e040f49a8
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-05

    Export a Device.Embedded property that is set for fixed hardware

    This allows us to detect internal hardware and use different
    translations in the
    client UIs.

M	client/cd-util.c
M	libcolord/cd-device.c
M	libcolord/cd-device.h
M	libcolord/cd-enum.h
M	src/cd-device.c
M	src/org.freedesktop.ColorManager.Device.xml
M	src/plugins/cd-plugin-camera.c

commit cd0fa80bfbe30e37e07b8136cafc9022446dce23
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-05

    Do not return zero profiles when the device is being calibrated
    or disabled

    We still want to show the profiles in any UI, and handling the
    special case of
    when the profiles 'disappear' when the device is disabled

M	libcolord/cd-device.c
M	src/cd-device.c
M	src/org.freedesktop.ColorManager.Device.xml

commit 309e656501326b81e2d20826a16fa99dc88242f3
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-05

    trivial: Remove the kind suffix if the model contains the device type

M	src/cd-device.c

commit 30d180e777165f1cc9dfbd95ef0e513c6f58cd86
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-05

    trivial: Don't force the model of all webcams to be 'Webcam'

M	src/cd-device.c

commit ad62a771ae77249449b934901b3efcef134f2ab8
Author: Colin Walters <walters@verbum.org>
Date:	2013-01-04

    profiles: Fix srcdir != builddir

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	data/profiles/Makefile.am

commit 0419be4c2066afbcd5c061995947b1a9845e34a4
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-04

    trivial: Add the enumerated values of the profile metadata 'Quality'

M	libcolord/cd-enum.h

commit eac84bc6bbd4edb3e241a0937fff14f7fdcd25fc
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-04

    Add ConnectionType to the Device.Metadata known keys

    This lets us specify the device connection type, and thus use a device
    description of 'Laptop Screen' as the panel vendor might not be the
    same as the
    laptop vendor.

M	doc/metadata-spec.txt
M	libcolord/cd-enum.h

commit b45001d8ea25da93ef1d885d31cd3e8931d81869
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-03

    Ensure the color types are methods in GObject Introspection rather
    than functions

    Many symbols are not named what GObject Introspection expects them
    to be so
    we end up with a lot of functions in the global namespace instead
    of methods
    e.g. "Cd.color_clear_xyz" instead of "Cd.ColorXYZ.clear".

    There is no way to resolve this using annotations alone so the only
    way is to
    create the symbols G-I expects. Ship a cd-deprecated.h header so we
    do not
    break API or ABI. We'll remove this whenever we bump the soname next.

    Based on a patch by Evan Nemerson <evan@coeus-group.com>, many thanks.

M	client/Makefile.am
M	contrib/session-helper/Makefile.am
M	contrib/session-helper/cd-example.c
M	contrib/session-helper/cd-main.c
M	libcolord/Makefile.am
M	libcolord/cd-color.c
M	libcolord/cd-color.h
A	libcolord/cd-deprecated.c
C059	libcolord/cd-color.h	libcolord/cd-deprecated.h
M	libcolord/cd-it8-utils.c
M	libcolord/cd-it8.c
M	libcolord/cd-math.h
M	libcolord/cd-self-test.c
M	libcolord/colord.h
M	src/Makefile.am
M	src/plugins/Makefile.am
M	src/sensors/Makefile.am

commit 43ad438c7ff4e071e696f49c6062463ab9257420
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-03

    Write the profile quality into to the .icc file as metadata

M	contrib/session-helper/cd-main.c
M	contrib/session-helper/cd-session.h
M	doc/metadata-spec.txt
M	libcolord/cd-enum.c
M	libcolord/cd-enum.h

commit ff6cbd5c1ae172bd3d79b1120304bd360f4930fa
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-03

    Do not include the ti3 source data in the generated print profiles

    This reduces them in size by about 13%, saving more than 1Mb installed
    space if
    all profiles are installed.

M	data/profiles/Makefile.am

commit 8d88b402fed63e6de1792801ca185b4f68b5edd0
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-03

    Fix floating point number parsing in non C locale environments

    atof() is local dependant. Passing 1.0 to atof with in a French
    environment
    leads to segfault in lcms for create-standard-space as the primaries
    are all
    equal to 0 due to the dot not meaning decimal separator in this
    locale.

    Thus we get a null lcms profile from cmsCreateRGBProfile. Then as
    we pass this
    null profile to lcms, which results in a segfault.

    Many thanks to Alban Browaeys <prahal@yahoo.com> for debugging
    the problem.

    Resolves: https://bugs.freedesktop.org/show_bug.cgi?id=58977

M	client/cd-create-profile.c
M	client/cd-fix-profile.c

commit c1003e75c0be8ecf291136036819c64e6aa8e641
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-03

    Support L* gamma encoding in cd-create-profile

M	client/cd-create-profile.c

commit 639b587d15f43a69d6ce07b3df7c2ddcac4728c7
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-03

    Install a simple header with all the session helper defines

    This allows us to keep all the defines in colord itself, rather than
    having to
    duplicate the enums in the clients, e.g. in gnome-control-center and
    gnome-color-manager.

M	contrib/session-helper/Makefile.am
M	contrib/session-helper/cd-main.c
A	contrib/session-helper/cd-session.h

commit 646b31f439fa58b0c2ee7159b964e35a154a1068
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-02

    Remove the Rec. 709 support until there's a fixed released LCMS
    version

M	contrib/colord.spec.in
M	data/profiles/Makefile.am

commit f0d3a8a819209abeb2ae2aca18a3553396b72a6c
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-01

    Import shared-color-profiles into colord

    Using other profile sets means we're constantly trying to fix things
    up in
    different places. Shipping our own profile set ensures we have
    known-good
    working spaces with the correct metadata keys set for the colord
    version.

    After this commit, the shared-color-profiles project is no longer
    required.

    Resolves: https://bugs.freedesktop.org/show_bug.cgi?id=58850

M	Makefile.am
M	configure.ac
M	contrib/colord.spec.in
M	data/Makefile.am
A	data/profiles/FOGRA27L.ti3
A	data/profiles/FOGRA28L.ti3
A	data/profiles/FOGRA29L.ti3
A	data/profiles/FOGRA30L.ti3
A	data/profiles/FOGRA39L.ti3
A	data/profiles/FOGRA40L.ti3
A	data/profiles/IFRA26S.ti3
A	data/profiles/IFRA30S.ti3
A	data/profiles/Makefile.am
A	data/profiles/TR002.ti3
A	data/profiles/TR003.ti3
A	data/profiles/TR005.ti3
A	data/profiles/TR006.ti3
A	data/profiles/crayons.csv
A	data/profiles/x11-colors.csv

commit 1bd9d30b412e257ad0a2111d3bed25a72029ad4c
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-02

    trivial: Fix 'make distcheck' with newer versions of gtk-doc

M	doc/api/colord-docs.xml

commit 76ac1a1490028b80613fa640fdb19e26fecdc004
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-01

    trivial: Fix the session-example configure switch

M	configure.ac

commit 454fb189cc5851a83f27d4a03028d943f62bb9ea
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-01

    trivial: Sync Fedora spec file with upstream

M	contrib/colord.spec.in

commit bf02aa25829442a0f0d3ebfbd6af5bd6872cbb26
Author: Richard Hughes <richard@hughsie.com>
Date:	2013-01-01

    Add the ability to generate Rec. 709 gamma curves

    You'll need lcms2 from git master if you want to be able to register
    a custom
    cmsSigParametricCurveType like the Rec. 709 curve.

M	client/cd-create-profile.c

commit f871ac48ba90d232a44147c7eab0b345846f3a01
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-24

    Check we have shared-color-profiles or a compatible profile set

    Using some of the random profiles on distros means we get varied
    and obscure bugs.

    For instance, profiles that do not have a ProfileID pre-computed
    mean that the
    daemon is forced to calculate MD5 sums and is very slow to start
    which makes
    colord look broken when profiling boot speed.

    Also, some profile sets do not provide some key profiles that
    applications
    depend on which is hurting my argument that applications should not
    ship thier
    own profiles and instead use a known-good system copy.

M	configure.ac

commit 3811bdbdce232f3af01b9ededa86a10d244e8f58
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-23

    Revert "Create ICCv2 profiles when using cd-create-profile"

    This reverts commit 1bcbcb6f10e3d0edbea3acec3143ce8008eb3844.
    The generated profiles were invalid for two reasons:

    * You need to write cmsCIEXYZ not cmsCIExyY objects when using
    cmsWriteTag
    * The profiles were not bradford adapted to D50

    It's a lot easier to just rely on lcms2 to do the right thing
    rather than
    trying to be a smartarse.

M	client/cd-create-profile.c

commit f11d2f2aad9f142e3bbe382cfb63209833190c24
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-19

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit 0074b781f6c6bc0bb980479e01e91b3ecd04711b
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-19

    Release colord 0.1.26

M	NEWS
M	configure.ac
M	doc/website/download.html

commit 605e89714849580dab19a9eadb61af9dee984b58
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-19

    trivial: Fix make check now cd_device_set_id needs access to the
    CdDeviceDb

M	src/cd-self-test.c

commit a86379d0e24411c251852203f5fcf597087ae4ae
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-17

    Recognise the internal sensor on W700 laptops and set a property
    for the calibration tools

    Add a 'Sensor.Embedded' property that is set to True for sensor
    hardware that is
    embedded in the laptop palmrest. Calibration software should
    fullscreen any
    sample widget and emit a sound when the calibration process has
    completed as the
    laptop lid needs to be closed.

    In the future, we'll control the required ACPI method to stop
    the machine
    automatically turning off the panel 'in hardware' so that calibration
    just works.

M	contrib/session-helper/cd-main.c
M	contrib/session-helper/org.freedesktop.ColorHelper.xml
M	libcolord/cd-enum.h
M	libcolord/cd-sensor.c
M	libcolord/cd-sensor.h
M	rules/69-cd-sensors.rules.in
M	src/cd-sensor.c
M	src/org.freedesktop.ColorManager.Sensor.xml

commit 9496f8815c8dcb1434a9dec894ac32a147eeb0f4
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-17

    trivial: Include the session helper in the coverity scan tarball

M	Makefile.am
M	contrib/session-helper/cd-state.c

commit e2ee4f85f3b6315f708d7e1308c198d79d05f09f
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-17

    trivial: Remove some logically dead code

M	src/cd-main.c

commit 9a07b786cb123994e4a2b26d60d86ee143153609
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-17

    Add the ability to 'disable' a device so that color management can
    be turned off

    To achieve this, add a 'Device.Enabled' property and a
    Device.SetEnabled(bool)
    method that controls the 'Device.Profiles' property much like the
    inhibitor
    functionality.

    If the enabled state is changed then this is reflected for all
    users and
    persistent across reboots. Devices are enabled by default and
    changing the
    enabled state is a privileged operation.

M	client/cd-util.c
M	client/colormgr-completion.bash
M	libcolord/cd-device-sync.c
M	libcolord/cd-device-sync.h
M	libcolord/cd-device.c
M	libcolord/cd-device.h
M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	libcolord/cd-self-test.c
M	src/cd-device-db.c
M	src/cd-device.c
M	src/cd-inhibit.c
M	src/org.freedesktop.ColorManager.Device.xml

commit 6d04f27d025165f6ba9957394b2c1c2bfaeb5374
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-16

    Add a session helper that can be used to calibrate the screen

    This is an optional D-Bus session activated service and designed to
    be used by
    GNOME and KDE for display calibration.

    The D-Bus API should be regarded as experimental and should not
    be considered
    stable like the colord daemon D-Bus API.

    An example client program is also included, although is disabled by
    default as
    it requires GNOME libraries like libgnomedesktop and also requires
    colord-gtk
    which would both create a dependancy loop for projects like jhbuild.

M	configure.ac
M	contrib/Makefile.am
M	contrib/colord.spec.in
A	contrib/session-helper/Makefile.am
A	contrib/session-helper/cd-example.c
A	contrib/session-helper/cd-example.ui
A	contrib/session-helper/cd-main.c
A	contrib/session-helper/cd-state.c
A	contrib/session-helper/cd-state.h
A	contrib/session-helper/org.freedesktop.ColorHelper.service.in
A	contrib/session-helper/org.freedesktop.ColorHelper.xml
M	po/POTFILES.skip

commit b6cc6f6dcb1e2e594c6f338ee08cb1289bc8b83f
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-16

    Add some example calibration ti1 files from gnome-color-manager

M	configure.ac
M	data/Makefile.am
A	data/ti1/Makefile.am
A	data/ti1/README.txt
A	data/ti1/display-long.ti1
A	data/ti1/display-normal.ti1
A	data/ti1/display-short.ti1
A	data/ti1/printer-long.ti1
A	data/ti1/printer-normal.ti1
A	data/ti1/printer-short.ti1

commit a36224f2c50caa7145733068324d989a7310fab5
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-16

    Add some device figures from gnome-color-manager used in KDE and GNOME

M	configure.ac
M	contrib/colord.spec.in
M	data/Makefile.am
A	data/figures/Makefile.am
A	data/figures/colorhug-attach.svg
A	data/figures/dtp94-attach.svg
A	data/figures/hcfr-attach.svg
A	data/figures/huey-attach.svg
A	data/figures/i1-display3-attach.svg
A	data/figures/i1-monitor-attach.svg
A	data/figures/i1-pro-attach.svg
A	data/figures/munki-ambient.svg
A	data/figures/munki-attach.svg
A	data/figures/munki-calibrate.svg
A	data/figures/munki-projector.svg
A	data/figures/munki-screen.svg
A	data/figures/spyder2-attach.svg
A	data/figures/spyder3-attach.svg

commit 5be7c7aa59ee40da660afcec0aceb1d5cfd6d9ed
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-16

    trivial: Speed up checking for scum dot in profiles

M	src/cd-profile.c

commit 1bcbcb6f10e3d0edbea3acec3143ce8008eb3844
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-16

    Create ICCv2 profiles when using cd-create-profile

    Some programs do have not been updated to understand v4 profiles.

M	client/cd-create-profile.c

commit 63284cecf2c813611c34bed0940922d339a22b06
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-15

    Update the device scope if it changes at runtime

M	libcolord/cd-device.c

commit 3032d5deab8c688f2fe4cfbfa11925a7e92aebda
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-10

    trivial: Search the sensor array not the sensor client so we can
    use FindSensorById() with the Dummy sensor

M	src/cd-main.c

commit 0124b6c23548fc354cbae98068f7cfbb1a57c466
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-07

    trivial: Fix a compiler warning when using mbstowcs()

M	client/cd-lcms-helpers.c

commit 5a4a0b96ec64a95f34d2780642311311b59dd115
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-06

    Set the correct data format when saving a .cal file

M	libcolord/cd-it8.c

commit 288979e4e25f28e4aa295a53e17f977eb861a26c
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-06

    Set DEVICE_CLASS when saving a cal IT8 file

M	libcolord/cd-it8.c

commit 8c7b2a61242ff5906a8fcce2829f1cae62e0b374
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-06

    Add cd_it8_save_to_data() to save the data to some allocated memory

M	libcolord/cd-it8.c
M	libcolord/cd-it8.h

commit aeb2737cc3402f76d9e0a38ea9b46fd0a44f9c64
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-06

    Scale the ti3 RGB values to 100 when writing with NORMALIZED_TO_Y_100

M	libcolord/cd-it8.c

commit 49987cfda3379ebeae68058916fd59e96a529498
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-06

    If ti1 values are > 1.0 then assume they are normalized

    There's typically no NORMALIZED_TO_Y_100 in ti1 files produced
    by argyllcms.

M	libcolord/cd-it8.c

commit efc996f2f11b955783665f151034504dfc6875e5
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-06

    Fix a crash when saving a ti3 file where white is not the last sample

M	libcolord/cd-it8.c

commit b80bc36079ab3170ffc90a04f5e8ceaa256b12b4
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-06

    Prevent a crash when cancelling a spotread sample without unlocking it

M	src/sensors/cd-sensor-argyll.c

commit d6d69d70eb26dff37fe0300637d6f6f32ead0dab
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-05

    Add a 'SensorId' property to the sensor interface

    This lets us discover and use a unique ID that we can use when
    seleting a sensor
    to use for calibration. This allows us to support machines with
    an internal
    calibration device *and* and external device like the ColorHug.

    Also print the sensor ID when the user does 'colormgr get-sensors'.

M	client/cd-util.c
M	libcolord/cd-enum.h
M	libcolord/cd-sensor.c
M	libcolord/cd-sensor.h
M	src/cd-sensor.c
M	src/org.freedesktop.ColorManager.Sensor.xml

commit dbdc246bfcb260814f021c5c64c8c6f1e447b2bb
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-03

    trivial: Fix up the project homepage

M	configure.ac

commit c6c2af7f15c1372a5cafe10e5e6b92f1beb2ca86
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-03

    Add FindSensorById() to the main interface

    For machines with integrated color sensors or for comparing the
    color profiles
    produced by different sensors it's often useful to be able to
    control which
    sensor is used for calibration.

    The new display calibration wizard will use this method when creating
    profiles
    and a sensor has been manually specified.

M	libcolord/cd-client-sync.c
M	libcolord/cd-client-sync.h
M	libcolord/cd-client.c
M	libcolord/cd-client.h
M	src/cd-main.c
M	src/cd-sensor-client.c
M	src/cd-sensor-client.h
M	src/org.freedesktop.ColorManager.xml

commit 036a630156a44d0c5185959e6904fadb94f113cd
Author: John (J5) Palmieri <john@stackdriver.com>
Date:	2012-12-03

    Add some defines for the Spyder4 display colorimeter

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	rules/69-cd-sensors.rules.in

commit 6ae885b162f4460e829ec5567576e24aae402b05
Author: John (J5) Palmieri <john@stackdriver.com>
Date:	2012-12-03

    Add some missing entries in cd_sensor_kind_from_string()

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	libcolord/cd-enum.c

commit 18ba78c0d7bdd2089022dbae9772444e57646243
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-03

    Fix a critical warning when writing using cd_it8_add_data() with no
    XYZ value

M	libcolord/cd-it8.c

commit 90323449976d371a873146832fb2ad1d6ebc9221
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-03

    Add support for reading and writing .cal files to CdIt8

M	libcolord/cd-it8.c
M	libcolord/cd-it8.h

commit 897bee43e7d71eb9663b9b22481273b5c0166d25
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-12-03

    Export cd_color_rgb_interpolate() as it's useful to applications

M	libcolord/cd-color.c
M	libcolord/cd-color.h

commit 30f4a6066b3ad9e07d1e77377b093cfe705f2ba1
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-30

    Add a create-temperature subcommand to colormgr to test VCGT
    generation

M	client/Makefile.am
M	client/cd-create-profile.c
M	libcolord/cd-color.c
M	libcolord/cd-color.h

commit 3a0f5976c899b4f7d428c08e4cc52178a966b45a
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-29

    Support doing sensor user actions when using 'colormgr
    get-sensor-reading'

M	client/cd-util.c

commit 2fe6b34f81b3339687676b172cfeea1d6d8f6bf6
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-29

    Compile in libcolordprivate into the daemon

    This allows sensors to be loaded and unloaded without symbol clashes.

M	src/Makefile.am
M	src/sensors/Makefile.am

commit df5d3fda1f224d62a998fead70f93d56f0d04c24
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-29

    Fix a crash if we call Unlock() on the argyll sensor because the
    client exited

M	src/cd-sensor.c

commit 954c26c7299936a6882f663579aa455a331e3e77
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-29

    Don't use org.freedesktop.ColorManager.Sensor.NoData for all the
    superclassed errors

M	src/cd-sensor.c

commit 2802a0c43e3ec81daa94c0f2430218b7f31d3091
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-29

    Don't crash if a sensor plugin fails to load

M	src/cd-sensor.c

commit 178069e11b29c57f5d8cd104c250afea5256ca6d
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-29

    Use spotread when there is no native sensor driver

    The downside is this requires ArgyllCMS to be installed. The upside
    is that we
    can support many more sensors than we have native drivers for (huey
    & colorhug).

    The idea is that we launch spotread in the daemon first when the
    use uses Lock()
    to get the device capabilities, and also to work out what color
    sensor to
    connect to. This instance gets killed as we don't yet know what
    display type
    we're going to be profiling.

    When the user first calls GetSample() we spawn spotread and get the
    value from
    the sensor. Any subsequent calls to GetSample() re-use the same
    instance, and
    the sub-process is kept alive until the user calls Unlock(). This
    ensures we
    only calibrate devices like the ColorMunki once per Lock()/Unlock()
    cycle.

    This has been tested on a ColorMunki and a DTP94, although we probably
    need to
    detect more strings to make this work for all devices. If you have
    a problem
    with 'colormgr get-sensor-reading' reporting that spotread timed
    out then
    please send a verbose daemon log to the mailing list and I'll
    fix things.

    On another point, clients will now have to handle errors like
    org.freedesktop.ColorManager.Sensor.RequiredPositionCalibrate by
    showing some
    kind of UI and then resubmitting the GetSample() request.

M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	src/cd-sensor.c
M	src/sensors/Makefile.am
A	src/sensors/cd-sensor-argyll.c
A	src/sensors/cd-sensor-argyll.h
A	src/sensors/cd-spawn.c
A	src/sensors/cd-spawn.h

commit 27a8897c7bcb2c0fc2d8e112757c817be80228bb
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-29

    trivial: Make sure the DBus errors have the correct prefix

M	libcolord/cd-enum.c

commit e78a6a2644c14134f9ccfaa51c6b83fd562fe787
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-29

    Use enumerated error values from the daemon

M	libcolord/cd-client.c
M	libcolord/cd-client.h
M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	libcolord/cd-self-test.c
M	src/cd-common.c
M	src/cd-common.h
M	src/cd-device-db.c
M	src/cd-main.c
M	src/cd-mapping-db.c
M	src/cd-self-test.c

commit a22be880f6d4dcfc5b50d73ea076b2858b5e342e
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-29

    Return class specific error codes if authentication fails

M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	src/cd-common.c
M	src/cd-common.h
M	src/cd-device.c
M	src/cd-main.c
M	src/cd-profile.c
M	src/cd-sensor.c

commit f7cd77b8e0b6b00f4898187ee559cafd28ce64a4
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-28

    Use enumerated error values when using devices

M	libcolord/cd-device.c
M	libcolord/cd-device.h
M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	libcolord/cd-self-test.c
M	src/cd-device.c
M	src/cd-device.h
M	src/cd-self-test.c

commit b9a034d54477ccb2ee7df964ccab387458ddc849
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-28

    Use enumerated error values when using profiles

M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	libcolord/cd-profile.c
M	libcolord/cd-profile.h
M	libcolord/cd-self-test.c
M	src/cd-profile.c
M	src/cd-profile.h

commit b8db3bbfeb5ee85e97d0e3586bbdc00200d53564
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-28

    Use enumerated error values when using sensors

    This allows us to do something smart in the GUI without scraping
    text for
    keywords in the error description.

M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	libcolord/cd-self-test.c
M	libcolord/cd-sensor.c
M	libcolord/cd-sensor.h
M	src/cd-sensor.c
M	src/cd-sensor.h

commit 25a69e526234b6005026198fbc6045bf8537e43f
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-28

    trivial: Fix 'make check' when a dummy sensor has been created

M	libcolord/cd-self-test.c

commit 5f6aaf1d04e6557839f3064401d48cfd1473fa05
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-28

    trivial: Add a helper so the sensor plugings can get the enumerated
    kind

M	src/cd-sensor.c
M	src/cd-sensor.h

commit 7bd5cc7a8ae12545f1df79a7834b409185b0553f
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-28

    Do 3 reads in quick succession for colormgr get-sensor-reading

M	client/cd-util.c

commit d74b8c6dcd66a80f0e267c3aba6ac1668caa8b9a
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-28

    Add 4 more sensor enumerated kinds

M	libcolord/cd-enum.c
M	libcolord/cd-enum.h

commit 076569ac0021bae80f1fe652f346bee6c13757c1
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-26

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit 4a986f1c76d5c7996fef1a831f0a39541790c19c
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-26

    Release colord 0.1.25

M	NEWS
M	configure.ac
M	doc/website/download.html
M	po/bg.po
M	po/cs.po
M	po/de.po
M	po/el.po
M	po/en_GB.po
M	po/eo.po
M	po/es.po
M	po/eu.po
C071	po/he.po	po/fa.po
M	po/fi.po
M	po/fr.po
M	po/ga.po
M	po/gl.po
M	po/he.po
C071	po/he.po	po/hr.po
M	po/hu.po
C071	po/he.po	po/ia.po
M	po/id.po
M	po/it.po
M	po/ja.po
C071	po/he.po	po/ka.po
M	po/kk.po
M	po/ko.po
M	po/lt.po
M	po/lv.po
M	po/nl.po
M	po/pl.po
M	po/pt_BR.po
M	po/ro.po
M	po/ru.po
M	po/sk.po
M	po/sl.po
C071	po/he.po	po/sq.po
M	po/sr.po
M	po/sv.po
M	po/te.po
M	po/tr.po
M	po/uk.po
M	po/zh_CN.po
M	po/zh_TW.po

commit bb2955f918fda70d93598226086daf3a455c61b3
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-26

    Set a default copyright string when creating profiles without using
    --copyright

M	client/cd-common.h
M	client/cd-create-profile.c
M	client/cd-fix-profile.c

commit bded4a841076477be690ccf8b2ca7fca3940d508
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-26

    Add a profile metadata key of 'License'

    This is intended to contain machine-readable licence information, like
    'Public Domain' or 'CC0' -- NOT freeform text.

M	doc/metadata-spec.txt
M	libcolord/cd-enum.h

commit 547c00a7cf850a58a760d3dc60b384b573804bfc
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-23

    trivial: Fix make check now the object paths have the uid in as well
    as the username

M	libcolord/cd-self-test.c

commit 22eec5516dfb96bf936af4bd68ac0d79b2a37984
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-23

    Fix GetStandardSpace so it can actually work

    Also add a self test in libcolord to test this for the future.

M	libcolord/cd-self-test.c
M	src/cd-profile-array.c

commit 438a5d32249d7bf29f926d50f0abc2984e481f94
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-23

    Print if the profile is system-wide when doing 'colormgr get-profiles'

M	client/cd-util.c

commit 3a4eed6fa5b2a638484213e2142db82a92ee34e6
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-23

    trivial: Use a constant rather than using the key name directly

M	src/cd-main.c

commit a445086bb44faf51264a6a24fafe6aaa80ce15a3
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-23

    trivial: Fix a compile warning we introduced when adding the syslog
    stuff

M	src/cd-debug.c

commit 7653b808ae3fdc4edd950575d5c93648328219c3
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-23

    libcolord: Fix up a warning if GetStandardSpace fails to find
    a profile

M	libcolord/cd-client.c

commit a843bbb0e71eae0041ef9c67f2a3cc91f04944f6
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-23

    trivial: Some whitespace fixes for CodingStyle

M	client/cd-util.c
M	src/cd-device-array.c
M	src/cd-device.c
M	src/cd-inhibit.c
M	src/cd-main.c
M	src/cd-profile-array.c
M	src/cd-profile-store.c
M	src/cd-profile.c
M	src/cd-sensor-client.c

commit ff9e3191a4371355c84534e92deb11d4fda1f662
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-23

    Don't optimize the profile check transforms to speed up daemon startup

M	src/cd-profile.c

commit b8e45af38bf7db443cb6c1051a7643c594919318
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-22

    Create linear vcgt tables when using create-x11-gamma to match the
    xserver behaviour

M	client/cd-create-profile.c

commit 9a64de847b9ffb6c5b692471bc02ec1d70fa225c
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-22

    Use syslog to be able to debug what the daemon is doing without
    restarting it

    If required, use 'systemctl status colord.service' to view the output.

M	src/cd-config.c
M	src/cd-debug.c
M	src/cd-device-db.c
M	src/cd-main.c
M	src/cd-mapping-db.c

commit 49c452d828a2a75ae1a9f6b04ad160aa6fc76631
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-22

    trivial: Fix up a spelling error in a warning when polkit can't
    be found

M	src/cd-common.c

commit 7c454f3b8f897b3cfa0545f21635d7308f4f21fb
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-22

    Don't set the StandardSpaces override, the generated profiles have
    the correct metadata now

M	etc/colord.conf.in

commit 0aa306dca4d9b27e3631fa8020a3ddf4fa8e3220
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-22

    Move the named color examples to shared-color-profiles

M	contrib/colord.spec.in
M	data/Makefile.am
D	data/crayons.csv
D	data/x11-colors.csv

commit 21c3cb49ea59bd395df421de7f96d040026803ca
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-22

    Add a create-standard-space sub-command to cd-create-profile

    This lets us create standard spaces from the raw data.

M	client/cd-create-profile.c

commit 8a02d156fe5c48babdf881363c0b7c2a770060d7
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-22

    If the copyright string is not set when creating a profile use a
    good default

M	client/cd-create-profile.c
M	data/Makefile.am

commit 3345472ff03cfc08c14a679df5833dc52be97c51
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-22

    Do not ever manually set a ICC profile version when creating profiles

M	client/cd-create-profile.c

commit a3cf45734fbe0c4d47574b1d2621f809f442d6d3
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-22

    Convert cd-create-profile to using sub-commands to make it more
    modular

M	client/cd-create-profile.c
M	client/cd-fix-profile.c
M	data/Makefile.am

commit c1d69e065d6efe7c1db4dec99932192ac4326b82
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-22

    Create version 2.2 ICC files when creating named color profiles

    Not sure where 3.4 came from, but it was copied and pasted from
    somewhere else...

M	client/cd-create-profile.c

commit 8613baac0cc7bfb9596d0a1040af44b50d915edd
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-22

    trivial: Regenerate the .icc profiles on 'make clean'

M	data/Makefile.am

commit 2050f1e4b9e2d1dcefc3751beb236cef1337358c
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-21

    Add a set-version command to the cd-fix-profile command line tool

M	client/cd-fix-profile.c

commit 49cc45deb53b879c904fd2ce059277db9c87a9f8
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-21

    Do not try to connect to colord in cd-fix-profile until actually
    needed

    This speeds up the startup of the tool and also means it can be used
    on build
    servers without colord or DBus running.

M	client/cd-fix-profile.c

commit f02b4e8f07ae098a3596acf7782deb82c681390e
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-21

    Add OutputPriority device metadata key to the specification

    This can be set to either 'primary' or 'secondary'. The primary
    output is
    defined as the screen where the taskbar or application menu is
    located.

M	doc/metadata-spec.txt
M	libcolord/cd-enum.h

commit e6fc6f5b6f9edbb695d3b47b11e6a0be3bf965bf
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-20

    trivial: Fix the function prefix for the new warning checks

M	src/cd-profile.c

commit 150e9030ad39f02bb8bea0c29b937b33199f3547
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-17

    trivial: Only do the primary addition checks and gray axis checks
    on display profiles

M	src/cd-profile.c

commit f9f2823d463cd849f1f81c075a0ddf133aa1f767
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-17

    trivial: Increase the threshold of the gray axis check to avoid
    false positives

M	src/cd-profile.c

commit 63a8b93ef80a7014c73e1c4404f3c496bcf8edaf
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-17

    trivial: Ensure all the CdProfileWarning enums can be converted
    from strings

M	libcolord/cd-enum.c
M	libcolord/cd-self-test.c

commit c64615e62c54ceb5ae228be2dac0465431da96b1
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-17

    Add a profile warning if any of the primaries are outside of ROMM RGB

M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	src/cd-profile.c

commit dcc56e7e0fb8ecc8379d0fdfe9d2550f54a3c5ac
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-17

    Add a warning if the profile RGB 255,255,255 does not return D50

M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	src/cd-profile.c

commit 903723f4c631e913cecb3cf03eb4f1f83874964a
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-17

    Add a warning if the profile primaries do not add to D50

M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	src/cd-profile.c

commit a8394206579123f961d879f487c23e0d9538a560
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-17

    trivial: document CdProfileWarning a bit more whilst I still remember

M	libcolord/cd-enum.h

commit ba66d923ac8daeb4ad9323f588da61bdd0a1af49
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-17

    trivial: add one more _ICC_PROFILE application

M	doc/website/faq.html

commit cf72f9048590ce69c25e8a10d138a8d88b0c4ff5
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-16

    Add a warning if the profile primaries are invalid

    Primaries less than 0.0f are not allowed in the specification,
    although this
    does seem to fail for the NTSC RGB example profile.

M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	src/cd-profile.c

commit 5ee1dc7e73474a25014d67c2accf04adf8dc5857
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-16

    Add a 'make coverity' helper to scan the project for errors

M	Makefile.am

commit 22ded0c818a9cf654e847690ed07dabfbaf8f6c2
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-16

    Add a warning if the profile gray axis is invalid

M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	src/cd-profile.c

commit 56c17c8ca6f348168dfe24650ffe206ac8c51925
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-16

    Add a warning if the profile would produce a scum-dot

    Scum dot is an printing term where you have a small amount of ink
    for white
    which makes the color different from paper white.

M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	src/cd-profile.c

commit 5574387b71eeca8951934d414502bd431a5e9aa0
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-16

    Add a warning if the profile calibration data is non-monotonic

M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	src/cd-profile.c

commit e97ab02b0fe5d2bd9aecb2608d7be7273cae01a4
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-16

    Add a warning if the profile copyright is missing

M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	src/cd-profile.c

commit a3920f4b385d4c7a27e92ff8aaae27e470331da0
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-16

    Add a warning if the profile description is missing

M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	src/cd-profile.c

commit f97b588289f1b82e0941900531eb985614582e2c
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-16

    Add a 'Warnings' property to the DBus interface for each profile

    When we open the profile in the daemon we should check the profile for
    pathalogical errors so we can show a warning in any GUI.

    No checks are done yet, but will be added as we agree on the warning
    names.

M	client/cd-util.c
M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	libcolord/cd-profile.c
M	libcolord/cd-profile.h
M	libcolord/cd-self-test.c
M	src/cd-profile.c
M	src/org.freedesktop.ColorManager.Profile.xml

commit 9b7f927cdf8b86f891fbdeef39c22697d7045068
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-16

    trivial: Add more CM applications to the FAQ

M	doc/website/faq.html

commit 54efeefc9fb1f04a3df23373f06092bbf6e0d24f
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-15

    Add a FAQ entry describing application support of color management

M	doc/website/faq.html

commit e755dbca4ce1a8eda608544d46653301d342bd09
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-15

    Show the primaries when dumping the profile using cd-fix-profile

M	client/cd-fix-profile.c

commit 79111a93e3dc1c91f5e348f64a9bf0bf5eac5db6
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-07

    Return an error if the client does not set a profile or device id

M	src/cd-main.c

commit 6499bbd434cd3ad6f1702d27cd447a747ad74b93
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-07

    Return an error if the client uses an unsupported scope value

M	src/cd-main.c

commit c8c7c5ac19b395013d5b63b7308653bf3f97dfd5
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-06

    Fix a crash in the example code if the device has a non-standard
    qualifier format

M	examples/cd-dbus-use-qualifier.c

commit edf892dead595daf83c78cd8cdaef24803018f35
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-06

    trivial: Check the return value of cd_profile_store_search_path()

    False positive for coverity, but it doesn't hurt to log this event.

M	src/cd-profile-store.c

commit 21ae09e303c29b3432d641c896fc541a491b5e63
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-06

    Check the return value of mbstowcs before using the buffer

    Found by coverity...

M	client/cd-lcms-helpers.c

commit bb6cafecc20f00186ba85003fe60abef5fea89ed
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-06

    huey: Ensure we return an error if we ran out of retries

    Spotted by coverity...

M	src/sensors/cd-sensor-huey.c

commit 046fd67b4ae8ad683d01275ba2242c92ec2a58a6
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-06

    Remove some unreachable code spotted by coverity

M	libcolord/cd-profile.c
M	src/cd-device.c

commit 0cbe4d108dec17529c0d32c99f3e5e3d1488ae14
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-11-05

    Improve the formatting of 'get-profiles' and 'get-devices'

M	client/cd-util.c

commit 0fd9601b8e300b21767c79cb873ac9ab1001b740
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-10-26

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit becfb1d03028b9fe586b13058287c915e3d909fd
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-10-26

    Release colord 0.1.24

M	NEWS
M	configure.ac
M	doc/website/download.html

commit 8ca22df54a7ede965b5ed8b701ed7dcef7248474
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-10-25

    Never use Werror by default in configure

M	configure.ac

commit a21f7bc6db6424cc61325a5ff48a923664cbb37d
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-10-08

    Set FILE_checksum on discovered system profiles

M	src/cd-profile-store.c

commit 939cad57b809a5dd9de57651406639d5db2be981
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-10-08

    Add FindProfileByProperty() to the main interface

    Apart from making the metadata matching functions common across
    devices and
    profiles, the main use case of this function is to find any installed
    profiles
    with a specific file checksum in any location.

M	libcolord/cd-client-sync.c
M	libcolord/cd-client-sync.h
M	libcolord/cd-client.c
M	libcolord/cd-client.h
M	src/cd-main.c
M	src/cd-profile-array.c
M	src/cd-profile-array.h
M	src/org.freedesktop.ColorManager.xml

commit e8915da0845d38f8e8cffa04c1760e1be1ef7f55
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-10-08

    Explicitly enable Vala support when building packages

M	contrib/colord.spec.in

commit b5e2cdf15e98913b8e5ac654fc4894bebb323308
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-10-08

    trivial: Fix up some whitespace missing loops

M	client/cd-fix-profile.c

commit 76798b554dc2a1f79bdc58b9c87a133032835502
Author: Pacho Ramos <pacho@condmat1.ciencias.uniovi.es>
Date:	2012-10-02

    Fix automatic dep on vala

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	configure.ac

commit d3e34a2349d72dc45b24bccd9cc0dc486f9f0638
Author: Pacho Ramos <pacho@condmat1.ciencias.uniovi.es>
Date:	2012-10-02

    Fix automatic dep on libusb

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	configure.ac

commit 6b465dc8557ead3edd27793b730d0ea1abfe4a7f
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-10-01

    Recognise the ColorHug Spectro bootloader PID

M	rules/69-cd-sensors.rules.in

commit b9de96129df98b8a0fb75dc128d3d629624e390c
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-10-01

    Add a extract-vcgt subcommand to cd-fix-profile

M	client/cd-fix-profile.c

commit e308f47f1bb2ce99c8530b7fa7390b1aecfdae2e
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-10-01

    trivial: CdIt8 is safe to use in the private helper library

M	libcolord/colord-private.h

commit 8ea9c5a26da27c8a05c206ad86a10d1f3b53e87f
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-10-01

    Fix a critical warning when user tries to dump a non-icc file

M	client/cd-fix-profile.c

commit 5c185b5b28c3d4e930a87474ec48937db15d536b
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-09-14

    trivial: Add some self tests for the seat feature addition

M	libcolord/cd-self-test.c

commit 0e0bc873002d9fa49a3425b317f6bb1be2f89d5f
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-09-14

    Set the seat for devices created in the session

    To do this, we look up the session for the pid and then use that to
    get the seat.
    You need to have logind available to use this new feature.

M	configure.ac
M	src/Makefile.am
M	src/cd-common.c
M	src/cd-common.h
M	src/cd-main.c

commit d5379022c6ba804b3b15def3ffcd3232114a7e31
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-09-14

    Set the seat for devices discovered using udev

M	src/plugins/cd-plugin-camera.c
M	src/plugins/cd-plugin-scanner.c

commit 47f3588634c69ea7907dbc585c848dcf68e40be0
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-09-14

    Fix a warning in the daemon if a device property is NULL at setup

M	src/cd-device.c

commit 1fda25bb03f58cde0b936dd87d207df77b00c5b2
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-09-14

    Add a 'seat' property to each device

    This contains the seat description, e.g. 'seat0' which we can use
    to limit a
    user on one seats ability to change the settings of another seat.

M	client/cd-util.c
M	libcolord/cd-device.c
M	libcolord/cd-device.h
M	libcolord/cd-enum.h
M	src/cd-device.c
M	src/cd-device.h
M	src/cd-main.c
M	src/org.freedesktop.ColorManager.Device.xml

commit 5c96bb0a6e4163c96f3782fc42c13b32a43756bb
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-09-14

    trivial: fix up a g-o-i annotation

M	libcolord/cd-sensor.c

commit c54954be4cc394bee9892a43553d8c78624ab0d7
Author: Christopher James Halse Rogers <raof@ubuntu.com>
Date:	2012-09-13

    More paranoia in construction of object paths.

    Once we've sanitised the username there's a possibility of this
    colliding
    with another username. Append the uid, which is guaranteed to
    be unique

M	src/cd-device.c
M	src/cd-profile.c

commit 84d606747142fe449f4fc410802ee41e6e213929
Author: Christopher James Halse Rogers <raof@ubuntu.com>
Date:	2012-09-13

    Append usernames to dbus object paths before sanitising the object
    path.

    Usernames can contain characters not valid in a dbus object path,
    like ‘-’.
    It just so happens that this case exposes a bug in the GDBus
    documentation -
    g_dbus_connection_register_object will helpfully return 0 without
    setting
    error, resulting in a crash.

    Fixes https://bugs.freedesktop.org/show_bug.cgi?id=51031

M	src/cd-device.c
M	src/cd-profile.c

commit b3f7557d27c2542006c6c6bc2d1b8175dd112b16
Author: Christopher James Halse Rogers <raof@ubuntu.com>
Date:	2012-08-31

    Initialise global connection variable earlier.

    Under some circumstances the on_name_acquired handling is done on
    an idle callback, and it's always done asynchronously, after the
    dbus name has been acquired. Thus there is a race between another
    dbus client noticing colord has acquired its name and the
    on_name_acquired callback being fired. If a client makes a dbus
    request in this time, connection will be NULL, and colord will
    die with an assertion.

    Moving the setting of connection to on_bus_acquired removes this
    race because the dbus objects are only registered later in
    on_bus_acquired.

M	src/cd-main.c

commit 58370619a6935f32812bcddf3aa98c9a660cb4ff
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-09-11

    Move the camera detection code to a plugin

    This makes the core daemon much simpler.

M	src/Makefile.am
M	src/cd-main.c
D	src/cd-udev-client.c
D	src/cd-udev-client.h
M	src/plugins/Makefile.am
A	src/plugins/cd-plugin-camera.c

commit ebf3e961124db7eb9467104ff3e9e48f45babd37
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-09-11

    Remove libsane support and rely only on udev for scanner device
    information

    libsane is the #1 cause of crashes in colord, accounting for 96%
    of all the bug
    reports.

    Now rely on the SANE udev rules setting the udev property
    'libsane_matched=yes'
    which does miss some scanners, but does not crash.

M	configure.ac
M	contrib/Makefile.am
D	contrib/colord-sane/Makefile.am
D	contrib/colord-sane/cd-main.c
D	contrib/colord-sane/colord-sane.service.in
D	contrib/colord-sane/org.freedesktop.colord-sane.conf.in
D	contrib/colord-sane/org.freedesktop.colord-sane.service.in
D	contrib/colord-sane/org.freedesktop.colord.sane.xml
M	contrib/colord.spec.in
M	etc/colord.conf.in
M	po/POTFILES.in
M	src/cd-main.c
M	src/plugins/Makefile.am
A	src/plugins/cd-plugin-scanner.c

commit c15ac158d5e2ab19aee9d3f652d569acde5cc09a
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-09-11

    Add a general plugin interface for adding and removing devices

    This will let us add new color managed device types in the future
    without
    touching the main daemon code.

M	configure.ac
M	src/Makefile.am
M	src/cd-main.c
A	src/cd-plugin.c
A	src/cd-plugin.h
A	src/plugins/Makefile.am
A	src/plugins/cd-plugin-example.c

commit 0f2b485eb832c85c59fb5c48e251f8a2652310b1
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-09-07

    trivial: remove a lot of the static data in cd-main and use a
    helper struct

M	src/cd-main.c

commit 21c7104110dc3e5151b07ade30929fb8c490139d
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-09-03

    colorhug: Update the private files to the latest libcolorhug code

M	src/sensors/cd-sensor-colorhug-private.c
M	src/sensors/cd-sensor-colorhug-private.h

commit 777a7c25995d1d3f77248dac16865b747c096eab
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-09-03

    Add defines for the not-yet-announced 'ColorHug Spectro' experimental
    hardware

M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	rules/69-cd-sensors.rules.in

commit 4e7ff92a92376a39d9cede67795c1826dbebbcc6
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-09-03

    trivial: remove the remnants of the GTK code left behind

M	configure.ac

commit c68e7a7b44aef8ecb4a8db798ae3e1cb6cc0557d
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-09-03

    colorhug: Add support for firmware >= 1.2.0 by accepting a full
    HID buffer

    This is needed for OS-X and Windows compatibility.

M	src/sensors/cd-sensor-colorhug-private.c

commit 2276e08a39b70692ad9e8cf596828b99003efcd8
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-09-03

    Allow the user to specify a custom udev rules directory

    It makes testing quite a lot easier...

M	Makefile.am
M	configure.ac

commit bf1603ac8c7ddc212682b0ce9ddfc3e553923ab7
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-08-29

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit aa6140a793aba51dfd80a42906f62d649946aa9d
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-08-29

    Release colord 0.1.23

M	NEWS

commit c445d3787aa86fd17b7feed82ec542a698e442b2
Author: Evan Nemerson <evan@coeus-group.com>
Date:	2012-08-06

    trivial: remove free function links from documentation

    These notes are confusing for people trying to read documentation
    generated for languages which manage memory, such as Vala, JavaScript,
    and Python.

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	libcolord/cd-client-sync.c
M	libcolord/cd-device.c
M	libcolord/cd-profile.c
M	libcolord/cd-sensor.c

commit 04cecef4d64bf8b8e91bc90079bd4ed1820d1d4c
Author: Evan Nemerson <evan@coeus-group.com>
Date:	2012-08-06

    trivial: assorted documentation fixes

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	libcolord/cd-client.c
M	libcolord/cd-device-sync.c
M	libcolord/cd-device.c
M	libcolord/cd-math.c

commit 64a133d4d888a284fcf17cf7ecca6c306d10c92f
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-07-23

    Do not try to add duplicate sysfs devices

    We don't want to expose multiple devices for devices like webcams,
    as it's not
    typical we want to use a different color profile for each one.

    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=838324

M	src/cd-udev-client.c

commit d1dbea3c58f7f69a55c15b2e05ef8e0622f71503
Author: Benedikt Morbach <benedikt.morbach@googlemail.com>
Date:	2012-06-30

    Get udevrulesdir from pkg-config

    udev upstream likes to move this around
    (they just did it again, during the udev -> systemd merge)

    But they provide a standard way to find the dir through pkg-config.
    This has been around for ages, so use it.

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	configure.ac
M	contrib/colord.spec.in
M	rules/Makefile.am

commit a467cfc5f38f5f8e0bf87d8f850703248fb126fc
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-06-27

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit d40f3c0b9bc17407a9726992348639add1cd84a4
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-06-27

    Release colord 0.1.22

M	NEWS
M	RELEASE
M	doc/website/download.html
M	po/bg_BG.po
M	po/cs.po
M	po/de.po
M	po/en_GB.po
M	po/eo.po
M	po/es.po
M	po/fi.po
M	po/fr.po
M	po/ga.po
M	po/gl.po
M	po/he.po
M	po/hu.po
M	po/id.po
M	po/it.po
M	po/ja.po
M	po/kk.po
M	po/ko.po
M	po/lt.po
M	po/lv.po
M	po/nl.po
M	po/pl.po
M	po/pt_BR.po
M	po/ro.po
M	po/ru.po
M	po/sk.po
M	po/sl.po
M	po/sv.po
M	po/te.po
M	po/tr.po
M	po/uk.po
M	po/zh_CN.po
M	po/zh_TW.po

commit aefd63d20e5297a8d901bcf7dcbcf22baa921b2f
Author: Evan Nemerson <evan@coeus-group.com>
Date:	2012-06-18

    Add a Vala version of cd-gtk-demo.

    Signed-off-by: Richard Hughes <richard@hughsie.com>

A	examples/cd-vala-gtk-demo.vala

commit d503abe84e878f3f4a6c3c6eba51272ba14e2b9e
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	2012-06-26

    Update German translation

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	po/de.po

commit 60084c459f6c766ec8ec8559756931d2ac903e7e
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-06-26

    Split out a -devel-docs subpackage to avoid multilib conflicts

    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=831380

M	contrib/colord.spec.in

commit 2ff52f8bb6bcdbc63ce1ccb8cd8c884c129bcd36
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-06-26

    trivial: Remove final vestiges of colord-gtk

M	contrib/colord.spec.in

commit a40f8bf98587416a94c97a631de6b41283c68f1d
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-06-26

    Check any files in /usr/share/color/icc have the content type
    application/vnd.iccprofile

    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=833225

M	src/cd-profile-store.c

commit fca4196ed897e086fd917f489c38d95278e4b1df
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-06-18

    Split out colord-gtk to a new sub-project to prevent a dep loop

    At the moment GTK requires colord to build, but colord-gtk needs
    GTK to build.
    This makes bootstrapping a distro (or using jhbuild) harder than it
    needs to be.

M	Makefile.am
M	client/Makefile.am
D	client/cd-convert.c
M	configure.ac
M	contrib/colord.spec.in
D	libcolord-gtk/Makefile.am
D	libcolord-gtk/cd-sample-window.c
D	libcolord-gtk/cd-sample-window.h
D	libcolord-gtk/cd-self-test.c
D	libcolord-gtk/cd-window-sync.c
D	libcolord-gtk/cd-window-sync.h
D	libcolord-gtk/cd-window.c
D	libcolord-gtk/cd-window.h
D	libcolord-gtk/colord-gtk.h
D	libcolord-gtk/colord-gtk.pc.in
M	po/POTFILES.in

commit 2b137cda24973f64656f8ef9081e6f7d04b9da0e
Author: Evan Nemerson <evan@coeus-group.com>
Date:	2012-06-17

    introspection: add many generic type arguments, change prefix to cd

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	libcolord/Makefile.am
M	libcolord/cd-client-sync.c
M	libcolord/cd-client.c
M	libcolord/cd-device.c
M	libcolord/cd-math.c
M	libcolord/cd-profile.c
M	libcolord/cd-sensor-sync.c
M	libcolord/cd-sensor.c

commit a5d87f5448d9616b45abff7de3b86492becf65f5
Author: Wolfgang Goetz <wolfgang.ztoeg@web.de>
Date:	2012-06-14

    Fix the udev rules entry for the i1Display3

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	rules/69-cd-sensors.rules.in

commit 647986e384d0cf3b22ca9c890074d2f756814be5
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-06-08

    trivial: add cd_mat33_normalizeto CdMath common routines

M	libcolord/cd-math.c
M	libcolord/cd-math.h

commit 086b53d7c8fe7643805c31c70a9b5a75db9a3369
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-29

    trivial: Add 'samsung'->'Samsung' title fix

M	src/cd-device.c

commit 1f80c4300a837a40ad758c4089af5adb1d53215a
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-22

    Do not try to create the same object paths if two sensors of the
    same type are plugged in

M	src/cd-sensor-client.c
M	src/cd-sensor.c
M	src/cd-sensor.h

commit 73505fc562cab1373384610e46d2a29930328dc3
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-22

    trivial: Use the device path when removing sensor devices

M	src/cd-sensor-client.c
M	src/cd-sensor.c
M	src/cd-sensor.h

commit 1077f8ed5362f565c1aa2b72fa6139a08b0b110e
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-22

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit d69d2ae736fd601cd21314c464fcbd24e68cc1db
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-22

    Release colord 0.1.21

M	NEWS
M	configure.ac
M	doc/website/download.html
M	po/cs.po
M	po/fi.po

commit 32c9bffc3264d09fe755f7abbc3e77b167a30371
Author: Benedikt Morbach <benedikt.morbach@googlemail.com>
Date:	2012-05-22

    Fix autotools when configuring without systemd

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	configure.ac
M	data/Makefile.am

commit eb14ca20a52d92465c586c19764cb16ccd9e3c55
Author: Benedikt Morbach <benedikt.morbach@googlemail.com>
Date:	2012-05-22

    Fix the description in the systemd service file

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	data/colord.service.in

commit 80ca44664b8e433ddc39f7953ff4de2e589103dd
Author: Benedikt Morbach <benedikt.morbach@googlemail.com>
Date:	2012-05-22

    Do not use 'WantedBy=graphical.target' in the shipped systemd file

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	data/colord.service.in

commit a44ac58af394245c1363629ba9d2de6ee6936d34
Author: Christoph Brill <egore@gmx.de>
Date:	2012-05-22

    Do not install any parts of colord-sane if --disable-sane is specified

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	contrib/colord-sane/Makefile.am

commit 6a5bffec8e1473371e8828a8f92a56f52014e04c
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-21

    Save the CCMX and ITx files to be compatible with argyllcms

    CGATS specifies 7 bytes for the sheet type identifier.

M	libcolord/cd-it8.c

commit df7e9c73aac52f2202c0d61c3dab7d55e82ce57b
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-18

    trivial: fix a critical warning when a sensor connect fails

M	client/cd-util.c

commit d34d3f5d5ad8765b48f6fb9d1bf48e543c2bf900
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-18

    The ColorHug has a new VID and PID

    Also recognise the old vendor and product IDs, as there is no new
    firmware
    available yet that uses the new values.

M	rules/69-cd-sensors.rules.in
M	src/sensors/cd-sensor-colorhug-private.h
M	src/sensors/cd-sensor-colorhug.c

commit 82ccb761d009ada20b2356f25e4e47d2c79efd70
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-17

    Do not add sensors that are ignored or have no caps

M	src/cd-sensor-client.c
M	src/cd-sensor.c

commit c786626694a2a286b55e1f09424b248bbae93584
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-16

    Fix InstallSystemWide() by not writing a private file

    Resolves: https://bugzilla.gnome.org/show_bug.cgi?id=676194

M	src/cd-profile.c

commit 67f6b43497d55b99b30c412fa8d0e8f3782f1969
Author: Yanko Kaneti <yaneti@declera.com>
Date:	2012-05-10

    Isolate gtk dependency to cd-convert

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	client/Makefile.am

commit 84b57f1c6b12595f4d7da1e4a66d93f95f3f3e10
Author: Colin Walters <walters@verbum.org>
Date:	2012-05-09

    build: Fix srcdir != builddir with introspection enabled

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	libcolord-gtk/Makefile.am

commit 94e6ada69a820d9eb0be54c5e8fade9da6e6f4c4
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-09

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit ae057dab8200a98d877832a0b4019f16909a5042
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-09

    Release colord 0.1.20

M	NEWS
M	RELEASE
M	doc/website/download.html
M	po/bg_BG.po
M	po/cs.po
M	po/de.po
M	po/en_GB.po
M	po/eo.po
M	po/es.po
M	po/fi.po
M	po/fr.po
M	po/ga.po
M	po/gl.po
M	po/he.po
M	po/hu.po
M	po/id.po
M	po/it.po
M	po/ja.po
M	po/kk.po
M	po/ko.po
M	po/lt.po
M	po/lv.po
M	po/nl.po
M	po/pl.po
M	po/pt_BR.po
M	po/ro.po
M	po/ru.po
M	po/sk.po
M	po/sl.po
M	po/sv.po
M	po/te.po
M	po/tr.po
M	po/uk.po
M	po/zh_CN.po
M	po/zh_TW.po

commit 59f167402cca8512a399ff5d7ea36bfe9d4915dd
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-09

    trivial: only build colorhug-convert if we have GTK support
    compiled in

M	client/Makefile.am

commit 6539d14eb54edde21cefe1f82af99c2b707f6cff
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-09

    trivial: add Gio dep to colord-convert

    Resolves: https://bugs.freedesktop.org/show_bug.cgi?id=49691

M	client/Makefile.am

commit cd5f2dd289fafe6a433e636e1304c6c529b1c0d6
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-09

    trivial: fix up the Fedora example spec file

M	contrib/colord.spec.in

commit ae9d72d925f073539f9a1ff39996bb2476a88664
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-09

    trivial: fix quite a few issues with the gtk-doc documentation

M	doc/api/colord-docs.xml
M	libcolord-gtk/Makefile.am
M	libcolord-gtk/colord-gtk.h
M	libcolord/cd-color.c
M	libcolord/cd-it8-utils.c
M	libcolord/cd-it8.c

commit ddf8bed4dcc0cb5255107d5f966c3a8567e00506
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-09

    trivial: fix make distcheck by removing a generated file

M	doc/api/Makefile.am

commit 9b087c560549e31ae7bea9328a08adf255a16a92
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-09

    trivial: build libcolord-gtk before the client tools

M	Makefile.am

commit 1f1bffaa596be2f50605c84a760d963e98f5530e
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-09

    Add functionality to colord-convert to sample ti1 -> ti3 files

M	client/Makefile.am
M	client/cd-convert.c
M	po/POTFILES.in

commit bb1eac7825571ebd1c9481d9eca5a621ba76cb4c
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-09

    trivial: include @prefix@ in the colord-gtk.pc file

M	libcolord-gtk/colord-gtk.pc.in

commit 4bb385837f3386948719c9877a2e0a824a1321c9
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-09

    Add CdSampleWindow to libcolord-gtk

    This is used in two other of my projects, and makes sense to put
    all in one place.

M	libcolord-gtk/Makefile.am
A	libcolord-gtk/cd-sample-window.c
A	libcolord-gtk/cd-sample-window.h
M	libcolord-gtk/cd-self-test.c
M	libcolord-gtk/colord-gtk.h

commit a6fab5e0495c9580ec68ec1055b45b92216cfe36
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-09

    trivial: fix make check when using auto-edid profiles

M	libcolord-gtk/cd-self-test.c

commit 3779549f3d15ba06fb9656d41eb79a5912b229a4
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-09

    trivial: fix a potential bug spotted by clang

M	libcolord/cd-it8.c

commit 989b55caaa729843cae5d3f7a36698edf9b0fc8f
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-08

    trivial: save the it8 file without the final '\0' byte

M	libcolord/cd-it8.c

commit efa679ec8c534cdd1a7bc7c4251ec119597d4686
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-08

    trivial: accept ti1 files with just RGB data

M	libcolord/cd-it8.c

commit c331126ad52e35008e2d9c2e5471907f85392cc6
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-08

    trivial: add the colorhug-convert utility for creating .ccmx files

    This utility is not yet installed as it is incomplete.

M	client/Makefile.am
A	client/cd-convert.c

commit 6a91f6d8091a5d08be3ce026f5b66c6fcdf14ee4
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-08

    Add gio-2.0 to the requires line of colord.pc for GFile

M	libcolord/colord.pc.in

commit 68f92643e1cbdf55a60ed9af465347730251f15f
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-08

    trivial: add cd_it8_load_from_data()

M	libcolord/cd-it8.c
M	libcolord/cd-it8.h
M	libcolord/cd-self-test.c

commit e3e4b7cc03f19d3c38e3f68d978f82e45d0fd28d
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-08

    trivial: add cd_it8_set_title() and cd_it8_get_title()

M	libcolord/cd-it8.c
M	libcolord/cd-it8.h
M	libcolord/cd-self-test.c

commit 092c9ccce517393988e655731a970b143cff6916
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-08

    trivial: add option support in CdIt8

    NOTE: this only extracts options with the TYPE_ prefix.

M	libcolord/cd-it8.c
M	libcolord/cd-it8.h
M	libcolord/cd-self-test.c

commit f272e516a683d7fc33fd2b8a48a4c65ca790baf1
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-08

    Add cd_it8_utils_calculate_ccmx() to libcolorhug

M	libcolord/Makefile.am
A	libcolord/cd-it8-utils.c
C051	libcolord/colord.h	libcolord/cd-it8-utils.h
M	libcolord/colord.h

commit 0b22b7fe819f440b7082e3c8a3f7e17124721d1b
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-08

    Add CdIt8 as a helper for reading and writing ti1, ti3 and ccmx files

M	data/tests/Makefile.am
A	data/tests/calibration.ccmx
A	data/tests/normalised.ti3
A	data/tests/raw.ti3
M	doc/api/colord-docs.xml
M	libcolord/Makefile.am
A	libcolord/cd-it8.c
A	libcolord/cd-it8.h
M	libcolord/cd-self-test.c
M	libcolord/colord.h

commit 74038bbf49f3c5a68c0abf2f7aeab9f7d9d1fe49
Author: Craig Keogh <cskeogh@adam.com.au>
Date:	2012-05-08

    Fix build failure when colord is not installed system-wide

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	libcolord-gtk/Makefile.am

commit 690848676b23226cbd2cb3a6a26bbbb81288392d
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-08

    trivial: remove an invalid bounds check in
    cd_color_convert_xyz_to_yxy()

M	libcolord/cd-color.c

commit 8c1d1fc9177d168c8729dfebd10e5a9177d4c5e0
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-08

    trivial: fix up the Oyranos FAQ page a little

M	doc/website/faq.html

commit 8ba2e91ef8fc7ad33bf8bcb0d29851d929c35969
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-04

    trivial: Add cd_window_get_profile_sync() helper

M	libcolord-gtk/Makefile.am
A	libcolord-gtk/cd-window-sync.c
C063	libcolord-gtk/colord-gtk.h	libcolord-gtk/cd-window-sync.h
M	libcolord-gtk/colord-gtk.h

commit abd7a7f7c1a64f07cebfedc0a146112d25f594f2
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-04

    trivial: use the output coverage rather than the widget center point

M	libcolord-gtk/cd-window.c

commit d06b92be984d0eb02c51d31df4330170aca69a91
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-04

    trivial: rename some of the API added in the last commit

M	examples/cd-gtk-demo.c
M	libcolord-gtk/cd-self-test.c
M	libcolord-gtk/cd-window.c
M	libcolord-gtk/cd-window.h

commit 257d03d5e39f63ba7a2409ed1a3a3deecd6d5d91
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-03

    Add CdWindow which allows us to get the color profile for a GtkWidget

    This commit adds a gtk-3.0 dep to the new libcolord-gtk. You can
    split this out
    into a seporate subpackage if this makes things easier to install
    on headless
    things like print servers.

M	Makefile.am
M	configure.ac
M	contrib/colord.spec.in
A	examples/cd-gtk-demo.c
A	libcolord-gtk/Makefile.am
A	libcolord-gtk/cd-self-test.c
A	libcolord-gtk/cd-window.c
A	libcolord-gtk/cd-window.h
A	libcolord-gtk/colord-gtk.h
A	libcolord-gtk/colord-gtk.pc.in

commit dc65fc9e88e775bf4a838ed6bca8e11e40581d11
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-05-03

    trivial: Add copyright headers to the example programs

M	examples/cd-find-device-by-property.py
M	examples/cd-libcolord-find-device-by-property.c

commit 31acaa1b33e68e3eb2c8afddb34b05e8d1da605f
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-26

    trivial: less hardcoding in examples

M	examples/cd-dbus-use-qualifier.c

commit 0ef118d8bc8c9f5d17b5e81885b1ed2e0bcb5de1
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-26

    trivial: Correct a statement on the website

M	doc/website/specifics.html

commit ec16715bd163db3425575e8c99ee1aab0461274e
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-24

    colorhug: Save the EEPROM after setting sensor options

M	src/sensors/cd-sensor-colorhug.c

commit a4f185d55594d7473a0bce9e1167b374364c9171
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-23

    Enable gtk-doc in the default distro build

M	contrib/colord.spec.in

commit 19ba96d49e891f8bb23833ac09ad86adf8c0e678
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-23

    trivial: get rid of a conditional in the summary that doesn't
    exist anymore

M	configure.ac

commit d7e66ab7b365761eef4e044be9d4be50f2ff4606
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-23

    Add a GObject Introspection example

A	examples/cd-find-device-by-property.py

commit 8bc5a037828d3c244f77366c74480b5a9c120de8
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-20

    colorhug: Allow saving the remote hash as a sensor option

M	src/sensors/cd-sensor-colorhug-private.c
M	src/sensors/cd-sensor-colorhug-private.h
M	src/sensors/cd-sensor-colorhug.c

commit 1dd331190089d4e095f4eec35c59cc5c0349e308
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-19

    trivial: update the colorhug header to reflect reality

M	src/sensors/cd-sensor-colorhug-private.h

commit 9efa97a703fb0e225dd780d1a15414ff941ef5ec
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-19

    Add a bash completion file for colormgr

M	client/Makefile.am
A	client/colormgr-completion.bash
M	contrib/colord.spec.in

commit 3e174d1ca5935184020abff26b4bd1b0bb135360
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-19

    trivial: fix a critical warning when getting a sensor sample

    The value from g_variant_new() is floating, not ref'd.

M	src/cd-sensor.c

commit 96094fa1444981170cd79144d98624b04f5d8b81
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-19

    Add a colord-private.h that can be used without GObject

M	libcolord/Makefile.am
A	libcolord/colord-private.h

commit 7fbb58f5b265b164f90451fbfe04c9a78b7585ba
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-19

    Print any sensor options when doing 'colormgr get-sensors'

M	client/cd-util.c

commit 1e93fb18ced35b08358a096c3c3b1c0822528ff7
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-19

    Add a sensor-set-options sub-command to the colormgr tool

M	client/cd-util.c

commit 431766f359ccde466051796bb488804bfe1dc5dc
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-19

    Add async and sync methods in libcolord to support sensor options

M	libcolord/cd-sensor-sync.c
M	libcolord/cd-sensor-sync.h
M	libcolord/cd-sensor.c
M	libcolord/cd-sensor.h

commit 02e8230ac44e3fec386f5378690ed30211a11489
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-19

    Add the concept of 'options' on each color sensor device

    This allows us to modify things like the sample time and set other
    non-standard
    attributes on sensors.

    The options are stored as an array of variants, so we can store ints,
    strings or
    even raw data in the hash table.

M	src/cd-sensor.c
M	src/cd-sensor.h
M	src/org.freedesktop.ColorManager.Sensor.xml

commit 394b574163547733d7538db4807a3480ddf93de6
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-19

    Add a BUSY state value for sensor devices

M	libcolord/cd-enum.c
M	libcolord/cd-enum.h

commit 20614052ef5d2aaa74c1a636186c363919e82084
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-19

    trivial: make some common code more common

M	src/cd-sensor.c

commit ca900b7860385e8691684cf18547fa0689a72aa5
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-17

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit ffdbbdc221cd5bafea6d2aa7f2dc676fb19bc9d7
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-04-17

    Release colord 0.1.19

M	NEWS
M	doc/website/download.html
M	po/eo.po
M	po/gl.po
M	po/id.po
M	po/ja.po
M	po/nl.po
M	po/pt_BR.po
M	po/ru.po
M	po/te.po
M	po/zh_CN.po

commit 3b95137e326dd4137c923ff51630bdb3333f4aee
Author: Craig Keogh <cskeogh@adam.com.au>
Date:	2012-04-02

    Honor aclocal flags (GNOME bug 653945)

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	Makefile.am

commit c6f94f1398ef8e70a8069470cb63824af3b9ed0c
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-30

    trivial: fix up a compile failure in the uid == getuid patch

M	src/cd-common.c

commit 72d3ddb96b87247069a51212d834cc81e8d5b634
Author: Christopher James Halse Rogers <raof@ubuntu.com>
Date:	2012-03-28

    Ensure colord-sane can create devices and profiles.

    When colord-sane is running as @daemon_user@ it cannot gain the
    authorisation
    necessary for it to add or remove the devices and profiles it should.

    Extend the existing uid 0 check to also authorise clients running
    as @daemon_user@.

M	src/cd-common.c

commit d8eff946b1648a5a8b382867bb50a151f00b9260
Author: Christopher James Halse Rogers <raof@ubuntu.com>
Date:	2012-03-28

    Add User key to colord-sane's DBus service file.

    DBus will not spawn the service without this key;
    Specify @daemon_user@ as the user to run the helper.

M	contrib/colord-sane/org.freedesktop.colord-sane.service.in

commit 4e28e25feaf611a4366fef88fec885657bfd76bc
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-29

    Do not enable PrivateNetwork=yes as it breaks hotplugging devices

    We think that udev's AF_NETLINK messages are being filtered when
    network
    namespacing is on.

M	data/colord.service.in

commit 0b30f6adb5b9105defa21e9936455e4efa9ad47e
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-28

    Revert "Return the first profile we can access when getting the
    device default profile"

    We don't want to connect to each profile in a sync method just to
    get the
    default profile.

    This reverts commit 536a2750289280c8453493be16347403b898b6df.

M	libcolord/cd-device.c

commit 628c5cb3197d6a04a5967035d7a82de86fdaebbc
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-26

    Remove the 'Default,' profile title prefix if legacy profiles are
    installed

M	src/cd-profile.c

commit 15bcad40a3b6c958bc322cc967c2e930145c96e1
Author: John Sheu <john.sheu@gmail.com>
Date:	2012-03-24

    Fix usage of CD_OBJECT_SCOPE_* enums

    Disk-scope devices apparently haven't been working for a while!

    Some usages of these were using bitmask tests -- bad since these are
    defined numerically.

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/cd-main.c

commit 536a2750289280c8453493be16347403b898b6df
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-20

    Return the first profile we can access when getting the device
    default profile

    The first profile in the list could belong to another user.

M	libcolord/cd-device.c

commit c3d7020ab84cdff63ce19f80040e027c6482a3da
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-17

    Add a user suffix to the object path of user-created devices and
    profiles

    This means that two users logged in at the same time can have the
    same device
    and profile IDs, and the uid of the calling process is used to
    choose the
    correct profile.

    The session should not prefix the username itself to the device-id
    as the
    device-id is required to be predictable for other clients to query.

M	doc/device-and-profile-naming-spec.txt
M	libcolord/cd-self-test.c
M	src/Makefile.am
M	src/cd-device-array.c
M	src/cd-device-array.h
M	src/cd-device.c
M	src/cd-device.h
M	src/cd-main.c
M	src/cd-profile-array.c
M	src/cd-profile-array.h
M	src/cd-profile.c
M	src/cd-profile.h
M	src/cd-self-test.c

commit eada0d279ef4d973ac1a3742f29e580ab1b400d5
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-17

    trivial: Sync the Fedora spec file with upstream

M	contrib/colord.spec.in

commit 701b9c2be49bf6187ed2faa02a4ff116f6074a44
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-15

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit 6ac743e2170fb5cdcd8612302ae65b2963c63c4a
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-15

    Release colord 0.1.18

M	NEWS
M	RELEASE
M	configure.ac
M	doc/website/download.html
M	po/bg_BG.po
M	po/cs.po
M	po/de.po
M	po/en_GB.po
M	po/es.po
M	po/fi.po
M	po/fr.po
M	po/ga.po
M	po/gl.po
M	po/he.po
M	po/id.po
M	po/it.po
M	po/ja.po
M	po/kk.po
M	po/ko.po
M	po/lt.po
M	po/lv.po
M	po/nl.po
M	po/pl.po
M	po/pt_BR.po
M	po/ro.po
M	po/ru.po
M	po/sk.po
M	po/sl.po
M	po/sv.po
M	po/uk.po
M	po/zh_CN.po
M	po/zh_TW.po

commit 76b3f709f15a995070593ae825b10cdf685b9447
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-14

    trivial: fix some of the function name prefixes in cd-fix-profile

M	client/cd-fix-profile.c

commit 7ee11c946ff69ca03ad75dbff2bbb897ce27bcbd
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-14

    Make cd-fix-profile automatically add the GAMUT keys to the ICC file

M	client/Makefile.am
M	client/cd-fix-profile.c

commit 66d74c134e2aaa0f7154230718011923d0123e94
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-14

    Add the GAMUT_coverage metadata key to the spec

M	doc/metadata-spec.txt

commit dea58fdbee6d7a4f1cb273001782fd515f3064ab
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-14

    Add the GAMUT_volume metadata key to the spec

M	doc/metadata-spec.txt

commit 5d984f502fc6b8d07f90b5901974fb1ba6ce44b7
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-13

    Add a new and improved cd-fix-profile that can add and remove
    metadata entries

M	client/cd-fix-profile.c

commit 63657539788e914ac45b00155553d949c667ef1c
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-13

    Depend on lcms2 >= 2.2

    Verson 2.2 was released on 2011-06-07 and contains important
    functionality we
    depend on to work correctly

M	client/cd-common.c
M	client/cd-lcms-helpers.c
M	configure.ac
M	libcolord/cd-self-test.c
M	src/cd-profile.c

commit 1bea0478ec8a31bc975b536db64f6170b2bd89fa
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-13

    trivial: make the colord v.s. oyranos stats easier to read

M	doc/website/faq.html
M	doc/website/style.css

commit 41e7a2d7675a2ed41033a5bc364251a1a7ed3e44
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-12

    When doing 'colorhug get-devices' show the profile ID and filename
    if available

M	client/cd-util.c

commit f2ff3ccc4950d6bf6144fdb57c601ed3101f6e13
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-12

    trivial: Do not show a critical DBus warning when loading each
    'disk' device

M	src/cd-device.c
M	src/cd-main.c

commit 47b6edc69438246040e9a01f7dc59b8d12634509
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-10

    Do not automatically delete 'disk' or 'normal' scope devices when
    the session process exits

    Only watch for the invalidate signal on 'temp' scope devices.

M	src/cd-main.c

commit 7aa115ed75f25c990e83361a3a1eae3ed5218351
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-10

    Install per-machine profiles in /var/lib/colord/icc

    We can't assume we've got access to the shared /var/lib/color/icc
    as this is
    only writable by the root user, and colord can (and should) be
    running as a
    non-root user by default.

M	configure.ac
M	contrib/colord.spec.in
M	src/Makefile.am
M	src/cd-profile-store.c

commit 67b51e5ac8db257b6c89040e613114c87cc2318c
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-10

    trivial: fix a warning in the client tools if the device owner changes

M	libcolord/cd-device.c

commit 5d73ef7b429eb8a110f56742a0ec8b7bb895cdab
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-10

    trivial: Don't create the per-machine directories twice when doing
    'make install'

M	src/sensors/Makefile.am

commit 4c7446b93d9e5fe653f30ff5c2f2ecda906a82c2
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-10

    Ensure per-machine profiles are installed in /var/lib/color/icc

M	configure.ac

commit 95249cca59b1b0764dc2c2e28cfeb0b01680e39c
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-09

    Split out the SANE support into it's own process

    SANE is the #1 causes of crashes in colord, so we should just create
    a new
    process and deal with crashes there without taking out the main
    daemon.

M	Makefile.am
M	configure.ac
A	contrib/Makefile.am
A	contrib/colord-sane/Makefile.am
A	contrib/colord-sane/cd-main.c
A	contrib/colord-sane/colord-sane.service.in
A	contrib/colord-sane/org.freedesktop.colord-sane.conf.in
A	contrib/colord-sane/org.freedesktop.colord-sane.service.in
A	contrib/colord-sane/org.freedesktop.colord.sane.xml
M	contrib/colord.spec.in
M	etc/colord.conf.in
M	po/POTFILES.in
M	src/Makefile.am
M	src/cd-main.c
D	src/cd-sane-client.c
D	src/cd-sane-client.h

commit 0b9a74680c9c7a75fee7b85d375f3c23369d14d4
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-09

    Fix a small memory leak when creating devices and profiles in clients

M	libcolord/cd-client.c

commit 78f7abb234a1660dc39f921bf50c5747c09bd363
Author: Martin Srebotnjak <miles@filmsi.net>
Date:	2012-03-09

    Updated Slovenian translation

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	po/sl.po

commit 009fcd8800d3607a872be2130b03321dc7e68698
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-09

    trivial: Sync the ColorHug private header with upstream

M	src/sensors/cd-sensor-colorhug-private.c
M	src/sensors/cd-sensor-colorhug-private.h

commit 72bf04baac5091912d9bbf68c837c947b619f085
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-08

    trivial: update FAQ: Apparently you don't have to use liboyranos
    directly

M	doc/website/faq.html

commit 582973432487de33cd60bfb9708432a7a5e3cac3
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-08

    Ensure we return NULL for missing device properties

    The colord-kde frontend sets a zero length string for missing
    properties, which
    confuses the title logic in gnome-control-center when showing
    the device.

    In the same way we try to detect these 'nullable' strings in the
    profile code,
    add it to the libcolord ChDevice code to make the panel do the
    right thing.

M	libcolord/cd-device.c

commit 0706385071441da05a654de738ec73e31826704f
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-02

    Add a Manager.CreateProfileWithFd() method

    When we're doing FD passing, the DBus spec says we should pass an
    'h' handle
    type as the index into the UnixFdList. To avoid breaking API,
    leave the
    CreateProfile() DBus signature as (ssa{ss}) and add a new shim method
    of (ssha{ss}). You can actually still pass FDs using either method.

    This makes implementations using QtDBus possible, which validates
    the DBus type
    signatures in a way that libdbus or GDBus does not.

M	libcolord/cd-client.c
M	src/cd-main.c
M	src/org.freedesktop.ColorManager.xml

commit bd9d38a571491b3ceaea3ea8ad7cc04b6a3508a0
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-02

    trivial: refresh translations from transifex

M	RELEASE
C066	po/de.po	po/bg_BG.po
M	po/cs.po
M	po/de.po
M	po/es.po
M	po/fi.po
M	po/fr.po
C066	po/ro.po	po/ga.po
M	po/gl.po
M	po/he.po
M	po/id.po
M	po/it.po
M	po/ja.po
C066	po/zh_TW.po	po/kk.po
C066	po/zh_TW.po	po/ko.po
M	po/lt.po
C066	po/ro.po	po/lv.po
M	po/nl.po
M	po/pl.po
M	po/ro.po
M	po/ru.po
M	po/sk.po
M	po/sl.po
M	po/sv.po
M	po/uk.po
M	po/zh_CN.po
M	po/zh_TW.po

commit 6aec37da37325c7d630213db666bf7f1b0a6d5ab
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-02

    trivial: Fix make distcheck

    After the commits to make the daemon run as non-root, intltool
    was having
    problems during make check. This was traced back to the
    '<@ANNOTATE_OWNER@/>'
    tag, which wasn't valid XML. By making this a comment, we can do the
    substitution without upsetting the translation tools.

M	policy/Makefile.am
M	policy/org.freedesktop.color.policy.in.in

commit d6799ca4882bf0cbe6903931e34fe9865af98cbd
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-02

    trivial: always build the translations after the policy has been
    generated

M	Makefile.am

commit e88348806b77c1a4a950f9d8460056cd0ddc3325
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-02

    trivial: Add g-o-i annotation for the new
    cd_device_get_profiling_inhibitors()

M	libcolord/cd-device.c

commit c9062f6456f03b4b3bcf5f5561c1d1ad8d577660
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-02

    trivial: update the transifex config to reflect reality

M	.tx/config

commit 6da7779ffb578f62fef718afe49f1fd38a3ebffc
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-03-01

    trivial: add a clarification in the device-and-profile-naming-spec

M	doc/device-and-profile-naming-spec.txt

commit e3e0ecf277d08595c03355e22049d4c6faa16921
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-28

    trivial: fix up a 'lie' in the FAQ

M	doc/website/faq.html

commit f2b76337af19fcf660773428e7de962d34899ef0
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-28

    Show what DBus names have inhibited each device

    This makes it much easier to visually test the inhibit code and in
    the self tests.

M	client/cd-util.c
M	libcolord/cd-device.c
M	libcolord/cd-device.h
M	libcolord/cd-enum.h
M	src/cd-device.c
M	src/cd-inhibit.c
M	src/cd-inhibit.h
M	src/org.freedesktop.ColorManager.Device.xml

commit 15826d6042ffb392b50e2815c7d90ee75589ba5f
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-28

    trivial: do not print blank entries in colormgr

M	client/cd-util.c

commit 6623fb6ba2e65397ce5448764dbeadf037ba25d7
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-24

    trivial: add another FAQ entry about root

M	doc/website/faq.html

commit ca59f7cd0998816c7efd0e6d8b03333ba155f3e7
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-24

    trivial: add another FAQ entry about oyranos

M	doc/website/faq.html

commit 638a98fef16fa15946522d4112660b4b20c0d630
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-23

    trivial: Fix compile with older versions of GLib

    g_mapped_file_new_from_fd() was introduced in 2.31.0 not 2.30.0 as the
    docs suggested.

    Resoves https://bugs.freedesktop.org/show_bug.cgi?id=46481

M	src/cd-profile.c

commit 16204766a4872f36e6aeb16f2f0738374a9a25ec
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-22

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit 61bf1266f7f3bf7b43b2d28a08da1714e5abaf94
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-22

    Release colord 0.1.17

M	NEWS
M	configure.ac
M	doc/website/download.html

commit 4fcc7325e6e17a4a37f0fba4047e962bb5b271a0
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-22

    trivial: switch to using an autogenerated linguas

M	configure.ac
A	m4/as-linguas.m4
D	po/LINGUAS
D	po/update-linguas.sh

commit 1094fb00ea300122fbb2182be543e6b6790d28d4
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-21

    Fix InstallSystemWide() when running as the colord user

    When running as the colord user, we're not able to access files in
    the users
    home directory, and so the file copy fails. Instead; Create a mapped
    file from
    the fd that is passed in when the profile is created, and then dump
    that mapped
    file to a new file in the /var/lib/color system wide location.

M	src/cd-profile.c

commit 64dc63d608556a3f772174d630e1b38624238d4e
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-21

    trivial: reduce a few pointer derefs

M	src/cd-profile.c

commit a6030fa7d9229da17acb3a95a86e81a25016b102
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-20

    Add PrivateNetwork and PrivateTmp to the systemd service file

M	data/colord.service.in

commit 22fbf1f8572a5a6bd3e3e0b4556bfb0c3d1d63a2
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-20

    trivial: update Fedora spec file for F17

M	contrib/colord.spec.in

commit b6fc0d91a8f112b2b0e58953a7156bdda21a8d2f
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-10

    Add an LED sample type

    LED and backlit LCD displays have significant differences in
    primaries.

M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	src/org.freedesktop.ColorManager.Sensor.xml
M	src/sensors/cd-sensor-colorhug-private.h
M	src/sensors/cd-sensor-colorhug.c
M	src/sensors/cd-sensor-dummy.c
M	src/sensors/cd-sensor-huey.c
M	src/sensors/cd-sensor-munki.c

commit 3e1d8db8496ff4bbf89319c8c806dc639958abc1
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-08

    trivial: add cd_mat33_determinant()

M	libcolord/cd-math.c
M	libcolord/cd-math.h

commit 876d961665d01f8c37094fe85b0130850a008051
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-02-08

    Return from cd_profile_has_access() with TRUE for virtual profiles

M	libcolord/cd-profile.c

commit 7700ec0aac86e14f8816fc3e80ad27eb8cfd6f54
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-28

    trivial: add the defines for SCREEN_brightness

M	libcolord/cd-enum.h

commit eb971875aaa12fd43d0907a4e62fee76d5dbab1a
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-28

    trivial: don't use g_variant_iter_init() when we only need the length

M	libcolord/cd-device.c

commit f27d6fe52d034db7490526a485f2f0d12ba48dba
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-28

    Add another metadata key to store the calibration brightness

M	doc/metadata-spec.txt

commit e094541696f806356f7ddd4dc4114423d02e9b53
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-23

    colorhug: Bump the sample timeout to 5 seconds

M	src/sensors/cd-sensor-colorhug-private.c

commit 068bbad7062b92f419ea3472da7106a4184d67da
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-23

    Don't leak a GVariantIter when setting the device metadata

M	libcolord/cd-device.c

commit f31168744eb0932f40ad7a5306636818f8ac40f9
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-23

    Make underscores into spaces for the profile title

M	src/cd-profile.c

commit ef1445762f70c9bcad7ff3ff51949ea038f5f5ad
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-23

    Show the profile title when using colormgr get-profiles

M	client/cd-util.c

commit e3ece23fb7fb5b4e339437622caa117fbc67777e
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-20

    trivial: add a new systemd-units require to the example spec file

M	contrib/colord.spec.in

commit 868f839628fe914677a77bbe6b0594c8c4f920df
Author: Matthias Clasen <mclasen@redhat.com>
Date:	2012-01-20

    Fix a critical warning if a client tries to get the profile metadata

    g_variant_get doesn't get us an iter.

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	libcolord/cd-profile.c

commit 66611058502683d782580cef2fb1c98a258846d4
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-20

    trivial: Update the FSF address

M	COPYING

commit 53242afa805ab831d9b90b54bac26dba76d2a017
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-17

    trivial: post release version bump

M	NEWS
M	RELEASE
M	configure.ac

commit 90034022879a64fd90e2bc9e7d82177a90fef740
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-17

    Release colord 0.1.16

M	NEWS
M	configure.ac
M	doc/website/download.html

commit b144a92d611ca0a7824d9c85eb1da43e01a7c8b5
Author: Benedikt Morbach <benedikt.morbach@googlemail.com>
Date:	2012-01-12

    Install a systemd service file if systemd is used

    This makes dbus defer starting colord to systemd instead of doing
    it itself
    and thus puts the daemon under proper systemd supervision.

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	Makefile.am
M	configure.ac
M	contrib/colord.spec.in
M	data/Makefile.am
A	data/colord.service.in
M	data/org.freedesktop.ColorManager.service.in

commit fe07880032d6c74d93495e57347709a856e7fa9d
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-16

    Add a device-inhibit command to the colormgr client

    To use this, you just have to do:

    $ colormgr get-devices

    ... to get the device path, and then use the new command to inhibit
    the profile
    for 10 seconds:

    $ colormgr device-inhibit
    /org/freedesktop/ColorManager/devices/xrandr_Lenovo 10

    Using a timeout of 0 will mean 'forever', and the user will have to
    use ctrl-c
    to quit the colormgr utility.

M	client/cd-util.c

commit 6e7b251867ba3b74751b53f1ba563e98a6e3df1a
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-13

    Add profile metadata MAPPING_device_id for automatic profile mapping

    This allows us to automatically soft-add a profile for a given device.
    This would let us profile a device, and by setting the
    MAPPING_device_id
    metadata key to the device_id we could share the profile with other
    people with
    the same hardware.

    If this profile was then installed elsewhere, then it would
    automatically be
    mapped to the device if present, just like it would be done from a
    PPD file.
    This of course can be overriden using the mapping database, which
    uses hard
    mappings.

M	doc/metadata-spec.txt
M	libcolord/cd-enum.h
M	src/cd-main.c

commit 4c3b664dcb8f3bf867bc08dfd1854754c464108c
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-13

    trivial: Add cd_profile_get_metadata_item() so we can get a single
    hash entry

M	src/cd-profile.c
M	src/cd-profile.h

commit 9cf408e5cfbe477c8b1375e4680e414c52b0bdbe
Author: Richard Hughes <richard@hughsie.com>
Date:	2012-01-10

    Add some profile metadata keys discussed with Florian Höch

M	doc/metadata-spec.txt
M	libcolord/cd-enum.h

commit 02131412449250bd68760a53021f0ff06fc1a720
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-12-16

    Set the colorimeter sensor group so the dameon can access the sensor

M	rules/69-cd-sensors.rules.in

commit 553d9a07cf18656a2ba4c6efcf51e486f55f2639
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-12-12

    Split the spyder hardware into different types

    The designers wanted different attach images in the client tools.

M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	rules/69-cd-sensors.rules.in

commit 727d593aca2752d0a276e14d5fd52761f43dd827
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-12-07

    trivial: fix up the website now we are using fd.o for bugs

M	doc/website/bugs.html

commit 6e1854455f39e288303741896582bedc73b55e37
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-12-07

    Use GUsb for the Huey sensor

    Also disable the Colormunki native driver, it doesn't actually
    work yet.

M	configure.ac
M	contrib/colord.spec.in
M	src/Makefile.am
M	src/sensors/Makefile.am
M	src/sensors/cd-self-test.c
M	src/sensors/cd-sensor-huey.c
M	src/sensors/cd-sensor-munki.c
D	src/sensors/cd-usb.c
D	src/sensors/cd-usb.h

commit 16e8c8c41e8f09d0b91407722bc2567e8b30fc6b
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-12-07

    Support 2nd generation Huey hardware

    These are also built into the Thinkpad w700 laptop too.

M	rules/69-cd-sensors.rules.in
M	src/sensors/cd-sensor-huey-private.h
M	src/sensors/cd-sensor-huey.c

commit c7e5a8b0f15cd43e788ea9da145c4265a51b6899
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-12-06

    Add org.freedesktop.policykit.owner annotations to .policy file

    We only add those annotations when the daemon is configured to run as
    non-root.

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	configure.ac
M	contrib/colord.spec.in
M	po/POTFILES.in
A	po/POTFILES.skip
M	policy/Makefile.am
R096	policy/org.freedesktop.color.policy.in
policy/org.freedesktop.color.policy.in.in

commit 78b6dc7dbf865df6b0d30526293591fe5773029a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-12-06

    If /usr/share/color appears at runtime, don't rescan the parent dir

    Resolves https://bugs.freedesktop.org/show_bug.cgi?id=43542

M	src/cd-profile-store.c

commit 3ccd51e12c697738f8cf90b495a55f2eb75eeac0
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-28

    Fix a Wformat error when printing a gsize

    Resolves https://bugs.freedesktop.org/show_bug.cgi?id=43284

M	src/sensors/cd-sensor-colorhug-private.c

commit b9a6e03ef8633bb01cb5e4fb30ea449a37ea1d28
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-26

    trivial: post release version bump

M	RELEASE
M	configure.ac
M	doc/website/download.html

commit 72ef4215b714638b8682630f15311b7cb43419dc
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-26

    Release colord 0.1.15

M	NEWS
M	configure.ac

commit 01cd6dcd0a265f634aaca77102fafdb3d7446a3f
Author: Ludwig Nussel <ludwig.nussel@suse.de>
Date:	2011-11-25

    make gusb optional

M	configure.ac
M	src/sensors/Makefile.am

commit 6f664c27d2862216358533b3f215af53a0382815
Author: Laurent Martelli <martellilaurent@gmail.com>
Date:	2011-11-25

    Documentation fixes and improvements

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	client/cd-util.c
M	man/colormgr.sgml

commit b45062683130fdae8390ba7b7c5756e48b215ffa
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-25

    trivial: choose the correct calibration matrix for the ColorHug sensor

M	src/sensors/cd-sensor-colorhug-private.c
M	src/sensors/cd-sensor-colorhug-private.h
M	src/sensors/cd-sensor-colorhug.c

commit 6161465a1891c93799bfcf149dea64977183ddb1
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-25

    Do not crash the daemon if adding the device to the device-db failed

M	src/cd-main.c

commit 36549e0ed255e7dfa7852d08a75dd5f00cbd270e
Author: Ludwig Nussel <ludwig.nussel@suse.de>
Date:	2011-11-25

    fix more sql injections

    https://bugs.freedesktop.org/show_bug.cgi?id=42904

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/cd-device-db.c

commit 1e9272c663eb8a519f0b9bfbffbd00ac364582c1
Author: Florian Höch <lists@hoech.org>
Date:	2011-11-24

    Fix some more bugs in colormgr

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	client/cd-util.c

commit 55818a092fca87dccaa98dabe8ebbbca9feb0d76
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-24

    trivial: fix a typo in the last patch

M	src/sensors/cd-sensor-colorhug.c

commit e8af626422f3dbab529be832003a9a7511075cbf
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-24

    trivial: Use an async version of the command submitter to simplify
    the colorhug driver

M	src/sensors/Makefile.am
A	src/sensors/cd-sensor-colorhug-private.c
A	src/sensors/cd-sensor-colorhug-private.h
M	src/sensors/cd-sensor-colorhug.c

commit af30c00ff18ec3aeaed2643f8549d28cfe2edca1
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-24

    Don't return obscure warnings when the user passes a device-id
    to colormgr

M	client/cd-util.c

commit 98be7f484f5bc83765363ecf901eef626da93678
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-24

    Fix several more colormgr commands where the device needs to be active

M	client/cd-util.c

commit 6b37e0785818301a5cd150fc35cd0c5c84ab5d0d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-24

    Fix colormgr device-get-default-profile

M	client/cd-util.c

commit 94112541880d3af175e8146fb560e2b1e297486d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-19

    trivial: Use the new floating point format from the ColorHug hardware
    >= 0.0.4

M	src/sensors/cd-sensor-colorhug.c

commit f9433402fe684f9b9c3681687a068e828c1b9494
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-16

    Flash the ColorHug LEDs when locking the sensor

M	src/sensors/cd-sensor-colorhug.c

commit e0acd737f1aa39d41f6ba6a3ac71542084b2976d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-16

    trivial: the colorhug firmware 0.0.4 no longer uses floating point

M	src/sensors/cd-sensor-colorhug.c

commit 9dad91bda397eaa8260e2d9210f9511428809a81
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-16

    trivial: fix spelling mistake in define name

M	src/sensors/cd-sensor-colorhug.c

commit f38d23fa5ffc5af99c4afcbec9d501272e496944
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-16

    Lock the sensor before dumping it

M	src/sensors/cd-sensor-dump.c

commit 52cf1963b708242eefd64ac2f776de12af8540ce
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-16

    Output the Huey calibration matrices when dumping the sensor

M	src/sensors/cd-sensor-huey.c

commit f4e6da13cde50f0c0573773333be18f4243b88aa
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-16

    Add a utility function cd_mat33_scalar_multiply()

M	libcolord/cd-math.c
M	libcolord/cd-math.h

commit 0737d6c06eda7ce331caa01cb8d397faf8c205aa
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-16

    Add a utility function cd_vec3_squared_error()

M	libcolord/cd-math.c
M	libcolord/cd-math.h

commit 2ebf8c27c3e455a704dab0b380103185f970e3b3
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-15

    trivial: add a FIXME to solve when we can dep on a new enough
    PolicyKit

    See https://bugzilla.redhat.com/show_bug.cgi?id=752856 for details.

M	rules/69-cd-sensors.rules.in

commit 1fadd90afcb4bbc47513466ee9bb1e4a8632ac3b
Author: Vincent Untz <vuntz@gnome.org>
Date:	2011-11-14

    Use sqlite3_mprintf() to avoid SQL injections

    https://bugs.freedesktop.org/show_bug.cgi?id=42904

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	src/cd-mapping-db.c

commit 17b9b432abb16427f7ee306f2ff342cc6ae87ef9
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-09

    Export cd-math as three projects are now using it

M	libcolord/Makefile.am
R100	src/sensors/cd-math.c	libcolord/cd-math.c
R100	src/sensors/cd-math.h	libcolord/cd-math.h
M	libcolord/cd-self-test.c
M	libcolord/colord.h
M	src/sensors/Makefile.am
M	src/sensors/cd-self-test.c

commit d63269eeb382419752cf809aa84e70183878167c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-08

    Add a native sensor driver for the Hughski ColorHug hardware

M	src/sensors/Makefile.am
A	src/sensors/cd-sensor-colorhug.c
A	src/sensors/cd-sensor-colorhug.h

commit a6b16c694505b6354ef9c4e73cc5d2e70e8d7c9f
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-08

    trivial: fix a critical warning when the native sensor sample fails

M	client/cd-util.c

commit 9b5ddd4705a0c1f45ce24b16a655b53815891f39
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-08

    Do not match any sensor device with a kernel driver

M	rules/69-cd-sensors.rules.in

commit 5e37a5a91270ec02726897ae030b93860311ae7c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-08

    Do not try to add the same sensor twice

M	src/cd-main.c

commit f87e3bfa245a0387059018cbe46af1afc868d7ce
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-08

    Only use the udev USB helper if the PID and VID have matches

M	src/cd-sensor.c

commit a0b12c4f0cc9038a1b0312bc978a18e5d808b562
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-07

    Add a mandatory build dependency of GUsb

M	configure.ac
M	contrib/colord.spec.in
M	src/sensors/Makefile.am

commit 842fe1b8ebe25e04f54b98aefdf7f29fc93bd82b
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-07

    Add defines for the Hughski ColorHug

M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	rules/69-cd-sensors.rules.in

commit 3e86aefac6d8a149e5c62ca513a819630ea809cc
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-02

    trivial: fix the last commit to actually compile

M	src/sensors/cd-math.c

commit e6d2dd3ff698b71cac2470b2b3f69ba85a3646fb
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-02

    trivial: add some helper methods to the math helpers

M	src/sensors/cd-math.c
M	src/sensors/cd-math.h

commit 482d1459e86550188cc3820793fbd6897be64708
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-02

    Fix a tiny memory leak when getting properties from a device

    Resolves https://bugs.freedesktop.org/show_bug.cgi?id=42512

M	libcolord/cd-device.c

commit 211a7d8c7a399a7e29217040e3f60847ab96df10
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-01

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit 12afb21870acf24511f4e2af814126e53a40921b
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-01

    Release colord 0.1.14

M	NEWS
M	configure.ac
M	doc/website/download.html

commit c2fd5571f1e628028e287a4942af9bc19ce0d510
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-11-01

    trivial: do not use g_thread_init() in the test program

M	libcolord/cd-self-test.c

commit afc753073a7dce2586f01c664f646fcc85775c25
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-20

    Put the sensor plugin modules in src/plugins to reduce clutter

M	configure.ac
M	src/Makefile.am
M	src/cd-self-test.c
C065	src/Makefile.am src/sensors/Makefile.am
R100	src/cd-buffer.c src/sensors/cd-buffer.c
R100	src/cd-buffer.h src/sensors/cd-buffer.h
R100	src/cd-huey-calculate-fudge.c
src/sensors/cd-huey-calculate-fudge.c
R100	src/cd-huey-dump-values.c	src/sensors/cd-huey-dump-values.c
R100	src/cd-huey-parse.c	src/sensors/cd-huey-parse.c
R100	src/cd-math.c	src/sensors/cd-math.c
R100	src/cd-math.h	src/sensors/cd-math.h
R100	src/cd-parse-beagle.c	src/sensors/cd-parse-beagle.c
A	src/sensors/cd-self-test.c
R100	src/cd-sensor-dummy.c	src/sensors/cd-sensor-dummy.c
R100	src/cd-sensor-dummy.h	src/sensors/cd-sensor-dummy.h
R100	src/cd-sensor-dump.c	src/sensors/cd-sensor-dump.c
R100	src/cd-sensor-huey-private.c
src/sensors/cd-sensor-huey-private.c
R100	src/cd-sensor-huey-private.h
src/sensors/cd-sensor-huey-private.h
R100	src/cd-sensor-huey.c	src/sensors/cd-sensor-huey.c
R100	src/cd-sensor-huey.h	src/sensors/cd-sensor-huey.h
R100	src/cd-sensor-munki-private.c
src/sensors/cd-sensor-munki-private.c
R100	src/cd-sensor-munki-private.h
src/sensors/cd-sensor-munki-private.h
R100	src/cd-sensor-munki.c	src/sensors/cd-sensor-munki.c
R100	src/cd-usb.c	src/sensors/cd-usb.c
R100	src/cd-usb.h	src/sensors/cd-usb.h

commit da22e3898dd0080a5f722db039667cad12b9a118
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-20

    Split the sensor and device udev code, there's not any actual
    shared code

M	src/Makefile.am
M	src/cd-main.c
A	src/cd-sensor-client.c
A	src/cd-sensor-client.h
M	src/cd-udev-client.c
M	src/cd-udev-client.h

commit 0f1946b68c3308f7a6a3585151891f9b2a009999
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-13

    Allow cd-fix-profile to append and edit new metadata

M	client/cd-common.c

commit cf090f9c522d494276e14539d9e733deea5e281a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-13

    trivial: Add some 'Since' values for the new enums

M	libcolord/cd-enum.h

commit 537cc199a15f69caeb2149dfae716ae3b9ef25af
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-13

    Add two more DATA_source values to the specification

M	doc/metadata-spec.txt
M	libcolord/cd-enum.h

commit 6a9096fe4a5c34d35300dd322219b6c18da91593
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-11

    Align the output from colormgr get-devices and get-profiles

M	client/cd-util.c

commit 94b0a952ce863643656526e6f04f6320c185deda
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-11

    trivial: add 'Requires: color-filesystem' to the Fedora spec file

    Resolves https://bugzilla.redhat.com/show_bug.cgi?id=744914

M	contrib/colord.spec.in

commit a53db98bf530cc6bde836903949cf7a18431628b
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-11

    trivial: add a Since: line to CD_SENSOR_KIND_I1_DISPLAY3

M	libcolord/cd-enum.h

commit 07cbcd479066998e70e9f45b330672458555bb5d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-10

    Ensure non-native device are added with no driver module installed

    This makes all colorimeter device that are not Hueys work.

M	src/cd-udev-client.c

commit 1375c5043423fc9ca20a43d669ebd4987a955f04
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-05

    Add defines for the i1 Display 3

M	libcolord/cd-enum.c
M	libcolord/cd-enum.h
M	rules/69-cd-sensors.rules.in

commit 03fec53c0b9018bf3d6f22e15309e913a2a461be
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-03

    trivial: add a little upload script

A	doc/website/upload.sh

commit 1ea1ebb64c4b5ec7a3e93c981a5dcee617bcc6cc
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-03

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit be27c70dcfe5b4503205e89616419754ca54b2d9
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-03

    Release colord 0.1.13

M	NEWS
M	RELEASE
M	configure.ac
M	doc/website/download.html

commit 93de3a1d4043f0dfef9d4dbf95c544338b548105
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-03

    Fix the --disable-polkit build

    Resolves https://bugs.freedesktop.org/show_bug.cgi?id=41400

M	src/cd-common.c

commit bfb35b0de7cdbff13ea9aab1c6175a7b2f194063
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-10-03

    colormgr only needs one argument for find-device

    Resolves https://bugs.launchpad.net/ubuntu/+source/colord/+bug/845049

M	client/cd-util.c

commit db9a17fcc71ee7be0eb86463db2472717787238c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-30

    Reduce the CPU load of clients when assigning profiles from the
    session

    By doing PropertiesChanged('Profiles') and
    PropertiesChanged('Modified') as two
    DBus signals causes any clients using CdDevice to be notified that
    the device
    has changed *twice*.

    By pushing both property names inside a single PropertiesChanged()
    signal
    causes the CPU load in gnome-settings-daemon to be halved when
    loading the
    color plugin.

M	src/cd-device.c

commit 15021772781d46f879be478eda83b9842d0c65f8
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-28

    Add the crayon named color palette

M	client/cd-create-profile.c
M	data/Makefile.am
A	data/crayons.csv

commit de81543cf9dd7308621e2e8178dbd9c45083273d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-14

    trivial: Actually make the --xorg-gamma accept a gamma value

M	client/cd-create-profile.c

commit 353cf1bf9210da6b28d2ac94631d10ca28557502
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-13

    Add --xorg-gamma to cd-create-profile to create custom gamma ramps

    This allows power users to create a custom gamma curve using the
    same values
    and in the same format that was set in xorg.conf.

    This of course isn't profiling the screen, but it allows people to
    use a simple
    color profile when they just want to use a fixed gamma scaling factor.

M	client/cd-create-profile.c
M	data/Makefile.am

commit bc4f918369941c0ca8464ef46d9e21675b683a8c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-13

    trivial: Make the named color profile more abstract

    This means we can add other modes in the future.

M	client/cd-create-profile.c

commit a8ffa24fb64112d26fd17b5e5ff3681071fda934
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-13

    Add cd_profile_has_access() to be able to filter profiles from other
    user accounts

M	libcolord/cd-profile.c
M	libcolord/cd-profile.h

commit a11b7ac3b39f93d5648384f3611bfe4458f549db
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-13

    Return an error if a client tries to create a duplicate device

    Before we just allowed the new client to overwrite the device,
    which causes all sort
    of ownership problems when doing fast user switching.

M	libcolord/cd-client.c
M	libcolord/cd-self-test.c
M	src/cd-device.c
M	src/cd-device.h
M	src/cd-main.c

commit 490c80cd0955649008ba53bfbf86e666f9b3c239
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-09

    Return an error when trying to register a duplicate profile

    Silently continuing for duplicate IDs isn't safe if the profiles
    are not
    actually identical, but share a common MD5. Per-user profiles are
    supposed to
    have a username suffix now, so this fixes properly the permissions
    issue where
    user A couldn't access profiles by user B.

M	libcolord/cd-client.c
M	libcolord/cd-self-test.c
M	src/cd-common.c
M	src/cd-common.h
M	src/cd-main.c

commit cfd2adff0472deab61cf26126bc8dc7db6cd6da5
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-12

    Ensure remote DBus errors are registered at startup

M	libcolord/cd-client.c

commit 3d5311394f751c7fc07a879365e1e2b982fae86d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-09

    Add an 'Owner' property on device and profile objects

    This allows us to track which owner created which device.

M	client/cd-util.c
M	libcolord/cd-device.c
M	libcolord/cd-device.h
M	libcolord/cd-enum.h
M	libcolord/cd-profile.c
M	libcolord/cd-profile.h
M	src/cd-common.c
M	src/cd-common.h
M	src/cd-device.c
M	src/cd-device.h
M	src/cd-main.c
M	src/cd-profile.c
M	src/cd-profile.h
M	src/org.freedesktop.ColorManager.Device.xml
M	src/org.freedesktop.ColorManager.Profile.xml

commit afeee02bcbe84c1a270f2e4eb5d8e7c141b85ac7
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-09

    Add a note in the naming specification about the username suffix
    on profiles

M	doc/device-and-profile-naming-spec.txt

commit 90c06eb5077ebd4e9711cbf4a7f8f6da5db146ba
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-04

    Fix a syntax error in configure if the distro does not ship a sane
    .pc file

    Resolves https://bugs.freedesktop.org/show_bug.cgi?id=40584

M	configure.ac

commit 06c6477831a6d4cb4297b6b9a6bff23f9477aa88
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-02

    Ensure uid 0 can create devices and profiles even when not on the
    active console

    When colord is running as the root user then this magically works,
    even though
    daemons like cups are not on an active console.

    If you switch colord to running as a private user then PolicyKit
    no longer
    implicitly grants the authorisation from the root user, and this
    means that
    printers cannot be registered with colord. By checking for the uid
    we can grant
    an implicit authorisation ourselves before asking PolicyKit.

M	src/cd-common.c

commit a2ae7436e794a3dbc87e5a91dbc07a1bfb53f164
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-02

    trivial: Do not send the sender to cd_main_sender_authenticated(),
    it's already in the invocation details

M	src/cd-common.c
M	src/cd-common.h
M	src/cd-device.c
M	src/cd-main.c
M	src/cd-profile.c
M	src/cd-sensor.c

commit 2c32e9fcf1e08fbeeaf0ce6c4b27c741a1b90358
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-09-02

    Fix up the documentation; cd_device_get_modified() returns
    microseconds, not seconds

M	libcolord/cd-device.c

commit 18c7f5afa423e9b8ec5f7151b235c3943b6dd46b
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-30

    trivial: post release version bump

M	RELEASE

commit 9c1990ced5dc67f0df324c26d1aa890bc69691da
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-30

    trivial: post release version bump

M	configure.ac

commit e481a509923ac406b4322d4e504140e47eb2dc3d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-30

    Release colord 0.1.12

M	NEWS
M	RELEASE
M	configure.ac
M	doc/website/download.html

commit 8cf64eddcf79882358e90ca74835a030fad19f0d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-30

    trivial: fix the self test program

M	src/cd-self-test.c

commit 0d3ba837aabb8f43dd829d2238c4d4ede06307e4
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-26

    trivial: fix up the printf qualifiers in an error path

M	src/cd-device.c

commit f31ef9a3521a2e827c820423644ce2095173f797
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-25

    trivial: Unfuck gobject-introspection by killing the sedding of
    libtool in the Fedora spec file

M	contrib/colord.spec.in

commit c6a10deb3410b187e47d56a3334cf9eab67fa185
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-25

    trivial: update RELEASE with the signing instructions

M	RELEASE

commit ca044e2ca60b1bafeba974ebb8e982bd0ddba9ee
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-25

    Ensure the profiles are sorted by thier timestamp during login

    This fixes the failing self check check added in
    a327f24395d3ac9ff535148ad9fe9328cd7840f7.

M	src/cd-device.c
M	src/cd-device.h
M	src/cd-main.c
M	src/cd-mapping-db.c

commit 98749c483c1cf6f0841edf8090a3efdaf6204f3a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-25

    trivial: just reimplement g_get_real_time() for old versions of GLib

M	src/cd-device.c

commit a327f24395d3ac9ff535148ad9fe9328cd7840f7
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-25

    Add functionality to test profile ordering

    When a device is added and has profiles added to it, each
    profile<->device
    mapping has a timestamp so that we can order the profiles by the
    most recent
    first.

    If we add the profile2 and then profile1 to a device, and then
    remove the
    profiles (like on session exit) we expect profile1 to always be
    first in the list.
    The profiles are currently being added to the device from the database
    in the
    correct order, but if the profiles are added in the wrong order,
    the last
    profile created on the next session login gets promoted into the
    first place.

    This means we sometimes get profile2,profile1 on the session restart
    rather than
    the desired profile1,profile2.

    This test currently fails, and the daemon needs to be fixed.

M	libcolord/cd-self-test.c

commit d5361835c788d7d1ecd95b6a4bc3902056b3c688
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-25

    trivial: add cd_mapping_db_get_timestamp() so we can access the time
    the profile was added

M	src/cd-mapping-db.c
M	src/cd-mapping-db.h

commit 814b84fa4f00e827dec116df9e7cf3dd453dc925
Author: Christopher James Halse Rogers <raof@ubuntu.com>
Date:	2011-08-24

    rules: Add daemon_user to acl of sensor devices.

    This ensures that the colord daemon can access the sensors when
    running as a
    system user rather than root.

    Signed-off-by: Christopher James Halse Rogers <raof@ubuntu.com>
    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	configure.ac
R097	rules/69-cd-sensors.rules	rules/69-cd-sensors.rules.in
M	rules/Makefile.am

commit 9c04f40f7c6718af14d8520b97c59e867504d179
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-24

    trivial: add some more g_return_if_fail() checks

    This will cause an early critical warning rather than a crash in
    the client program.

M	libcolord/cd-client.c
M	libcolord/cd-device.c
M	libcolord/cd-profile.c
M	libcolord/cd-sensor.c

commit e3d70784b7dabe68d5b9ab771fc72a797f5193f6
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-24

    Exit with an error when trying to connect to a device or profile
    that does not exist

M	libcolord/cd-device.c
M	libcolord/cd-profile.c
M	libcolord/cd-self-test.c

commit b583110d2fdca4944b56e83c178667177a6bf938
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-23

    Check if a file is really an ICC profile before importing it

M	libcolord/cd-client.c
M	libcolord/cd-client.h
M	libcolord/cd-self-test.c

commit 75c7028157e8c8abeea0e510445a86bbcf166ee0
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-23

    Allow the daemon to run with a different user

    Signed-off-by: Christopher James Halse Rogers <raof@ubuntu.com>

M	configure.ac
M	data/Makefile.am
R088	data/org.freedesktop.ColorManager.conf
data/org.freedesktop.ColorManager.conf.in
M	data/org.freedesktop.ColorManager.service.in
M	libcolord/colord.pc.in

commit 4e13fad8754a5cfd776edf91ba17c86ff4be7cb8
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-22

    Add cd_client_import_profile() to be able to easily import a GFile

    This is actually pretty tricky to do as we have to:

    1. Check if the profile already exists
    2. Copy the profile into the home directory
    3. Wait for the session process to notice
    4. Wait for the daemon to add the profile
    5. Create a local CdProfile instance

M	libcolord/cd-client-sync.c
M	libcolord/cd-client-sync.h
M	libcolord/cd-client.c
M	libcolord/cd-client.h
M	libcolord/cd-self-test.c

commit 46621cfe82ea5e51b342d7faaf2e98cfebe0a26a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-22

    trivial: add a check-valgrind makefile entry to make my life easier

A	libcolord/.valgrind-suppressions
M	libcolord/Makefile.am

commit d0c480f06badc873829699517928ff7070d45ff0
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-17

    Try harder to use the ICC profile checksum rather than generating
    the md5 sum ourselves

M	src/cd-profile.c

commit a3de1746cbd6739acbf5d569a0b2afd79fdceb6d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-17

    Ensure the volume-sourced profiles are not marked as systemwide
    profiles

M	src/cd-main.c
M	src/cd-profile-store.c
M	src/cd-profile.c

commit 2a599edd9c2d86cbcef6ddd89f92f20756a727ac
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-17

    trivial: fix the self tests to actually run

M	libcolord/cd-self-test.c

commit b4838cd7bc2fad25ca6b6837bc63b937b5b745f1
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-16

    Detect libusb_strerror in configure rather than relying on the version

    Do not use the libusb1 version number, as a git snapshot of libusb1
    will
    confuse things and lead to compile failures.

M	configure.ac

commit 3a693ef7d5a949796274f42c7c5e67b933d6ed8f
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-13

    Add a configure argument --enable-volume-search

    This allows distros to disable the external-volume probing, which
    may be
    slightly more secure at the expense of some 'just-workingness'.

M	configure.ac
M	etc/Makefile.am
R090	etc/colord.conf etc/colord.conf.in

commit 7f3514b4e6057f678f50fe67455eecbdf6eb89d3
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-13

    Add a configure argument of --enable-fd-fallback

    This defaults to true, and allows distros to disable opening of
    the user
    profiles from the daemon.

    This in theory is a little safer, and does not upset frameworks
    like SELinux.

    The downside is that testing is made much harder and all clients
    have to support
    FD-passing in DBus messages.

M	Makefile.am
M	configure.ac
M	src/cd-profile.c

commit 5c3eb18c0010a55992e877c34dda5a6694c1ef71
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-13

    Add lcms2 to Requires.private

    In libcolord we use lcms2, but do not put it in the API or ABI.

M	libcolord/colord.pc.in

commit 80f5c8032b9545770875197b2c7e554f4767ca1c
Author: Alban Browaeys <prahal@yahoo.com>
Date:	2011-08-11

    libcolord: Remove duplicate call to complete

    Cd client calls complete of g_simple_async_result twice.
    This leads to segfault when the caller reads the error
    (if there was an error to connect) as Cd client finish handler
    free the error.

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	libcolord/cd-client.c

commit 8731cbe24422db8e313936b000685899376a18ad
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-01

    trivial: add another couple of files to the gitignore logic

M	Makefile.am
M	doc/api/Makefile.am

commit 8427df9adbd7b9261e3cd89a10409f301a3f7b9b
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-01

    Do not fail make check if there is no available local colord process
    to use

    This should fix the make check warnings in jhbuild to go away.

M	libcolord/cd-client.c
M	libcolord/cd-client.h
M	libcolord/cd-self-test.c

commit 4300211eaa9a3614fedcb70339de0044c78f495d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-01

    trivial: fix the release website link

M	RELEASE
M	doc/website/download.html

commit 9a887d144b2533964915c72554ab146b8d6c977c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-01

    trivial: post release version bump

M	RELEASE
M	configure.ac

commit 6bc5f76a26c653404b2fc5a5df5fa69c3ed4ee5a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-08-01

    Release colord 0.1.11

M	NEWS
M	configure.ac
M	doc/website/download.html

commit b7b0448acb9beaa098d05c1e3923ac4b3bdcc9e7
Author: Owen W. Taylor <otaylor@fishsoup.net>
Date:	2011-07-28

    Honor ACLOCAL_FLAGS when running autoreconf

    autoreconf doesn't understand ACLOCAL_FLAGS, just ACLOCAL, so to work
    correctly in a jhbuild environment and pick up jhbuild-built .m4
    files like introspection.m4 we need to force the issue.

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	autogen.sh

commit 91aae6bc4e51926c9dbd1495907cac06255b84c1
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-07-26

    trivial: ensure we distcheck with gobject-introspection

M	Makefile.am

commit a86cf44829437e3e8a63d3015ab146c431e60c7d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-07-26

    trivial: don't use the hideously confusing g_variant_iter_loop

M	src/cd-main.c

commit d0945c4be75d366007c3e2e33455519ee3f34d4c
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:	2011-07-20

    Updated Russian translation

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	po/ru.po

commit fb61c9f02430d59b29bc79bddef9649330cd766c
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-07-20

    trivial: Pull all the pending translations from Transifex

A	.tx/config
M	Makefile.am
M	po/LINGUAS
C050	po/ja.po	po/as.po
C050	po/ja.po	po/bg.po
A	po/bn_IN.po
C050	po/ja.po	po/ca.po
C050	po/ja.po	po/cs.po
C050	po/ja.po	po/da.po
A	po/de.po
C050	po/ja.po	po/el.po
M	po/en_GB.po
C050	po/ja.po	po/eo.po
C050	po/ja.po	po/es.po
C050	po/ja.po	po/eu.po
C050	po/ja.po	po/fi.po
C050	po/ja.po	po/fr.po
C050	po/ja.po	po/gl.po
C050	po/ja.po	po/gu.po
C050	po/ja.po	po/he.po
C050	po/ja.po	po/hi.po
C050	po/ja.po	po/hu.po
C050	po/ja.po	po/id.po
C050	po/ja.po	po/it.po
C050	po/ja.po	po/it_IT.po
M	po/ja.po
C050	po/ja.po	po/kn.po
C050	po/ja.po	po/lt.po
A	po/ml.po
C050	po/ja.po	po/mr.po
C050	po/ja.po	po/ms.po
C050	po/ja.po	po/nb.po
C050	po/ja.po	po/nl.po
A	po/or.po
A	po/pa.po
C050	po/ja.po	po/pl.po
C050	po/ja.po	po/pt.po
C050	po/ja.po	po/pt_BR.po
C050	po/ja.po	po/ro.po
M	po/ru.po
C050	po/ja.po	po/sk.po
C050	po/ja.po	po/sl.po
C050	po/ja.po	po/sr.po
C050	po/ja.po	po/sr@latin.po
C050	po/ja.po	po/sv.po
A	po/ta.po
A	po/te.po
C050	po/ja.po	po/th.po
C050	po/ja.po	po/tr.po
C050	po/ja.po	po/uk.po
A	po/update-linguas.sh
C050	po/ja.po	po/zh_CN.po
C050	po/ja.po	po/zh_TW.po

commit fd1ebc86cf5ab2b4d2d35b498ed304d14b787721
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-07-20

    trivial: fix up two translation comments

M	client/cd-util.c

commit 5110de9982a25b7bad07407e3a59e190e9ff7e93
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-07-20

    trivial: use 'Type' rather than 'Kind' as it's easier to translate

M	client/cd-util.c

commit 3d2db713a319cd25a8832d82c68306b7bf8b9d5a
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-07-20

    trivial: ensure the translator comment is always on the prior line
    to the _()

M	client/cd-util.c

commit 47b4f12e927ea886667c8e7676c921bba4d062e8
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-07-20

    Fix up some translatable strings

M	client/cd-create-profile.c
M	client/cd-fix-profile.c

commit af57b215bfc2f3e7479979c535f6bdb03eb01503
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-07-20

    trivial: g_dbus_connection_emit_signal() can't fail

M	src/cd-device.c
M	src/cd-main.c
M	src/cd-profile.c
M	src/cd-sensor.c

commit 3eb6ad162a49e41e7617f4be95d952139560152b
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-07-18

    Use the const formatter when unwrapping GVariants to reduce memory
    allocation

M	src/cd-device.c
M	src/cd-main.c
M	src/cd-profile.c
M	src/cd-sensor.c

commit b2fdb547a2aa8b4f9c7a4db693f28bb02aaefe16
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-07-18

    trivial: make some code modular to reduce file size

M	src/cd-main.c

commit 2a07fd394bab8dc11116c86a932c592277e59269
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-07-12

    Fix the licence headers in colord.h and cd-color.h

    Many thanks to Christopher James Halse Rogers for spotting the
    problem.
    Fixes https://bugs.freedesktop.org/show_bug.cgi?id=39153

M	libcolord/cd-color.h
M	libcolord/colord.h

commit c208cca6da584d2160a22000d5bed4b963bedfca
Author: Christopher James Halse Rogers <chalserogers@gmail.com>
Date:	2011-07-12

    trivial: fix a spelling error

    Signed-off-by: Richard Hughes <richard@hughsie.com>

M	NEWS
M	README
M	src/cd-main.c

commit b36a84a7fde571664dc7e241f5dcc4285f59fd9d
Author: Richard Hughes <richard@hughsie.com>
Date:	2011-07-11

    Fix the bugzilla and mailing list links on the webpage. Fixes #39129

M	doc/website/bugs.html

commit 281fbc8a81de7e404a0e686a43908af04564e788
